!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_1594) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)*coupl(&
                        nGC_196) - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(      &
                        nGC_203)*coupl(nGC_204) - 8d0*Nc*cima*coupl(nGC_122)** &
                        2d0*coupl(nGC_215)*coupl(nGC_216) + 10d0*Nc*cima*coupl(&
                        nGC_122)*coupl(nGC_125)*coupl(nGC_195)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(  &
                        nGC_203)*coupl(nGC_204) + 10d0*Nc*cima*coupl(nGC_122)* &
                        coupl(nGC_125)*coupl(nGC_215)*coupl(nGC_216) - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_199)*coupl(nGC_200  &
                        ) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_219)*    &
                        coupl(nGC_220) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(&
                        nGC_227)*coupl(nGC_228) + 10d0*Nc*cima*coupl(nGC_123)* &
                        coupl(nGC_126)*coupl(nGC_199)*coupl(nGC_200) + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219)*coupl&
                        (nGC_220) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*&
                        coupl(nGC_227)*coupl(nGC_228) - 8d0*Nc*cima*coupl(     &
                        nGC_125)**2d0*coupl(nGC_195)*coupl(nGC_196) - 8d0*Nc*  &
                        cima*coupl(nGC_125)**2d0*coupl(nGC_203)*coupl(nGC_204  &
                        ) - 8d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_215)*    &
                        coupl(nGC_216) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(&
                        nGC_199)*coupl(nGC_200) - 8d0*Nc*cima*coupl(nGC_126)** &
                        2d0*coupl(nGC_219)*coupl(nGC_220) - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_227)*coupl(nGC_228) - 8d0*cima*&
                        coupl(nGC_124)**2d0*coupl(nGC_207)*coupl(nGC_208) - 8d0&
                        *cima*coupl(nGC_124)**2d0*coupl(nGC_211)*coupl(nGC_212 &
                        ) - 8d0*cima*coupl(nGC_124)**2d0*coupl(nGC_223)*coupl( &
                        nGC_224) + 10d0*cima*coupl(nGC_124)*coupl(nGC_128)*    &
                        coupl(nGC_207)*coupl(nGC_208) + 10d0*cima*coupl(nGC_124&
                        )*coupl(nGC_128)*coupl(nGC_211)*coupl(nGC_212) + 10d0* &
                        cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_223)*coupl&
                        (nGC_224) - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_207 &
                        )*coupl(nGC_208) - 8d0*cima*coupl(nGC_128)**2d0*coupl( &
                        nGC_211)*coupl(nGC_212) - 8d0*cima*coupl(nGC_128)**2d0*&
                        coupl(nGC_223)*coupl(nGC_224) + 3d0*cima*coupl(nGC_85)*&
                        coupl(nGC_92) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_92   &
                        ) + 3d0*coupl(nGC_539)**2d0*coupl(nGC_92))/(24d0*pi**  &
                        2d0)
      coupl(nGC_1986) = coupl(nGC_1709) + coupl(nGC_195)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_196)*dZHl_QED2/2d0 + coupl(nGC_196)*dZbL_QED2&
                        /2d0 + coupl(nGC_196)*dZbR_QED2/2d0
      coupl(nGC_1987) = coupl(nGC_1710) + coupl(nGC_196)*dZbL_QCD2/2d0 + coupl(&
                        nGC_196)*dZbR_QCD2/2d0
      coupl(nGC_1621) = (3d0*Nc*cima*coupl(nGC_20)**2d0 - Nc*cima*coupl(nGC_561&
                        )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_601)**2d0 - 3d0&
                        *Nc*coupl(nGC_20)*coupl(nGC_561)**2d0*sq2**2d0 - 3d0*Nc&
                        *coupl(nGC_561)**2d0*coupl(nGC_601)*sq2**2d0 + 9d0*cima&
                        *coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_2267) = -coupl(nGC_1377)
      coupl(nGC_2257) = -coupl(nGC_1533)
      coupl(nGC_2256) = -coupl(nGC_1365)
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
