!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl7()
      allocate(vertices(4800)%branch(0:1))
      call av(4800, 0, 28, 2, 0, VFaF0, (/1, 0/), (/nGC_19, nGC_19/))

      call av(4800, 1, 29, 3, 0, VFaF0, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(4801)%branch(0:0))
      call av(4801, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(4802)%branch(0:0))
      call av(4802, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_132/))

      allocate(vertices(4803)%branch(0:0))
      call av(4803, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4804)%branch(0:0))
      call av(4804, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4805)%branch(0:0))
      call av(4805, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(4806)%branch(0:1))
      call av(4806, 0, 24, 2, 0, FaFV0, (/1, 0/), (/nGC_19, nGC_19/))

      call av(4806, 1, 25, 3, 0, FaFV0, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(4807)%branch(0:0))
      call av(4807, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4808)%branch(0:0))
      call av(4808, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_170/))

      allocate(vertices(4809)%branch(0:0))
      call av(4809, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(4810)%branch(0:0))
      call av(4810, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4811)%branch(0:0))
      call av(4811, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4812)%branch(0:0))
      call av(4812, 0, 21, 1, 0, FVFa0, (/0, 1/), (/nGC_99/))

      allocate(vertices(4813)%branch(0:0))
      call av(4813, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4814)%branch(0:0))
      call av(4814, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4815)%branch(0:0))
      call av(4815, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_66/))

      allocate(vertices(4816)%branch(0:0))
      call av(4816, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_224, nGC_224/))

      allocate(vertices(4817)%branch(0:0))
      call av(4817, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_86/))

      allocate(vertices(4818)%branch(0:0))
      call av(4818, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4819)%branch(0:0))
      call av(4819, 0, 20, 1, 0, FaSF0, (/0, 1/), (/nGC_213, nGC_197/))

      allocate(vertices(4820)%branch(0:0))
      call av(4820, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4821)%branch(0:0))
      call av(4821, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_146/))

      allocate(vertices(4822)%branch(0:0))
      call av(4822, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4823)%branch(0:0))
      call av(4823, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_59/))

      allocate(vertices(4824)%branch(0:0))
      call av(4824, 0, 1, 1, 0, VFFa1, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(4825)%branch(0:0))
      call av(4825, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(4826)%branch(0:0))
      call av(4826, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4827)%branch(0:0))
      call av(4827, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(4828)%branch(0:0))
      call av(4828, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(4829)%branch(0:0))
      call av(4829, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_109/))

      allocate(vertices(4830)%branch(0:0))
      call av(4830, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_74/))

      allocate(vertices(4831)%branch(0:0))
      call av(4831, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4832)%branch(0:0))
      call av(4832, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4833)%branch(0:0))
      call av(4833, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(4834)%branch(0:0))
      call av(4834, 0, 19, 1, 0, VFFa1, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(4835)%branch(0:0))
      call av(4835, 0, 1, 1, 0, VUaU0, (/0, 1/), (/nGC_583/))

      allocate(vertices(4836)%branch(0:0))
      call av(4836, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4837)%branch(0:0))
      call av(4837, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4838)%branch(0:0))
      call av(4838, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4839)%branch(0:0))
      call av(4839, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4840)%branch(0:0))
      call av(4840, 0, 1, 1, 0, FFaV1, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(4841)%branch(0:0))
      call av(4841, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4842)%branch(0:0))
      call av(4842, 0, 19, 1, 0, VFFa1, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(4843)%branch(0:0))
      call av(4843, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_141/))

      allocate(vertices(4844)%branch(0:1))
      call av(4844, 0, 30, 2, 0, VFFa1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(4844, 1, 31, 3, 0, VFFa1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(4845)%branch(0:0))
      call av(4845, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(4846)%branch(0:0))
      call av(4846, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(4847)%branch(0:0))
      call av(4847, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_180/))

      allocate(vertices(4848)%branch(0:0))
      call av(4848, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4849)%branch(0:0))
      call av(4849, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_38/))

      allocate(vertices(4850)%branch(0:0))
      call av(4850, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4851)%branch(0:0))
      call av(4851, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_72/))

      allocate(vertices(4852)%branch(0:0))
      call av(4852, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_121/))

      allocate(vertices(4853)%branch(0:0))
      call av(4853, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4854)%branch(0:0))
      call av(4854, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4855)%branch(0:0))
      call av(4855, 0, 19, 1, 0, SFFa0, (/0, 1/), (/nGC_194, nGC_537/))

      allocate(vertices(4856)%branch(0:0))
      call av(4856, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4857)%branch(0:0))
      call av(4857, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4858)%branch(0:0))
      call av(4858, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4859)%branch(0:0))
      call av(4859, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4860)%branch(0:0))
      call av(4860, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4861)%branch(0:0))
      call av(4861, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_197, nGC_213/))

      allocate(vertices(4862)%branch(0:0))
      call av(4862, 0, 21, 1, 0, FVFa0, (/0, 1/), (/nGC_99/))

      allocate(vertices(4863)%branch(0:0))
      call av(4863, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_138/))

      allocate(vertices(4864)%branch(0:0))
      call av(4864, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(4865)%branch(0:0))
      call av(4865, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_80/))

      allocate(vertices(4866)%branch(0:0))
      call av(4866, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4867)%branch(0:0))
      call av(4867, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4868)%branch(0:0))
      call av(4868, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_112/))

      allocate(vertices(4869)%branch(0:0))
      call av(4869, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_545, nGC_116, nGC_545/))

      allocate(vertices(4870)%branch(0:0))
      call av(4870, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4871)%branch(0:0))
      call av(4871, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4872)%branch(0:0))
      call av(4872, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(4873)%branch(0:0))
      call av(4873, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4874)%branch(0:0))
      call av(4874, 0, 21, 1, 0, FSFa0, (/0, 1/), (/nGC_200, nGC_200/))

      allocate(vertices(4875)%branch(0:0))
      call av(4875, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_8/))

      allocate(vertices(4876)%branch(0:5))
      call av(4876, 0, 96, 7, 0, VUaVU0, (/2, 0/), (/nGC_21/))

      call av(4876, 1, 99, 7, 0, VUaVU0, (/2, 0/), (/nGC_21/))

      call av(4876, 2, 98, 7, 0, VUaVU0, (/2, 0/), (/nGC_21/))

      call av(4876, 3, 101, 6, 0, VUaVU0, (/2, 0/), (/nGC_581/))

      call av(4876, 4, 100, 6, 0, VUaVU0, (/2, 0/), (/nGC_581/))

      call av(4876, 5, 97, 7, 0, VUaVU0, (/2, 0/), (/nGC_21/))

      allocate(vertices(4877)%branch(0:0))
      call av(4877, 0, 1, 1, 0, FVFa1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(4878)%branch(0:0))
      call av(4878, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_154/))

      allocate(vertices(4879)%branch(0:0))
      call av(4879, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4880)%branch(0:0))
      call av(4880, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4881)%branch(0:0))
      call av(4881, 0, 20, 1, 0, FaVF0, (/0, 1/), (/nGC_99/))

      allocate(vertices(4882)%branch(0:0))
      call av(4882, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4883)%branch(0:1))
      call av(4883, 0, 28, 2, 0, VFaF0, (/1, 0/), (/nGC_19, nGC_19/))

      call av(4883, 1, 29, 3, 0, VFaF0, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(4884)%branch(0:0))
      call av(4884, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_99/))

      allocate(vertices(4885)%branch(0:0))
      call av(4885, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(4886)%branch(0:0))
      call av(4886, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_175/))

      allocate(vertices(4887)%branch(0:0))
      call av(4887, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_47/))

      allocate(vertices(4888)%branch(0:0))
      call av(4888, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_56/))

      allocate(vertices(4889)%branch(0:0))
      call av(4889, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_88/))

      allocate(vertices(4890)%branch(0:0))
      call av(4890, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_86/))

      allocate(vertices(4891)%branch(0:0))
      call av(4891, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4892)%branch(0:0))
      call av(4892, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_142/))

      allocate(vertices(4893)%branch(0:0))
      call av(4893, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4894)%branch(0:0))
      call av(4894, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(4895)%branch(0:0))
      call av(4895, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(4896)%branch(0:0))
      call av(4896, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4897)%branch(0:0))
      call av(4897, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_214, nGC_567/))

      allocate(vertices(4898)%branch(0:0))
      call av(4898, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(4899)%branch(0:0))
      call av(4899, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(4900)%branch(0:0))
      call av(4900, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4901)%branch(0:0))
      call av(4901, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_121/))

      allocate(vertices(4902)%branch(0:0))
      call av(4902, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4903)%branch(0:0))
      call av(4903, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_112/))

      allocate(vertices(4904)%branch(0:0))
      call av(4904, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(4905)%branch(0:0))
      call av(4905, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4906)%branch(0:0))
      call av(4906, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4907)%branch(0:0))
      call av(4907, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_170/))

      allocate(vertices(4908)%branch(0:0))
      call av(4908, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(4909)%branch(0:0))
      call av(4909, 0, 1, 1, 0, FaVF0, (/0, 1/), (/nGC_129/))

      allocate(vertices(4910)%branch(0:0))
      call av(4910, 0, 17, 1, 0, FaFS0, (/0, 1/), (/nGC_198, nGC_579/))

      allocate(vertices(4911)%branch(0:1))
      call av(4911, 0, 22, 2, 0, FaVF1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(4911, 1, 23, 3, 0, FaVF1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(4912)%branch(0:0))
      call av(4912, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(4913)%branch(0:0))
      call av(4913, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4914)%branch(0:0))
      call av(4914, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_156/))

      allocate(vertices(4915)%branch(0:0))
      call av(4915, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4916)%branch(0:0))
      call av(4916, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_164/))

      allocate(vertices(4917)%branch(0:0))
      call av(4917, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_85/))

      allocate(vertices(4918)%branch(0:0))
      call av(4918, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4919)%branch(0:0))
      call av(4919, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(4920)%branch(0:0))
      call av(4920, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4921)%branch(0:0))
      call av(4921, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4922)%branch(0:0))
      call av(4922, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4923)%branch(0:0))
      call av(4923, 0, 17, 1, 0, FaFS0, (/0, 1/), (/nGC_197, nGC_213/))

      allocate(vertices(4924)%branch(0:0))
      call av(4924, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(4925)%branch(0:0))
      call av(4925, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4926)%branch(0:0))
      call av(4926, 0, 17, 1, 0, FaFS0, (/0, 1/), (/nGC_228, nGC_228/))

      allocate(vertices(4927)%branch(0:0))
      call av(4927, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4928)%branch(0:0))
      call av(4928, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4929)%branch(0:0))
      call av(4929, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_571/))

      allocate(vertices(4930)%branch(0:0))
      call av(4930, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_84/))

      allocate(vertices(4931)%branch(0:0))
      call av(4931, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4932)%branch(0:0))
      call av(4932, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4933)%branch(0:0))
      call av(4933, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4934)%branch(0:0))
      call av(4934, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4935)%branch(0:0))
      call av(4935, 0, 17, 1, 0, FaFV0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(4936)%branch(0:0))
      call av(4936, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(4937)%branch(0:3))
      call av(4937, 0, 40, 7, 0, VVUUa0, (/2, 0/), (/nGC_21/))

      call av(4937, 1, 43, 6, 0, VVUUa0, (/2, 0/), (/nGC_21/))

      call av(4937, 2, 41, 6, 0, VVUUa0, (/2, 0/), (/nGC_21/))

      call av(4937, 3, 42, 7, 0, VVUUa0, (/2, 0/), (/nGC_21/))

      allocate(vertices(4938)%branch(0:0))
      call av(4938, 0, 1, 1, 0, FSFa0, (/0, 1/), (/nGC_224, nGC_224/))

      allocate(vertices(4939)%branch(0:0))
      call av(4939, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4940)%branch(0:0))
      call av(4940, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4941)%branch(0:0))
      call av(4941, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_541/))

      allocate(vertices(4942)%branch(0:0))
      call av(4942, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_138/))

      allocate(vertices(4943)%branch(0:0))
      call av(4943, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(4944)%branch(0:0))
      call av(4944, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4945)%branch(0:0))
      call av(4945, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4946)%branch(0:0))
      call av(4946, 0, 19, 1, 0, SFFa0, (/0, 1/), (/nGC_195, nGC_195/))

      allocate(vertices(4947)%branch(0:0))
      call av(4947, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_555/))

      allocate(vertices(4948)%branch(0:0))
      call av(4948, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_112/))

      allocate(vertices(4949)%branch(0:0))
      call av(4949, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_169/))

      allocate(vertices(4950)%branch(0:0))
      call av(4950, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4951)%branch(0:0))
      call av(4951, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4952)%branch(0:0))
      call av(4952, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4953)%branch(0:0))
      call av(4953, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_167/))

      allocate(vertices(4954)%branch(0:0))
      call av(4954, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(4955)%branch(0:0))
      call av(4955, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(4956)%branch(0:0))
      call av(4956, 0, 1, 1, 0, VVV0, (/0, 1/), (/nGC_539/))

      allocate(vertices(4957)%branch(0:0))
      call av(4957, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4958)%branch(0:0))
      call av(4958, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_113/))

      allocate(vertices(4959)%branch(0:0))
      call av(4959, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4960)%branch(0:0))
      call av(4960, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(4961)%branch(0:0))
      call av(4961, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4962)%branch(0:0))
      call av(4962, 0, 17, 1, 0, FaFS0, (/0, 1/), (/nGC_226, nGC_521/))

      allocate(vertices(4963)%branch(0:0))
      call av(4963, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_629/))

      allocate(vertices(4964)%branch(0:0))
      call av(4964, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4965)%branch(0:0))
      call av(4965, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_148/))

      allocate(vertices(4966)%branch(0:0))
      call av(4966, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_167/))

      allocate(vertices(4967)%branch(0:0))
      call av(4967, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4968)%branch(0:0))
      call av(4968, 0, 1, 1, 0, FaFV1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4969)%branch(0:0))
      call av(4969, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4970)%branch(0:0))
      call av(4970, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_149/))

      allocate(vertices(4971)%branch(0:0))
      call av(4971, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_136/))

      allocate(vertices(4972)%branch(0:0))
      call av(4972, 0, 17, 1, 0, FaFS0, (/0, 1/), (/nGC_220, nGC_220/))

      allocate(vertices(4973)%branch(0:0))
      call av(4973, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(4974)%branch(0:0))
      call av(4974, 0, 19, 1, 0, SFFa0, (/0, 1/), (/nGC_199, nGC_199/))

      allocate(vertices(4975)%branch(0:0))
      call av(4975, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_140/))

      allocate(vertices(2)%branchCT(0:0))
      call avCT(2, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2339)%branchCT(0:0))
      call avCT(2339, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3)%branchCT(0:0))
      call avCT(3, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3535)%branchCT(0:0))
      call avCT(3535, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1940)%branchCT(0:0))
      call avCT(1940, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2345)%branchCT(0:0))
      call avCT(2345, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(12)%branchCT(0:1))
      call avCT(12, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_1881/))

      call avCT(12, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_1882/))

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2346)%branchCT(0:0))
      call avCT(2346, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1884/))

      allocate(vertices(2302)%branchCT(0:0))
      call avCT(2302, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1885, nGC_1886/))

      allocate(vertices(2349)%branchCT(0:0))
      call avCT(2349, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(2350)%branchCT(0:0))
      call avCT(2350, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1888/))

      allocate(vertices(4976)%branchCT(0:0))
      call avCT(4976, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1889/))

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(21)%branchCT(0:0))
      call avCT(21, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4977)%branchCT(0:0))
      call avCT(4977, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1891/))

      allocate(vertices(119)%branchCT(0:0))
      call avCT(119, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3644)%branchCT(0:0))
      call avCT(3644, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(28)%branchCT(0:0))
      call avCT(28, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1894/))

      allocate(vertices(4978)%branchCT(0:0))
      call avCT(4978, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1177)%branchCT(0:0))
      call avCT(1177, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(31)%branchCT(0:3))
      call avCT(31, 0, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_1898, nGC_1900/))

      call avCT(31, 1, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_1897, nGC_1899/))

      call avCT(31, 2, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_1898, nGC_1900/))

      call avCT(31, 3, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_1897, nGC_1899/))

      allocate(vertices(2359)%branchCT(0:0))
      call avCT(2359, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4642)%branchCT(0:0))
      call avCT(4642, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2360)%branchCT(0:0))
      call avCT(2360, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2361)%branchCT(0:1))
      call avCT(2361, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1881/))

      call avCT(2361, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1882/))

      allocate(vertices(2821)%branchCT(0:0))
      call avCT(2821, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(35)%branchCT(0:0))
      call avCT(35, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2365)%branchCT(0:0))
      call avCT(2365, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4347)%branchCT(0:0))
      call avCT(4347, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2369)%branchCT(0:0))
      call avCT(2369, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2370)%branchCT(0:0))
      call avCT(2370, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1905/))

      allocate(vertices(4925)%branchCT(0:0))
      call avCT(4925, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2371)%branchCT(0:0))
      call avCT(2371, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(218)%branchCT(0:1))
      call avCT(218, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_1908, nGC_1910/))

      call avCT(218, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_1909, nGC_1911/))

      allocate(vertices(2373)%branchCT(0:0))
      call avCT(2373, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2375)%branchCT(0:0))
      call avCT(2375, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(243)%branchCT(0:0))
      call avCT(243, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2378)%branchCT(0:0))
      call avCT(2378, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1913, nGC_1914/))

      allocate(vertices(4112)%branchCT(0:0))
      call avCT(4112, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(49)%branchCT(0:1))
      call avCT(49, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1916, nGC_1918/))

      call avCT(49, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1917, nGC_1919/))

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2381)%branchCT(0:0))
      call avCT(2381, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1920/))

      allocate(vertices(2971)%branchCT(0:0))
      call avCT(2971, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4006)%branchCT(0:0))
      call avCT(4006, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2383)%branchCT(0:0))
      call avCT(2383, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(281)%branchCT(0:0))
      call avCT(281, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2386)%branchCT(0:1))
      call avCT(2386, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1921, nGC_1921/))

      call avCT(2386, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1922, nGC_1922/))

      allocate(vertices(4686)%branchCT(0:0))
      call avCT(4686, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1653)%branchCT(0:0))
      call avCT(1653, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2391)%branchCT(0:0))
      call avCT(2391, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2392)%branchCT(0:0))
      call avCT(2392, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(4979)%branchCT(0:0))
      call avCT(4979, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1889/))

      allocate(vertices(3640)%branchCT(0:1))
      call avCT(3640, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1927, nGC_1927/))

      call avCT(3640, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1928, nGC_1928/))

      allocate(vertices(2395)%branchCT(0:0))
      call avCT(2395, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1929/))

      allocate(vertices(2397)%branchCT(0:3))
      call avCT(2397, 0, 27, 3, 0, FVFa1, (/3, 0/), (/nGC_1930, nGC_1932/))

      call avCT(2397, 1, 27, 3, 0, FVFa1, (/1, 2/), (/nGC_1931, nGC_1933/))

      call avCT(2397, 2, 26, 2, 0, FVFa1, (/3, 0/), (/nGC_1930, nGC_1932/))

      call avCT(2397, 3, 26, 2, 0, FVFa1, (/1, 2/), (/nGC_1931, nGC_1933/))

      allocate(vertices(60)%branchCT(0:0))
      call avCT(60, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_1934/))

      allocate(vertices(1866)%branchCT(0:0))
      call avCT(1866, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(1954)%branchCT(0:0))
      call avCT(1954, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3757)%branchCT(0:0))
      call avCT(3757, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1430)%branchCT(0:0))
      call avCT(1430, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2403)%branchCT(0:0))
      call avCT(2403, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(65)%branchCT(0:1))
      call avCT(65, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_1937, nGC_1939/))

      call avCT(65, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_1938, nGC_1940/))

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(68)%branchCT(0:0))
      call avCT(68, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1942, nGC_1942/))

      allocate(vertices(2405)%branchCT(0:0))
      call avCT(2405, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1943/))

      allocate(vertices(384)%branchCT(0:0))
      call avCT(384, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1918)%branchCT(0:0))
      call avCT(1918, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2240)%branchCT(0:0))
      call avCT(2240, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(76)%branchCT(0:0))
      call avCT(76, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4980)%branchCT(0:0))
      call avCT(4980, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(404)%branchCT(0:0))
      call avCT(404, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1227)%branchCT(0:0))
      call avCT(1227, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2411)%branchCT(0:0))
      call avCT(2411, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1946, nGC_1947/))

      allocate(vertices(3783)%branchCT(0:0))
      call avCT(3783, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(440)%branchCT(0:0))
      call avCT(440, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(80)%branchCT(0:0))
      call avCT(80, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1929/))

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(2414)%branchCT(0:0))
      call avCT(2414, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2415)%branchCT(0:0))
      call avCT(2415, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2786)%branchCT(0:0))
      call avCT(2786, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(463)%branchCT(0:0))
      call avCT(463, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1950/))

      allocate(vertices(2419)%branchCT(0:0))
      call avCT(2419, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4862)%branchCT(0:1))
      call avCT(4862, 0, 21, 1, 0, FVFa0, (/0, 3/), (/nGC_1951/))

      call avCT(4862, 1, 21, 1, 0, FVFa0, (/2, 1/), (/nGC_1952/))

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(92)%branchCT(0:1))
      call avCT(92, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1953, nGC_1955/))

      call avCT(92, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1954, nGC_1956/))

      allocate(vertices(504)%branchCT(0:0))
      call avCT(504, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2413)%branchCT(0:0))
      call avCT(2413, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(2425)%branchCT(0:0))
      call avCT(2425, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(95)%branchCT(0:0))
      call avCT(95, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2427)%branchCT(0:0))
      call avCT(2427, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(532)%branchCT(0:0))
      call avCT(532, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4830)%branchCT(0:0))
      call avCT(4830, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(98)%branchCT(0:0))
      call avCT(98, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(1272)%branchCT(0:0))
      call avCT(1272, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2431)%branchCT(0:0))
      call avCT(2431, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2432)%branchCT(0:0))
      call avCT(2432, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1958/))

      allocate(vertices(2433)%branchCT(0:0))
      call avCT(2433, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(809)%branchCT(0:0))
      call avCT(809, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(572)%branchCT(0:0))
      call avCT(572, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(107)%branchCT(0:0))
      call avCT(107, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(109)%branchCT(0:0))
      call avCT(109, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2435)%branchCT(0:0))
      call avCT(2435, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(110)%branchCT(0:0))
      call avCT(110, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1190)%branchCT(0:0))
      call avCT(1190, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2439)%branchCT(0:1))
      call avCT(2439, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1960, nGC_1962/))

      call avCT(2439, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1961, nGC_1963/))

      allocate(vertices(2441)%branchCT(0:0))
      call avCT(2441, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1905/))

      allocate(vertices(3925)%branchCT(0:0))
      call avCT(3925, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(116)%branchCT(0:0))
      call avCT(116, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1964/))

      allocate(vertices(118)%branchCT(0:0))
      call avCT(118, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4724)%branchCT(0:0))
      call avCT(4724, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2448)%branchCT(0:0))
      call avCT(2448, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(120)%branchCT(0:0))
      call avCT(120, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2450)%branchCT(0:0))
      call avCT(2450, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1965/))

      allocate(vertices(1959)%branchCT(0:0))
      call avCT(1959, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(2451)%branchCT(0:0))
      call avCT(2451, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2452)%branchCT(0:0))
      call avCT(2452, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1884/))

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4981)%branchCT(0:0))
      call avCT(4981, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1891/))

      allocate(vertices(2455)%branchCT(0:0))
      call avCT(2455, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2456)%branchCT(0:0))
      call avCT(2456, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(126)%branchCT(0:0))
      call avCT(126, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1224)%branchCT(0:0))
      call avCT(1224, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(2458)%branchCT(0:0))
      call avCT(2458, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2460)%branchCT(0:0))
      call avCT(2460, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2461)%branchCT(0:0))
      call avCT(2461, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1968, nGC_1968/))

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2462)%branchCT(0:0))
      call avCT(2462, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(135)%branchCT(0:0))
      call avCT(135, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2467)%branchCT(0:1))
      call avCT(2467, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1969, nGC_1971/))

      call avCT(2467, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1970, nGC_1972/))

      allocate(vertices(138)%branchCT(0:0))
      call avCT(138, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(139)%branchCT(0:1))
      call avCT(139, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_1973, nGC_1975/))

      call avCT(139, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_1974, nGC_1976/))

      allocate(vertices(2469)%branchCT(0:0))
      call avCT(2469, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2470)%branchCT(0:0))
      call avCT(2470, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(142)%branchCT(0:0))
      call avCT(142, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(4561)%branchCT(0:0))
      call avCT(4561, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1978/))

      allocate(vertices(2472)%branchCT(0:0))
      call avCT(2472, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(814)%branchCT(0:0))
      call avCT(814, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2474)%branchCT(0:0))
      call avCT(2474, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(791)%branchCT(0:0))
      call avCT(791, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4982)%branchCT(0:0))
      call avCT(4982, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1979/))

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4967)%branchCT(0:0))
      call avCT(4967, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1885, nGC_1886/))

      allocate(vertices(2356)%branchCT(0:0))
      call avCT(2356, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2478)%branchCT(0:0))
      call avCT(2478, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(818)%branchCT(0:0))
      call avCT(818, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(821)%branchCT(0:0))
      call avCT(821, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1978/))

      allocate(vertices(833)%branchCT(0:0))
      call avCT(833, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2482)%branchCT(0:0))
      call avCT(2482, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(4093)%branchCT(0:0))
      call avCT(4093, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2483)%branchCT(0:0))
      call avCT(2483, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2485)%branchCT(0:0))
      call avCT(2485, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(155)%branchCT(0:0))
      call avCT(155, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1982, nGC_1983,        &
      nGC_1982/))

      allocate(vertices(2487)%branchCT(0:0))
      call avCT(2487, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(156)%branchCT(0:0))
      call avCT(156, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(157)%branchCT(0:0))
      call avCT(157, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(158)%branchCT(0:0))
      call avCT(158, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1984/))

      allocate(vertices(2490)%branchCT(0:0))
      call avCT(2490, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(160)%branchCT(0:0))
      call avCT(160, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1985/))

      allocate(vertices(893)%branchCT(0:0))
      call avCT(893, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3197)%branchCT(0:0))
      call avCT(3197, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(2494)%branchCT(0:0))
      call avCT(2494, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(167)%branchCT(0:1))
      call avCT(167, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_1986, nGC_1986/))

      call avCT(167, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_1987, nGC_1987/))

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2497)%branchCT(0:0))
      call avCT(2497, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1988, nGC_1989,       &
      nGC_1989/))

      allocate(vertices(4110)%branchCT(0:0))
      call avCT(4110, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2499)%branchCT(0:1))
      call avCT(2499, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1990, nGC_1992/))

      call avCT(2499, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1991, nGC_1993/))

      allocate(vertices(2501)%branchCT(0:0))
      call avCT(2501, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(945)%branchCT(0:0))
      call avCT(945, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(172)%branchCT(0:0))
      call avCT(172, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4983)%branchCT(0:0))
      call avCT(4983, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1891/))

      allocate(vertices(174)%branchCT(0:0))
      call avCT(174, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2619)%branchCT(0:0))
      call avCT(2619, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2506)%branchCT(0:0))
      call avCT(2506, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2507)%branchCT(0:0))
      call avCT(2507, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1913, nGC_1914/))

      allocate(vertices(4984)%branchCT(0:0))
      call avCT(4984, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(1204)%branchCT(0:0))
      call avCT(1204, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2512)%branchCT(0:0))
      call avCT(2512, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(2513)%branchCT(0:0))
      call avCT(2513, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2514)%branchCT(0:0))
      call avCT(2514, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1996/))

      allocate(vertices(996)%branchCT(0:0))
      call avCT(996, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1929/))

      allocate(vertices(182)%branchCT(0:0))
      call avCT(182, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(2515)%branchCT(0:0))
      call avCT(2515, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2363)%branchCT(0:0))
      call avCT(2363, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1020)%branchCT(0:0))
      call avCT(1020, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4535)%branchCT(0:0))
      call avCT(4535, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2519)%branchCT(0:0))
      call avCT(2519, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2522)%branchCT(0:0))
      call avCT(2522, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1978/))

      allocate(vertices(4270)%branchCT(0:0))
      call avCT(4270, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(4965)%branchCT(0:0))
      call avCT(4965, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(2524)%branchCT(0:0))
      call avCT(2524, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(1067)%branchCT(0:0))
      call avCT(1067, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(192)%branchCT(0:0))
      call avCT(192, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(193)%branchCT(0:0))
      call avCT(193, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1998/))

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(195)%branchCT(0:0))
      call avCT(195, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1999, nGC_2000/))

      allocate(vertices(196)%branchCT(0:0))
      call avCT(196, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4389)%branchCT(0:0))
      call avCT(4389, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4354)%branchCT(0:0))
      call avCT(4354, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(199)%branchCT(0:0))
      call avCT(199, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2001/))

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2366)%branchCT(0:0))
      call avCT(2366, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1123)%branchCT(0:0))
      call avCT(1123, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1988,       &
      nGC_1989/))

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(205)%branchCT(0:0))
      call avCT(205, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(3205)%branchCT(0:0))
      call avCT(3205, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2541)%branchCT(0:0))
      call avCT(2541, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2543)%branchCT(0:0))
      call avCT(2543, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3584)%branchCT(0:0))
      call avCT(3584, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4985)%branchCT(0:0))
      call avCT(4985, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1891/))

      allocate(vertices(1164)%branchCT(0:0))
      call avCT(1164, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(41)%branchCT(0:0))
      call avCT(41, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2547)%branchCT(0:1))
      call avCT(2547, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2004, nGC_2006/))

      call avCT(2547, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2005, nGC_2007/))

      allocate(vertices(2548)%branchCT(0:0))
      call avCT(2548, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2008/))

      allocate(vertices(2549)%branchCT(0:0))
      call avCT(2549, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(213)%branchCT(0:1))
      call avCT(213, 0, 21, 1, 0, FVFa0, (/0, 3/), (/nGC_1881/))

      call avCT(213, 1, 21, 1, 0, FVFa0, (/2, 1/), (/nGC_1882/))

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2550)%branchCT(0:0))
      call avCT(2550, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(1201)%branchCT(0:0))
      call avCT(1201, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(1210)%branchCT(0:0))
      call avCT(1210, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4986)%branchCT(0:0))
      call avCT(4986, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(2559)%branchCT(0:0))
      call avCT(2559, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3209)%branchCT(0:0))
      call avCT(3209, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(220)%branchCT(0:0))
      call avCT(220, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4987)%branchCT(0:1))
      call avCT(4987, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2011, nGC_2013,      &
      nGC_2013, nGC_2015/))

      call avCT(4987, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2012, nGC_2014,      &
      nGC_2014, nGC_2016/))

      allocate(vertices(2565)%branchCT(0:0))
      call avCT(2565, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1986)%branchCT(0:0))
      call avCT(1986, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1276)%branchCT(0:0))
      call avCT(1276, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1285)%branchCT(0:0))
      call avCT(1285, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(227)%branchCT(0:1))
      call avCT(227, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1918, nGC_1916/))

      call avCT(227, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1919, nGC_1917/))

      allocate(vertices(4105)%branchCT(0:0))
      call avCT(4105, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(228)%branchCT(0:0))
      call avCT(228, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(229)%branchCT(0:1))
      call avCT(229, 0, 21, 1, 0, FVFa1, (/0, 3/), (/nGC_2017, nGC_2019/))

      call avCT(229, 1, 21, 1, 0, FVFa1, (/2, 1/), (/nGC_2018, nGC_2020/))

      allocate(vertices(4988)%branchCT(0:0))
      call avCT(4988, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(2576)%branchCT(0:0))
      call avCT(2576, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(2577)%branchCT(0:0))
      call avCT(2577, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4989)%branchCT(0:0))
      call avCT(4989, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1324)%branchCT(0:0))
      call avCT(1324, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(210)%branchCT(0:0))
      call avCT(210, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(2580)%branchCT(0:0))
      call avCT(2580, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2581)%branchCT(0:0))
      call avCT(2581, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(2977)%branchCT(0:0))
      call avCT(2977, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(234)%branchCT(0:0))
      call avCT(234, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(235)%branchCT(0:0))
      call avCT(235, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1358)%branchCT(0:0))
      call avCT(1358, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2589)%branchCT(0:1))
      call avCT(2589, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1916, nGC_1918/))

      call avCT(2589, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1917, nGC_1919/))

      allocate(vertices(238)%branchCT(0:0))
      call avCT(238, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(239)%branchCT(0:0))
      call avCT(239, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4207)%branchCT(0:0))
      call avCT(4207, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2591)%branchCT(0:0))
      call avCT(2591, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1603)%branchCT(0:1))
      call avCT(1603, 0, 21, 1, 0, FVFa1, (/0, 3/), (/nGC_1960, nGC_1962/))

      call avCT(1603, 1, 21, 1, 0, FVFa1, (/2, 1/), (/nGC_1961, nGC_1963/))

      allocate(vertices(3170)%branchCT(0:0))
      call avCT(3170, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1885, nGC_1886/))

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2969)%branchCT(0:0))
      call avCT(2969, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(247)%branchCT(0:1))
      call avCT(247, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1969, nGC_1971/))

      call avCT(247, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1970, nGC_1972/))

      allocate(vertices(248)%branchCT(0:0))
      call avCT(248, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2596)%branchCT(0:0))
      call avCT(2596, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1968, nGC_1968/))

      allocate(vertices(4990)%branchCT(0:0))
      call avCT(4990, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2022/))

      allocate(vertices(249)%branchCT(0:3))
      call avCT(249, 0, 22, 2, 0, FaVF1, (/3, 0/), (/nGC_2023, nGC_2025/))

      call avCT(249, 1, 22, 2, 0, FaVF1, (/1, 2/), (/nGC_2024, nGC_2026/))

      call avCT(249, 2, 23, 3, 0, FaVF1, (/3, 0/), (/nGC_2023, nGC_2025/))

      call avCT(249, 3, 23, 3, 0, FaVF1, (/1, 2/), (/nGC_2024, nGC_2026/))

      allocate(vertices(1420)%branchCT(0:1))
      call avCT(1420, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_1986, nGC_1986/))

      call avCT(1420, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_1987, nGC_1987/))

      allocate(vertices(2599)%branchCT(0:0))
      call avCT(2599, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1988, nGC_1989,       &
      nGC_1989/))

      allocate(vertices(836)%branchCT(0:0))
      call avCT(836, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2601)%branchCT(0:0))
      call avCT(2601, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2344)%branchCT(0:0))
      call avCT(2344, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2027/))

      allocate(vertices(2604)%branchCT(0:0))
      call avCT(2604, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(252)%branchCT(0:0))
      call avCT(252, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1725)%branchCT(0:0))
      call avCT(1725, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(253)%branchCT(0:1))
      call avCT(253, 0, 20, 1, 0, FaVF1, (/0, 3/), (/nGC_1969, nGC_1971/))

      call avCT(253, 1, 20, 1, 0, FaVF1, (/2, 1/), (/nGC_1970, nGC_1972/))

      allocate(vertices(2607)%branchCT(0:0))
      call avCT(2607, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3641)%branchCT(0:0))
      call avCT(3641, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(255)%branchCT(0:1))
      call avCT(255, 0, 2, 4, 0, UaUV1, (/3, 0/), (/nGC_2028/))

      call avCT(255, 1, 3, 5, 0, UaUV1, (/3, 0/), (/nGC_2028/))

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(306)%branchCT(0:0))
      call avCT(306, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1988,        &
      nGC_1989/))

      allocate(vertices(4991)%branchCT(0:0))
      call avCT(4991, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2029/))

      allocate(vertices(4494)%branchCT(0:0))
      call avCT(4494, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2614)%branchCT(0:1))
      call avCT(2614, 0, 20, 1, 0, FaVF0, (/0, 3/), (/nGC_1881/))

      call avCT(2614, 1, 20, 1, 0, FaVF0, (/2, 1/), (/nGC_1882/))

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(261)%branchCT(0:1))
      call avCT(261, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2004, nGC_2006/))

      call avCT(261, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2005, nGC_2007/))

      allocate(vertices(263)%branchCT(0:1))
      call avCT(263, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1918, nGC_1916/))

      call avCT(263, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1919, nGC_1917/))

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1700)%branchCT(0:0))
      call avCT(1700, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4549)%branchCT(0:0))
      call avCT(4549, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2620)%branchCT(0:0))
      call avCT(2620, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2030/))

      allocate(vertices(2622)%branchCT(0:0))
      call avCT(2622, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1532)%branchCT(0:0))
      call avCT(1532, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1996/))

      allocate(vertices(2380)%branchCT(0:0))
      call avCT(2380, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2625)%branchCT(0:0))
      call avCT(2625, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(51)%branchCT(0:1))
      call avCT(51, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1951/))

      call avCT(51, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1952/))

      allocate(vertices(2309)%branchCT(0:0))
      call avCT(2309, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1942, nGC_1942/))

      allocate(vertices(4550)%branchCT(0:0))
      call avCT(4550, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(270)%branchCT(0:0))
      call avCT(270, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(271)%branchCT(0:1))
      call avCT(271, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1951/))

      call avCT(271, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1952/))

      allocate(vertices(272)%branchCT(0:0))
      call avCT(272, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(273)%branchCT(0:0))
      call avCT(273, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2629)%branchCT(0:1))
      call avCT(2629, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_1916, nGC_1918/))

      call avCT(2629, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_1917, nGC_1919/))

      allocate(vertices(1576)%branchCT(0:0))
      call avCT(1576, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(53)%branchCT(0:0))
      call avCT(53, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2632)%branchCT(0:0))
      call avCT(2632, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2328)%branchCT(0:0))
      call avCT(2328, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(2635)%branchCT(0:0))
      call avCT(2635, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2032/))

      allocate(vertices(278)%branchCT(0:0))
      call avCT(278, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2637)%branchCT(0:0))
      call avCT(2637, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2638)%branchCT(0:1))
      call avCT(2638, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_1916, nGC_1918/))

      call avCT(2638, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_1917, nGC_1919/))

      allocate(vertices(2628)%branchCT(0:1))
      call avCT(2628, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2033/))

      call avCT(2628, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2034/))

      allocate(vertices(3646)%branchCT(0:0))
      call avCT(3646, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(2160)%branchCT(0:1))
      call avCT(2160, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2036, nGC_2036/))

      call avCT(2160, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2037, nGC_2037/))

      allocate(vertices(2642)%branchCT(0:0))
      call avCT(2642, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3189)%branchCT(0:0))
      call avCT(3189, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2038, nGC_2038,       &
      nGC_2039/))

      allocate(vertices(2820)%branchCT(0:0))
      call avCT(2820, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(286)%branchCT(0:0))
      call avCT(286, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(1665)%branchCT(0:0))
      call avCT(1665, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1373)%branchCT(0:0))
      call avCT(1373, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1968, nGC_1968/))

      allocate(vertices(4992)%branchCT(0:0))
      call avCT(4992, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1999, nGC_2000/))

      allocate(vertices(1744)%branchCT(0:0))
      call avCT(1744, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1698)%branchCT(0:0))
      call avCT(1698, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1230)%branchCT(0:0))
      call avCT(1230, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(294)%branchCT(0:0))
      call avCT(294, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2038, nGC_2039,        &
      nGC_2038/))

      allocate(vertices(2881)%branchCT(0:0))
      call avCT(2881, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1913, nGC_1914/))

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(298)%branchCT(0:1))
      call avCT(298, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_1975, nGC_1973/))

      call avCT(298, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_1976, nGC_1974/))

      allocate(vertices(1231)%branchCT(0:0))
      call avCT(1231, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1835)%branchCT(0:0))
      call avCT(1835, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(300)%branchCT(0:0))
      call avCT(300, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(1016)%branchCT(0:0))
      call avCT(1016, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2661)%branchCT(0:0))
      call avCT(2661, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(2663)%branchCT(0:0))
      call avCT(2663, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2040/))

      allocate(vertices(1232)%branchCT(0:0))
      call avCT(1232, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2665)%branchCT(0:0))
      call avCT(2665, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2666)%branchCT(0:0))
      call avCT(2666, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(1791)%branchCT(0:0))
      call avCT(1791, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1920/))

      allocate(vertices(4556)%branchCT(0:0))
      call avCT(4556, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2042/))

      allocate(vertices(616)%branchCT(0:0))
      call avCT(616, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2670)%branchCT(0:0))
      call avCT(2670, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(4993)%branchCT(0:0))
      call avCT(4993, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1891/))

      allocate(vertices(1697)%branchCT(0:0))
      call avCT(1697, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1929/))

      allocate(vertices(1816)%branchCT(0:0))
      call avCT(1816, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2672)%branchCT(0:0))
      call avCT(2672, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(315)%branchCT(0:1))
      call avCT(315, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2004, nGC_2006/))

      call avCT(315, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2005, nGC_2007/))

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2674)%branchCT(0:0))
      call avCT(2674, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2043/))

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2675)%branchCT(0:1))
      call avCT(2675, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1921, nGC_1921/))

      call avCT(2675, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1922, nGC_1922/))

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(2650)%branchCT(0:0))
      call avCT(2650, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2678)%branchCT(0:0))
      call avCT(2678, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(4557)%branchCT(0:0))
      call avCT(4557, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1983, nGC_1982,       &
      nGC_1982/))

      allocate(vertices(1874)%branchCT(0:0))
      call avCT(1874, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(320)%branchCT(0:1))
      call avCT(320, 0, 20, 1, 0, FaVF1, (/0, 3/), (/nGC_2044, nGC_2046/))

      call avCT(320, 1, 20, 1, 0, FaVF1, (/2, 1/), (/nGC_2045, nGC_2047/))

      allocate(vertices(1881)%branchCT(0:0))
      call avCT(1881, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4227)%branchCT(0:0))
      call avCT(4227, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(2684)%branchCT(0:0))
      call avCT(2684, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2048/))

      allocate(vertices(4994)%branchCT(0:0))
      call avCT(4994, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(329)%branchCT(0:0))
      call avCT(329, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(2686)%branchCT(0:0))
      call avCT(2686, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1894/))

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(2687)%branchCT(0:0))
      call avCT(2687, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2002)%branchCT(0:0))
      call avCT(2002, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2692)%branchCT(0:0))
      call avCT(2692, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(2694)%branchCT(0:0))
      call avCT(2694, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2049/))

      allocate(vertices(336)%branchCT(0:0))
      call avCT(336, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(1984)%branchCT(0:0))
      call avCT(1984, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1992)%branchCT(0:0))
      call avCT(1992, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2698)%branchCT(0:3))
      call avCT(2698, 0, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_2051, nGC_2053/))

      call avCT(2698, 1, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_2052, nGC_2054/))

      call avCT(2698, 2, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_2051, nGC_2053/))

      call avCT(2698, 3, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_2052, nGC_2054/))

      allocate(vertices(338)%branchCT(0:0))
      call avCT(338, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2699)%branchCT(0:0))
      call avCT(2699, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2055, nGC_2055/))

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2701)%branchCT(0:0))
      call avCT(2701, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2702)%branchCT(0:0))
      call avCT(2702, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2056/))

      allocate(vertices(2703)%branchCT(0:0))
      call avCT(2703, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(449)%branchCT(0:0))
      call avCT(449, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2704)%branchCT(0:0))
      call avCT(2704, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(2707)%branchCT(0:0))
      call avCT(2707, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(3660)%branchCT(0:0))
      call avCT(3660, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2864)%branchCT(0:0))
      call avCT(2864, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(349)%branchCT(0:0))
      call avCT(349, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(350)%branchCT(0:1))
      call avCT(350, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2044, nGC_2046/))

      call avCT(350, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2045, nGC_2047/))

      allocate(vertices(4995)%branchCT(0:0))
      call avCT(4995, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(4727)%branchCT(0:0))
      call avCT(4727, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(451)%branchCT(0:0))
      call avCT(451, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2712)%branchCT(0:0))
      call avCT(2712, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2066)%branchCT(0:0))
      call avCT(2066, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2074)%branchCT(0:0))
      call avCT(2074, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(2718)%branchCT(0:0))
      call avCT(2718, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(3229)%branchCT(0:1))
      call avCT(3229, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2057, nGC_2059/))

      call avCT(3229, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2058, nGC_2060/))

      allocate(vertices(2720)%branchCT(0:0))
      call avCT(2720, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(4996)%branchCT(0:0))
      call avCT(4996, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3663)%branchCT(0:0))
      call avCT(3663, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(2723)%branchCT(0:0))
      call avCT(2723, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2724)%branchCT(0:0))
      call avCT(2724, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1933)%branchCT(0:0))
      call avCT(1933, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(4997)%branchCT(0:1))
      call avCT(4997, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2061, nGC_2063,      &
      nGC_2063, nGC_2065/))

      call avCT(4997, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2062, nGC_2064,      &
      nGC_2064, nGC_2066/))

      allocate(vertices(4639)%branchCT(0:0))
      call avCT(4639, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2147)%branchCT(0:0))
      call avCT(2147, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2067/))

      allocate(vertices(2153)%branchCT(0:0))
      call avCT(2153, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4533)%branchCT(0:0))
      call avCT(4533, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2733)%branchCT(0:0))
      call avCT(2733, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1988, nGC_1989,       &
      nGC_1989/))

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2735)%branchCT(0:1))
      call avCT(2735, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2068, nGC_2070/))

      call avCT(2735, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2069, nGC_2071/))

      allocate(vertices(1618)%branchCT(0:0))
      call avCT(1618, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(369)%branchCT(0:0))
      call avCT(369, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2039, nGC_2038,        &
      nGC_2038/))

      allocate(vertices(3507)%branchCT(0:0))
      call avCT(3507, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1996/))

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1905/))

      allocate(vertices(2804)%branchCT(0:0))
      call avCT(2804, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2072, nGC_2072,       &
      nGC_2073/))

      allocate(vertices(2742)%branchCT(0:0))
      call avCT(2742, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2001/))

      allocate(vertices(4998)%branchCT(0:0))
      call avCT(4998, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2224)%branchCT(0:0))
      call avCT(2224, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2751)%branchCT(0:0))
      call avCT(2751, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2756)%branchCT(0:1))
      call avCT(2756, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2074, nGC_2076/))

      call avCT(2756, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2075, nGC_2077/))

      allocate(vertices(381)%branchCT(0:0))
      call avCT(381, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2265)%branchCT(0:0))
      call avCT(2265, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1984/))

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(70)%branchCT(0:0))
      call avCT(70, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2293)%branchCT(0:0))
      call avCT(2293, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(668)%branchCT(0:0))
      call avCT(668, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(2100)%branchCT(0:0))
      call avCT(2100, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1958/))

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2078/))

      allocate(vertices(1622)%branchCT(0:0))
      call avCT(1622, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(4999)%branchCT(0:0))
      call avCT(4999, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2079/))

      allocate(vertices(2769)%branchCT(0:0))
      call avCT(2769, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1880)%branchCT(0:0))
      call avCT(1880, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2771)%branchCT(0:0))
      call avCT(2771, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2338)%branchCT(0:0))
      call avCT(2338, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2774)%branchCT(0:0))
      call avCT(2774, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_2043/))

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4637)%branchCT(0:0))
      call avCT(4637, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(396)%branchCT(0:0))
      call avCT(396, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3915)%branchCT(0:0))
      call avCT(3915, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2080/))

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4569)%branchCT(0:0))
      call avCT(4569, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(5000)%branchCT(0:0))
      call avCT(5000, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2081/))

      allocate(vertices(403)%branchCT(0:0))
      call avCT(403, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2082/))

      allocate(vertices(5001)%branchCT(0:0))
      call avCT(5001, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3069)%branchCT(0:0))
      call avCT(3069, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(408)%branchCT(0:0))
      call avCT(408, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2027/))

      allocate(vertices(409)%branchCT(0:0))
      call avCT(409, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(410)%branchCT(0:1))
      call avCT(410, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_1951/))

      call avCT(410, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_1952/))

      allocate(vertices(2445)%branchCT(0:0))
      call avCT(2445, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(2793)%branchCT(0:0))
      call avCT(2793, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2083/))

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(413)%branchCT(0:0))
      call avCT(413, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(414)%branchCT(0:0))
      call avCT(414, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(4803)%branchCT(0:0))
      call avCT(4803, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(5002)%branchCT(0:0))
      call avCT(5002, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(416)%branchCT(0:0))
      call avCT(416, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1884/))

      allocate(vertices(2843)%branchCT(0:0))
      call avCT(2843, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(2794)%branchCT(0:0))
      call avCT(2794, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(5003)%branchCT(0:0))
      call avCT(5003, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1891/))

      allocate(vertices(2796)%branchCT(0:0))
      call avCT(2796, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2797)%branchCT(0:5))
      call avCT(2797, 0, 9, 7, 0, VVVV0, (/4, 0/), (/nGC_2085, nGC_2086,       &
      nGC_2085/))

      call avCT(2797, 1, 7, 7, 0, VVVV0, (/4, 0/), (/nGC_2085, nGC_2086,       &
      nGC_2085/))

      call avCT(2797, 2, 8, 7, 0, VVVV0, (/4, 0/), (/nGC_2086, nGC_2085,       &
      nGC_2085/))

      call avCT(2797, 3, 6, 7, 0, VVVV0, (/4, 0/), (/nGC_2086, nGC_2085,       &
      nGC_2085/))

      call avCT(2797, 4, 5, 6, 0, VVVV0, (/4, 0/), (/nGC_2087, nGC_2087,       &
      nGC_2088/))

      call avCT(2797, 5, 4, 6, 0, VVVV0, (/4, 0/), (/nGC_2087, nGC_2087,       &
      nGC_2088/))

      allocate(vertices(1371)%branchCT(0:0))
      call avCT(1371, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3034)%branchCT(0:0))
      call avCT(3034, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(1189)%branchCT(0:0))
      call avCT(1189, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2801)%branchCT(0:0))
      call avCT(2801, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2410)%branchCT(0:0))
      call avCT(2410, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(430)%branchCT(0:0))
      call avCT(430, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(5004)%branchCT(0:0))
      call avCT(5004, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2089, nGC_2090/))

      allocate(vertices(431)%branchCT(0:0))
      call avCT(431, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(433)%branchCT(0:0))
      call avCT(433, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(5005)%branchCT(0:0))
      call avCT(5005, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2091/))

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2809)%branchCT(0:1))
      call avCT(2809, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2092, nGC_2092/))

      call avCT(2809, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2093, nGC_2093/))

      allocate(vertices(2811)%branchCT(0:0))
      call avCT(2811, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2812)%branchCT(0:0))
      call avCT(2812, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2278)%branchCT(0:1))
      call avCT(2278, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1916, nGC_1918/))

      call avCT(2278, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1917, nGC_1919/))

      allocate(vertices(2813)%branchCT(0:0))
      call avCT(2813, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2412)%branchCT(0:0))
      call avCT(2412, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(2814)%branchCT(0:0))
      call avCT(2814, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(441)%branchCT(0:0))
      call avCT(441, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2094/))

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2817)%branchCT(0:0))
      call avCT(2817, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2064)%branchCT(0:0))
      call avCT(2064, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(2819)%branchCT(0:0))
      call avCT(2819, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2095/))

      allocate(vertices(2759)%branchCT(0:0))
      call avCT(2759, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2001/))

      allocate(vertices(2822)%branchCT(0:0))
      call avCT(2822, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2823)%branchCT(0:0))
      call avCT(2823, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2824)%branchCT(0:0))
      call avCT(2824, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2602)%branchCT(0:0))
      call avCT(2602, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2825)%branchCT(0:1))
      call avCT(2825, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2096, nGC_2096/))

      call avCT(2825, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2097, nGC_2097/))

      allocate(vertices(2826)%branchCT(0:0))
      call avCT(2826, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2828)%branchCT(0:0))
      call avCT(2828, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2829)%branchCT(0:0))
      call avCT(2829, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2098, nGC_2098/))

      allocate(vertices(1256)%branchCT(0:0))
      call avCT(1256, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2831)%branchCT(0:0))
      call avCT(2831, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(2833)%branchCT(0:0))
      call avCT(2833, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2835)%branchCT(0:1))
      call avCT(2835, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2099, nGC_2101/))

      call avCT(2835, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2100, nGC_2102/))

      allocate(vertices(2836)%branchCT(0:0))
      call avCT(2836, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2837)%branchCT(0:0))
      call avCT(2837, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2040/))

      allocate(vertices(2839)%branchCT(0:3))
      call avCT(2839, 0, 28, 2, 0, VFaF0, (/1, 2/), (/nGC_1898, nGC_1900/))

      call avCT(2839, 1, 28, 2, 0, VFaF0, (/3, 0/), (/nGC_1897, nGC_1899/))

      call avCT(2839, 2, 29, 3, 0, VFaF0, (/1, 2/), (/nGC_1898, nGC_1900/))

      call avCT(2839, 3, 29, 3, 0, VFaF0, (/3, 0/), (/nGC_1897, nGC_1899/))

      allocate(vertices(1632)%branchCT(0:1))
      call avCT(1632, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2103, nGC_2103/))

      call avCT(1632, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2104, nGC_2104/))

      allocate(vertices(2840)%branchCT(0:0))
      call avCT(2840, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2105/))

      allocate(vertices(455)%branchCT(0:0))
      call avCT(455, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2841)%branchCT(0:0))
      call avCT(2841, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2782)%branchCT(0:1))
      call avCT(2782, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_1908, nGC_1910/))

      call avCT(2782, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_1909, nGC_1911/))

      allocate(vertices(4580)%branchCT(0:0))
      call avCT(4580, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2844)%branchCT(0:0))
      call avCT(2844, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2106/))

      allocate(vertices(2799)%branchCT(0:0))
      call avCT(2799, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(5006)%branchCT(0:0))
      call avCT(5006, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2107/))

      allocate(vertices(4581)%branchCT(0:0))
      call avCT(4581, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(466)%branchCT(0:0))
      call avCT(466, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2847)%branchCT(0:0))
      call avCT(2847, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2105/))

      allocate(vertices(4155)%branchCT(0:0))
      call avCT(4155, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2848)%branchCT(0:0))
      call avCT(2848, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(5007)%branchCT(0:0))
      call avCT(5007, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2108/))

      allocate(vertices(2849)%branchCT(0:0))
      call avCT(2849, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2109/))

      allocate(vertices(475)%branchCT(0:3))
      call avCT(475, 0, 27, 3, 0, FVFa1, (/1, 2/), (/nGC_1898, nGC_1900/))

      call avCT(475, 1, 27, 3, 0, FVFa1, (/3, 0/), (/nGC_1897, nGC_1899/))

      call avCT(475, 2, 26, 2, 0, FVFa1, (/1, 2/), (/nGC_1898, nGC_1900/))

      call avCT(475, 3, 26, 2, 0, FVFa1, (/3, 0/), (/nGC_1897, nGC_1899/))

      allocate(vertices(476)%branchCT(0:0))
      call avCT(476, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2851)%branchCT(0:0))
      call avCT(2851, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(2853)%branchCT(0:0))
      call avCT(2853, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(2854)%branchCT(0:0))
      call avCT(2854, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(470)%branchCT(0:0))
      call avCT(470, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2857)%branchCT(0:0))
      call avCT(2857, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1950/))

      allocate(vertices(484)%branchCT(0:0))
      call avCT(484, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2860)%branchCT(0:0))
      call avCT(2860, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2949)%branchCT(0:0))
      call avCT(2949, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(2861)%branchCT(0:0))
      call avCT(2861, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(489)%branchCT(0:0))
      call avCT(489, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(5008)%branchCT(0:0))
      call avCT(5008, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1891/))

      allocate(vertices(3402)%branchCT(0:0))
      call avCT(3402, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(496)%branchCT(0:1))
      call avCT(496, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2111, nGC_2111/))

      call avCT(496, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2112, nGC_2112/))

      allocate(vertices(2872)%branchCT(0:0))
      call avCT(2872, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(497)%branchCT(0:0))
      call avCT(497, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1988, nGC_1989,        &
      nGC_1989/))

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3008)%branchCT(0:0))
      call avCT(3008, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2875)%branchCT(0:1))
      call avCT(2875, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1908, nGC_1910/))

      call avCT(2875, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1909, nGC_1911/))

      allocate(vertices(2877)%branchCT(0:0))
      call avCT(2877, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(4159)%branchCT(0:1))
      call avCT(4159, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2057, nGC_2059/))

      call avCT(4159, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2058, nGC_2060/))

      allocate(vertices(2879)%branchCT(0:0))
      call avCT(2879, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3710)%branchCT(0:0))
      call avCT(3710, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2882)%branchCT(0:0))
      call avCT(2882, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5009)%branchCT(0:0))
      call avCT(5009, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2107/))

      allocate(vertices(2885)%branchCT(0:0))
      call avCT(2885, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2043/))

      allocate(vertices(5010)%branchCT(0:0))
      call avCT(5010, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2113/))

      allocate(vertices(2800)%branchCT(0:0))
      call avCT(2800, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2890)%branchCT(0:0))
      call avCT(2890, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(507)%branchCT(0:0))
      call avCT(507, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2114/))

      allocate(vertices(3106)%branchCT(0:0))
      call avCT(3106, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3114)%branchCT(0:0))
      call avCT(3114, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4498)%branchCT(0:0))
      call avCT(4498, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3123)%branchCT(0:1))
      call avCT(3123, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2103, nGC_2103/))

      call avCT(3123, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2104, nGC_2104/))

      allocate(vertices(515)%branchCT(0:0))
      call avCT(515, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1884/))

      allocate(vertices(518)%branchCT(0:0))
      call avCT(518, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(479)%branchCT(0:0))
      call avCT(479, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(520)%branchCT(0:0))
      call avCT(520, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1890/))

    end subroutine fill_vertices_mdl7
end module vertices_info7
