!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl8()
      allocate(vertices(2903)%branchCT(0:0))
      call avCT(2903, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(4594)%branchCT(0:0))
      call avCT(4594, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(522)%branchCT(0:0))
      call avCT(522, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(523)%branchCT(0:0))
      call avCT(523, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2343)%branchCT(0:0))
      call avCT(2343, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(2906)%branchCT(0:1))
      call avCT(2906, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1960, nGC_1962/))

      call avCT(2906, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1961, nGC_1963/))

      allocate(vertices(1563)%branchCT(0:0))
      call avCT(1563, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2648)%branchCT(0:0))
      call avCT(2648, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2891)%branchCT(0:1))
      call avCT(2891, 0, 116, 4, 0, VUUa1, (/3, 0/), (/nGC_2115/))

      call avCT(2891, 1, 117, 5, 0, VUUa1, (/3, 0/), (/nGC_2115/))

      allocate(vertices(4596)%branchCT(0:0))
      call avCT(4596, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2909)%branchCT(0:0))
      call avCT(2909, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3161)%branchCT(0:0))
      call avCT(3161, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(528)%branchCT(0:0))
      call avCT(528, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(529)%branchCT(0:0))
      call avCT(529, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2091/))

      allocate(vertices(531)%branchCT(0:0))
      call avCT(531, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(97)%branchCT(0:0))
      call avCT(97, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(533)%branchCT(0:0))
      call avCT(533, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2913)%branchCT(0:0))
      call avCT(2913, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4682)%branchCT(0:0))
      call avCT(4682, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2039, nGC_2038,       &
      nGC_2038/))

      allocate(vertices(3248)%branchCT(0:0))
      call avCT(3248, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2916)%branchCT(0:1))
      call avCT(2916, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1975, nGC_1973/))

      call avCT(2916, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1976, nGC_1974/))

      allocate(vertices(3256)%branchCT(0:0))
      call avCT(3256, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1647)%branchCT(0:0))
      call avCT(1647, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3271)%branchCT(0:0))
      call avCT(3271, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(541)%branchCT(0:0))
      call avCT(541, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(543)%branchCT(0:1))
      call avCT(543, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2117, nGC_2117/))

      call avCT(543, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2118, nGC_2118/))

      allocate(vertices(5011)%branchCT(0:0))
      call avCT(5011, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(2923)%branchCT(0:0))
      call avCT(2923, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1510)%branchCT(0:0))
      call avCT(1510, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2924)%branchCT(0:0))
      call avCT(2924, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2925)%branchCT(0:0))
      call avCT(2925, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1920/))

      allocate(vertices(2926)%branchCT(0:0))
      call avCT(2926, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(547)%branchCT(0:1))
      call avCT(547, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2074, nGC_2076/))

      call avCT(547, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2075, nGC_2077/))

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(549)%branchCT(0:0))
      call avCT(549, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2931)%branchCT(0:0))
      call avCT(2931, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2105/))

      allocate(vertices(3645)%branchCT(0:0))
      call avCT(3645, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(5012)%branchCT(0:0))
      call avCT(5012, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2119, nGC_2120,        &
      nGC_2121/))

      allocate(vertices(3807)%branchCT(0:0))
      call avCT(3807, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(2937)%branchCT(0:0))
      call avCT(2937, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(102)%branchCT(0:0))
      call avCT(102, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(2939)%branchCT(0:0))
      call avCT(2939, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(556)%branchCT(0:0))
      call avCT(556, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1989,        &
      nGC_1988/))

      allocate(vertices(2940)%branchCT(0:0))
      call avCT(2940, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1920/))

      allocate(vertices(2941)%branchCT(0:0))
      call avCT(2941, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2355)%branchCT(0:0))
      call avCT(2355, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(565)%branchCT(0:0))
      call avCT(565, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(559)%branchCT(0:0))
      call avCT(559, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2943)%branchCT(0:0))
      call avCT(2943, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(562)%branchCT(0:0))
      call avCT(562, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2055, nGC_2055/))

      allocate(vertices(563)%branchCT(0:1))
      call avCT(563, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1910, nGC_1908/))

      call avCT(563, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1911, nGC_1909/))

      allocate(vertices(564)%branchCT(0:0))
      call avCT(564, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(4175)%branchCT(0:1))
      call avCT(4175, 0, 20, 1, 0, FaVF1, (/0, 3/), (/nGC_2017, nGC_2019/))

      call avCT(4175, 1, 20, 1, 0, FaVF1, (/2, 1/), (/nGC_2018, nGC_2020/))

      allocate(vertices(2945)%branchCT(0:1))
      call avCT(2945, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2122, nGC_2124/))

      call avCT(2945, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2123, nGC_2125/))

      allocate(vertices(3438)%branchCT(0:0))
      call avCT(3438, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2946)%branchCT(0:1))
      call avCT(2946, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2126, nGC_2126/))

      call avCT(2946, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2127, nGC_2127/))

      allocate(vertices(2947)%branchCT(0:0))
      call avCT(2947, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1989,       &
      nGC_1988/))

      allocate(vertices(2948)%branchCT(0:3))
      call avCT(2948, 0, 30, 2, 0, VFFa1, (/3, 0/), (/nGC_2128, nGC_2130/))

      call avCT(2948, 1, 30, 2, 0, VFFa1, (/1, 2/), (/nGC_2129, nGC_2131/))

      call avCT(2948, 2, 31, 3, 0, VFFa1, (/3, 0/), (/nGC_2128, nGC_2130/))

      call avCT(2948, 3, 31, 3, 0, VFFa1, (/1, 2/), (/nGC_2129, nGC_2131/))

      allocate(vertices(1655)%branchCT(0:0))
      call avCT(1655, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2132/))

      allocate(vertices(571)%branchCT(0:1))
      call avCT(571, 0, 21, 1, 0, FVFa0, (/0, 3/), (/nGC_1881/))

      call avCT(571, 1, 21, 1, 0, FVFa0, (/2, 1/), (/nGC_1882/))

      allocate(vertices(2434)%branchCT(0:0))
      call avCT(2434, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(573)%branchCT(0:0))
      call avCT(573, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(574)%branchCT(0:0))
      call avCT(574, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(685)%branchCT(0:0))
      call avCT(685, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3479)%branchCT(0:0))
      call avCT(3479, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(577)%branchCT(0:0))
      call avCT(577, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2863)%branchCT(0:0))
      call avCT(2863, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(578)%branchCT(0:0))
      call avCT(578, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5013)%branchCT(0:0))
      call avCT(5013, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1544)%branchCT(0:0))
      call avCT(1544, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4019)%branchCT(0:0))
      call avCT(4019, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2073, nGC_2072,       &
      nGC_2072/))

      allocate(vertices(5014)%branchCT(0:0))
      call avCT(5014, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(4609)%branchCT(0:0))
      call avCT(4609, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(582)%branchCT(0:0))
      call avCT(582, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(583)%branchCT(0:0))
      call avCT(583, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2080/))

      allocate(vertices(1659)%branchCT(0:0))
      call avCT(1659, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(584)%branchCT(0:0))
      call avCT(584, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(2966)%branchCT(0:0))
      call avCT(2966, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1920/))

      allocate(vertices(4859)%branchCT(0:0))
      call avCT(4859, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2968)%branchCT(0:0))
      call avCT(2968, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1885, nGC_1886/))

      allocate(vertices(3593)%branchCT(0:0))
      call avCT(3593, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(586)%branchCT(0:0))
      call avCT(586, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2050)%branchCT(0:0))
      call avCT(2050, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2970)%branchCT(0:0))
      call avCT(2970, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2972)%branchCT(0:0))
      call avCT(2972, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(590)%branchCT(0:1))
      call avCT(590, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1937, nGC_1939/))

      call avCT(590, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1938, nGC_1940/))

      allocate(vertices(2973)%branchCT(0:0))
      call avCT(2973, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2975)%branchCT(0:0))
      call avCT(2975, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1950/))

      allocate(vertices(2436)%branchCT(0:0))
      call avCT(2436, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(594)%branchCT(0:0))
      call avCT(594, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2133/))

      allocate(vertices(3608)%branchCT(0:0))
      call avCT(3608, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(891)%branchCT(0:0))
      call avCT(891, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(600)%branchCT(0:0))
      call avCT(600, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4091)%branchCT(0:0))
      call avCT(4091, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1662)%branchCT(0:0))
      call avCT(1662, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2980)%branchCT(0:0))
      call avCT(2980, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3638)%branchCT(0:0))
      call avCT(3638, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2956)%branchCT(0:0))
      call avCT(2956, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(603)%branchCT(0:0))
      call avCT(603, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3866)%branchCT(0:0))
      call avCT(3866, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(606)%branchCT(0:1))
      call avCT(606, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2134, nGC_2136/))

      call avCT(606, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2135, nGC_2137/))

      allocate(vertices(3672)%branchCT(0:0))
      call avCT(3672, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(608)%branchCT(0:1))
      call avCT(608, 0, 20, 1, 0, FaVF1, (/0, 3/), (/nGC_2122, nGC_2124/))

      call avCT(608, 1, 20, 1, 0, FaVF1, (/2, 1/), (/nGC_2123, nGC_2125/))

      allocate(vertices(2985)%branchCT(0:0))
      call avCT(2985, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2986)%branchCT(0:0))
      call avCT(2986, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1946, nGC_1947/))

      allocate(vertices(1284)%branchCT(0:0))
      call avCT(1284, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(610)%branchCT(0:0))
      call avCT(610, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2083/))

      allocate(vertices(114)%branchCT(0:0))
      call avCT(114, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_2078/))

      allocate(vertices(611)%branchCT(0:0))
      call avCT(611, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(612)%branchCT(0:0))
      call avCT(612, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(615)%branchCT(0:0))
      call avCT(615, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2994)%branchCT(0:0))
      call avCT(2994, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2995)%branchCT(0:0))
      call avCT(2995, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(617)%branchCT(0:0))
      call avCT(617, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3772)%branchCT(0:0))
      call avCT(3772, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4276)%branchCT(0:0))
      call avCT(4276, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(620)%branchCT(0:0))
      call avCT(620, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(621)%branchCT(0:0))
      call avCT(621, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1943/))

      allocate(vertices(622)%branchCT(0:0))
      call avCT(622, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3001)%branchCT(0:0))
      call avCT(3001, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2138/))

      allocate(vertices(2277)%branchCT(0:0))
      call avCT(2277, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3003)%branchCT(0:0))
      call avCT(3003, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(5015)%branchCT(0:0))
      call avCT(5015, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2107/))

      allocate(vertices(3006)%branchCT(0:0))
      call avCT(3006, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3824)%branchCT(0:0))
      call avCT(3824, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(629)%branchCT(0:0))
      call avCT(629, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(630)%branchCT(0:0))
      call avCT(630, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(631)%branchCT(0:0))
      call avCT(631, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3861)%branchCT(0:0))
      call avCT(3861, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3012)%branchCT(0:1))
      call avCT(3012, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2139, nGC_2139/))

      call avCT(3012, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2140, nGC_2140/))

      allocate(vertices(3868)%branchCT(0:0))
      call avCT(3868, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3015)%branchCT(0:0))
      call avCT(3015, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3016)%branchCT(0:0))
      call avCT(3016, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2021/))

      allocate(vertices(3017)%branchCT(0:0))
      call avCT(3017, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2446)%branchCT(0:0))
      call avCT(2446, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(3018)%branchCT(0:0))
      call avCT(3018, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3630)%branchCT(0:0))
      call avCT(3630, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2141/))

      allocate(vertices(3910)%branchCT(0:0))
      call avCT(3910, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(640)%branchCT(0:1))
      call avCT(640, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2103, nGC_2103/))

      call avCT(640, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2104, nGC_2104/))

      allocate(vertices(3918)%branchCT(0:0))
      call avCT(3918, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(642)%branchCT(0:0))
      call avCT(642, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(643)%branchCT(0:0))
      call avCT(643, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(644)%branchCT(0:0))
      call avCT(644, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2142, nGC_2143/))

      allocate(vertices(3023)%branchCT(0:0))
      call avCT(3023, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(3024)%branchCT(0:0))
      call avCT(3024, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(1993)%branchCT(0:0))
      call avCT(1993, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(3026)%branchCT(0:0))
      call avCT(3026, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(646)%branchCT(0:0))
      call avCT(646, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2094/))

      allocate(vertices(5016)%branchCT(0:0))
      call avCT(5016, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3280)%branchCT(0:0))
      call avCT(3280, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(649)%branchCT(0:3))
      call avCT(649, 0, 30, 2, 0, VFFa1, (/3, 0/), (/nGC_1930, nGC_1932/))

      call avCT(649, 1, 30, 2, 0, VFFa1, (/1, 2/), (/nGC_1931, nGC_1933/))

      call avCT(649, 2, 31, 3, 0, VFFa1, (/3, 0/), (/nGC_1930, nGC_1932/))

      call avCT(649, 3, 31, 3, 0, VFFa1, (/1, 2/), (/nGC_1931, nGC_1933/))

      allocate(vertices(651)%branchCT(0:1))
      call avCT(651, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2139, nGC_2139/))

      call avCT(651, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2140, nGC_2140/))

      allocate(vertices(3029)%branchCT(0:0))
      call avCT(3029, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3030)%branchCT(0:0))
      call avCT(3030, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(653)%branchCT(0:0))
      call avCT(653, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3032)%branchCT(0:0))
      call avCT(3032, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2142, nGC_2143/))

      allocate(vertices(3033)%branchCT(0:0))
      call avCT(3033, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(658)%branchCT(0:0))
      call avCT(658, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3036)%branchCT(0:0))
      call avCT(3036, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1929/))

      allocate(vertices(501)%branchCT(0:0))
      call avCT(501, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(662)%branchCT(0:0))
      call avCT(662, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(3724)%branchCT(0:0))
      call avCT(3724, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(663)%branchCT(0:0))
      call avCT(663, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3283)%branchCT(0:0))
      call avCT(3283, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3039)%branchCT(0:0))
      call avCT(3039, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(666)%branchCT(0:0))
      call avCT(666, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1551)%branchCT(0:0))
      call avCT(1551, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(502)%branchCT(0:0))
      call avCT(502, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(669)%branchCT(0:0))
      call avCT(669, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(5017)%branchCT(0:1))
      call avCT(5017, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2011, nGC_2013,       &
      nGC_2013, nGC_2015/))

      call avCT(5017, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2012, nGC_2014,       &
      nGC_2014, nGC_2016/))

      allocate(vertices(5018)%branchCT(0:0))
      call avCT(5018, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(2059)%branchCT(0:0))
      call avCT(2059, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3046)%branchCT(0:1))
      call avCT(3046, 0, 20, 1, 0, FaVF0, (/0, 3/), (/nGC_2033/))

      call avCT(3046, 1, 20, 1, 0, FaVF0, (/2, 1/), (/nGC_2034/))

      allocate(vertices(672)%branchCT(0:0))
      call avCT(672, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3047)%branchCT(0:1))
      call avCT(3047, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2036, nGC_2036/))

      call avCT(3047, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2037, nGC_2037/))

      allocate(vertices(4016)%branchCT(0:1))
      call avCT(4016, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2144, nGC_2146/))

      call avCT(4016, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2145, nGC_2147/))

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(675)%branchCT(0:0))
      call avCT(675, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(676)%branchCT(0:0))
      call avCT(676, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(677)%branchCT(0:0))
      call avCT(677, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3051)%branchCT(0:0))
      call avCT(3051, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(678)%branchCT(0:0))
      call avCT(678, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2149, nGC_2150/))

      allocate(vertices(679)%branchCT(0:0))
      call avCT(679, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(680)%branchCT(0:0))
      call avCT(680, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3054)%branchCT(0:0))
      call avCT(3054, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(682)%branchCT(0:0))
      call avCT(682, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(684)%branchCT(0:0))
      call avCT(684, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(575)%branchCT(0:0))
      call avCT(575, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3179)%branchCT(0:0))
      call avCT(3179, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4192)%branchCT(0:0))
      call avCT(4192, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4431)%branchCT(0:1))
      call avCT(4431, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2036, nGC_2036/))

      call avCT(4431, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2037, nGC_2037/))

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2149, nGC_2150/))

      allocate(vertices(690)%branchCT(0:0))
      call avCT(690, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4209)%branchCT(0:0))
      call avCT(4209, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2151/))

      allocate(vertices(693)%branchCT(0:3))
      call avCT(693, 0, 28, 2, 0, VFaF0, (/3, 0/), (/nGC_2128, nGC_2130/))

      call avCT(693, 1, 28, 2, 0, VFaF0, (/1, 2/), (/nGC_2129, nGC_2131/))

      call avCT(693, 2, 29, 3, 0, VFaF0, (/3, 0/), (/nGC_2128, nGC_2130/))

      call avCT(693, 3, 29, 3, 0, VFaF0, (/1, 2/), (/nGC_2129, nGC_2131/))

      allocate(vertices(695)%branchCT(0:0))
      call avCT(695, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(4058)%branchCT(0:0))
      call avCT(4058, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(4237)%branchCT(0:0))
      call avCT(4237, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2062)%branchCT(0:0))
      call avCT(2062, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(3064)%branchCT(0:0))
      call avCT(3064, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2095/))

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4193)%branchCT(0:0))
      call avCT(4193, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3067)%branchCT(0:0))
      call avCT(3067, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5019)%branchCT(0:0))
      call avCT(5019, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3070)%branchCT(0:0))
      call avCT(3070, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(700)%branchCT(0:0))
      call avCT(700, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(701)%branchCT(0:0))
      call avCT(701, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2030/))

      allocate(vertices(3289)%branchCT(0:0))
      call avCT(3289, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3073)%branchCT(0:0))
      call avCT(3073, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2027/))

      allocate(vertices(4676)%branchCT(0:0))
      call avCT(4676, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(705)%branchCT(0:0))
      call avCT(705, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4314)%branchCT(0:0))
      call avCT(4314, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1119)%branchCT(0:0))
      call avCT(1119, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3077)%branchCT(0:0))
      call avCT(3077, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(3078)%branchCT(0:0))
      call avCT(3078, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3569)%branchCT(0:0))
      call avCT(3569, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(711)%branchCT(0:0))
      call avCT(711, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3349)%branchCT(0:1))
      call avCT(3349, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2074, nGC_2076/))

      call avCT(3349, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2075, nGC_2077/))

      allocate(vertices(3086)%branchCT(0:1))
      call avCT(3086, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2092, nGC_2092/))

      call avCT(3086, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2093, nGC_2093/))

      allocate(vertices(5020)%branchCT(0:0))
      call avCT(5020, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1333)%branchCT(0:0))
      call avCT(1333, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(713)%branchCT(0:0))
      call avCT(713, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(3698)%branchCT(0:0))
      call avCT(3698, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2072, nGC_2073,       &
      nGC_2072/))

      allocate(vertices(714)%branchCT(0:0))
      call avCT(714, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2013)%branchCT(0:0))
      call avCT(2013, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3092)%branchCT(0:0))
      call avCT(3092, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(717)%branchCT(0:1))
      call avCT(717, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1918, nGC_1916/))

      call avCT(717, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1919, nGC_1917/))

      allocate(vertices(134)%branchCT(0:0))
      call avCT(134, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4422)%branchCT(0:0))
      call avCT(4422, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2984)%branchCT(0:0))
      call avCT(2984, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(720)%branchCT(0:1))
      call avCT(720, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1927, nGC_1927/))

      call avCT(720, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1928, nGC_1928/))

      allocate(vertices(2068)%branchCT(0:0))
      call avCT(2068, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3094)%branchCT(0:0))
      call avCT(3094, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3095)%branchCT(0:1))
      call avCT(3095, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1960, nGC_1962/))

      call avCT(3095, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1961, nGC_1963/))

      allocate(vertices(723)%branchCT(0:0))
      call avCT(723, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2106/))

      allocate(vertices(725)%branchCT(0:0))
      call avCT(725, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2039, nGC_2038,        &
      nGC_2038/))

      allocate(vertices(726)%branchCT(0:0))
      call avCT(726, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1888/))

      allocate(vertices(3097)%branchCT(0:1))
      call avCT(3097, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2017, nGC_2019/))

      call avCT(3097, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2018, nGC_2020/))

      allocate(vertices(3100)%branchCT(0:0))
      call avCT(3100, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2152/))

      allocate(vertices(5021)%branchCT(0:0))
      call avCT(5021, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(727)%branchCT(0:0))
      call avCT(727, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3102)%branchCT(0:1))
      call avCT(3102, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_1937, nGC_1939/))

      call avCT(3102, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_1938, nGC_1940/))

      allocate(vertices(4638)%branchCT(0:0))
      call avCT(4638, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(729)%branchCT(0:0))
      call avCT(729, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1978/))

      allocate(vertices(3104)%branchCT(0:0))
      call avCT(3104, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1682)%branchCT(0:0))
      call avCT(1682, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(731)%branchCT(0:0))
      call avCT(731, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4497)%branchCT(0:0))
      call avCT(4497, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4591)%branchCT(0:0))
      call avCT(4591, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(733)%branchCT(0:0))
      call avCT(733, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3111)%branchCT(0:0))
      call avCT(3111, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1999, nGC_2000/))

      allocate(vertices(3725)%branchCT(0:0))
      call avCT(3725, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1905/))

      allocate(vertices(4531)%branchCT(0:1))
      call avCT(4531, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_1973, nGC_1975/))

      call avCT(4531, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_1974, nGC_1976/))

      allocate(vertices(512)%branchCT(0:0))
      call avCT(512, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(3116)%branchCT(0:0))
      call avCT(3116, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3117)%branchCT(0:0))
      call avCT(3117, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3118)%branchCT(0:1))
      call avCT(3118, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2117, nGC_2117/))

      call avCT(3118, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2118, nGC_2118/))

      allocate(vertices(735)%branchCT(0:0))
      call avCT(735, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(736)%branchCT(0:0))
      call avCT(736, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(5022)%branchCT(0:0))
      call avCT(5022, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3120)%branchCT(0:0))
      call avCT(3120, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(513)%branchCT(0:0))
      call avCT(513, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1996/))

      allocate(vertices(4945)%branchCT(0:0))
      call avCT(4945, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2897)%branchCT(0:0))
      call avCT(2897, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(743)%branchCT(0:1))
      call avCT(743, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1908, nGC_1910/))

      call avCT(743, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1909, nGC_1911/))

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4604)%branchCT(0:0))
      call avCT(4604, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3126)%branchCT(0:0))
      call avCT(3126, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(3127)%branchCT(0:0))
      call avCT(3127, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1764)%branchCT(0:0))
      call avCT(1764, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(747)%branchCT(0:0))
      call avCT(747, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(3575)%branchCT(0:0))
      call avCT(3575, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3132)%branchCT(0:0))
      call avCT(3132, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(752)%branchCT(0:0))
      call avCT(752, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3133)%branchCT(0:1))
      call avCT(3133, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_2033/))

      call avCT(3133, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_2034/))

      allocate(vertices(754)%branchCT(0:1))
      call avCT(754, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2096, nGC_2096/))

      call avCT(754, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2097, nGC_2097/))

      allocate(vertices(1685)%branchCT(0:0))
      call avCT(1685, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3134)%branchCT(0:0))
      call avCT(3134, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2142, nGC_2143/))

      allocate(vertices(4545)%branchCT(0:0))
      call avCT(4545, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3137)%branchCT(0:1))
      call avCT(3137, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2153, nGC_2155/))

      call avCT(3137, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2154, nGC_2156/))

      allocate(vertices(759)%branchCT(0:0))
      call avCT(759, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(760)%branchCT(0:0))
      call avCT(760, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1929/))

      allocate(vertices(2075)%branchCT(0:0))
      call avCT(2075, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(3920)%branchCT(0:0))
      call avCT(3920, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3140)%branchCT(0:0))
      call avCT(3140, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2174)%branchCT(0:0))
      call avCT(2174, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(762)%branchCT(0:0))
      call avCT(762, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3143)%branchCT(0:0))
      call avCT(3143, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(4687)%branchCT(0:0))
      call avCT(4687, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(764)%branchCT(0:0))
      call avCT(764, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(766)%branchCT(0:0))
      call avCT(766, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1998/))

      allocate(vertices(2750)%branchCT(0:0))
      call avCT(2750, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3146)%branchCT(0:5))
      call avCT(3146, 0, 85, 7, 0, VVUaU0, (/4, 0/), (/nGC_2157/))

      call avCT(3146, 1, 84, 7, 0, VVUaU0, (/4, 0/), (/nGC_2157/))

      call avCT(3146, 2, 89, 6, 0, VVUaU0, (/4, 0/), (/nGC_2158/))

      call avCT(3146, 3, 88, 6, 0, VVUaU0, (/4, 0/), (/nGC_2158/))

      call avCT(3146, 4, 87, 7, 0, VVUaU0, (/4, 0/), (/nGC_2157/))

      call avCT(3146, 5, 86, 7, 0, VVUaU0, (/4, 0/), (/nGC_2157/))

      allocate(vertices(3147)%branchCT(0:3))
      call avCT(3147, 0, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_2051, nGC_2053/))

      call avCT(3147, 1, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_2052, nGC_2054/))

      call avCT(3147, 2, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_2051, nGC_2053/))

      call avCT(3147, 3, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_2052, nGC_2054/))

      allocate(vertices(3744)%branchCT(0:0))
      call avCT(3744, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4414)%branchCT(0:0))
      call avCT(4414, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3150)%branchCT(0:0))
      call avCT(3150, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3151)%branchCT(0:0))
      call avCT(3151, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(3153)%branchCT(0:0))
      call avCT(3153, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(774)%branchCT(0:0))
      call avCT(774, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2027/))

      allocate(vertices(3155)%branchCT(0:0))
      call avCT(3155, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(778)%branchCT(0:0))
      call avCT(778, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2159/))

      allocate(vertices(922)%branchCT(0:0))
      call avCT(922, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4877)%branchCT(0:0))
      call avCT(4877, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2160, nGC_2161/))

      allocate(vertices(3158)%branchCT(0:0))
      call avCT(3158, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3159)%branchCT(0:0))
      call avCT(3159, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1884/))

      allocate(vertices(1691)%branchCT(0:0))
      call avCT(1691, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4890)%branchCT(0:0))
      call avCT(4890, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(3163)%branchCT(0:0))
      call avCT(3163, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2040/))

      allocate(vertices(783)%branchCT(0:0))
      call avCT(783, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2080)%branchCT(0:0))
      call avCT(2080, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(784)%branchCT(0:0))
      call avCT(784, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4933)%branchCT(0:0))
      call avCT(4933, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2904)%branchCT(0:0))
      call avCT(2904, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3169)%branchCT(0:0))
      call avCT(3169, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2475)%branchCT(0:0))
      call avCT(2475, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2040/))

      allocate(vertices(3172)%branchCT(0:1))
      call avCT(3172, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2099, nGC_2101/))

      call avCT(3172, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2100, nGC_2102/))

      allocate(vertices(792)%branchCT(0:0))
      call avCT(792, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4966)%branchCT(0:0))
      call avCT(4966, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(924)%branchCT(0:0))
      call avCT(924, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(794)%branchCT(0:0))
      call avCT(794, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(7)%branchCT(0:0))
      call avCT(7, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(796)%branchCT(0:0))
      call avCT(796, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1968, nGC_1968/))

      allocate(vertices(3178)%branchCT(0:0))
      call avCT(3178, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1989,       &
      nGC_1988/))

      allocate(vertices(797)%branchCT(0:1))
      call avCT(797, 0, 118, 4, 0, VUaU1, (/3, 0/), (/nGC_2028/))

      call avCT(797, 1, 119, 5, 0, VUaU1, (/3, 0/), (/nGC_2028/))

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3181)%branchCT(0:3))
      call avCT(3181, 0, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_1930, nGC_1932/))

      call avCT(3181, 1, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_1931, nGC_1933/))

      call avCT(3181, 2, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_1930, nGC_1932/))

      call avCT(3181, 3, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_1931, nGC_1933/))

      allocate(vertices(3182)%branchCT(0:0))
      call avCT(3182, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3427)%branchCT(0:0))
      call avCT(3427, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4650)%branchCT(0:0))
      call avCT(4650, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1946, nGC_1947/))

      allocate(vertices(802)%branchCT(0:0))
      call avCT(802, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(5023)%branchCT(0:0))
      call avCT(5023, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(804)%branchCT(0:0))
      call avCT(804, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(805)%branchCT(0:0))
      call avCT(805, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2030/))

      allocate(vertices(927)%branchCT(0:0))
      call avCT(927, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(5024)%branchCT(0:0))
      call avCT(5024, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2907)%branchCT(0:0))
      call avCT(2907, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1982, nGC_1983,        &
      nGC_1982/))

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4326)%branchCT(0:0))
      call avCT(4326, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(812)%branchCT(0:0))
      call avCT(812, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(813)%branchCT(0:0))
      call avCT(813, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2030/))

      allocate(vertices(3192)%branchCT(0:0))
      call avCT(3192, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(52)%branchCT(0:0))
      call avCT(52, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3193)%branchCT(0:0))
      call avCT(3193, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(815)%branchCT(0:0))
      call avCT(815, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3195)%branchCT(0:0))
      call avCT(3195, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2021/))

      allocate(vertices(816)%branchCT(0:0))
      call avCT(816, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3977)%branchCT(0:0))
      call avCT(3977, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(4748)%branchCT(0:0))
      call avCT(4748, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(819)%branchCT(0:0))
      call avCT(819, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3199)%branchCT(0:0))
      call avCT(3199, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3314)%branchCT(0:0))
      call avCT(3314, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(823)%branchCT(0:0))
      call avCT(823, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3202)%branchCT(0:0))
      call avCT(3202, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2874)%branchCT(0:0))
      call avCT(2874, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(3203)%branchCT(0:0))
      call avCT(3203, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3204)%branchCT(0:0))
      call avCT(3204, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3207)%branchCT(0:1))
      call avCT(3207, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2036, nGC_2036/))

      call avCT(3207, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2037, nGC_2037/))

      allocate(vertices(2089)%branchCT(0:0))
      call avCT(2089, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3210)%branchCT(0:0))
      call avCT(3210, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1888/))

      allocate(vertices(830)%branchCT(0:0))
      call avCT(830, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(5025)%branchCT(0:1))
      call avCT(5025, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2162, nGC_2164,       &
      nGC_2164, nGC_2166/))

      call avCT(5025, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2163, nGC_2165,       &
      nGC_2165, nGC_2167/))

      allocate(vertices(831)%branchCT(0:0))
      call avCT(831, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2001/))

      allocate(vertices(3213)%branchCT(0:0))
      call avCT(3213, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1984/))

      allocate(vertices(3214)%branchCT(0:0))
      call avCT(3214, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1454)%branchCT(0:0))
      call avCT(1454, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3217)%branchCT(0:0))
      call avCT(3217, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2027/))

      allocate(vertices(3218)%branchCT(0:0))
      call avCT(3218, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1656)%branchCT(0:0))
      call avCT(1656, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(837)%branchCT(0:0))
      call avCT(837, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(839)%branchCT(0:0))
      call avCT(839, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4657)%branchCT(0:0))
      call avCT(4657, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3986)%branchCT(0:0))
      call avCT(3986, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1989,       &
      nGC_1988/))

      allocate(vertices(153)%branchCT(0:0))
      call avCT(153, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3222)%branchCT(0:0))
      call avCT(3222, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(843)%branchCT(0:0))
      call avCT(843, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(2094)%branchCT(0:0))
      call avCT(2094, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3225)%branchCT(0:0))
      call avCT(3225, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2911)%branchCT(0:0))
      call avCT(2911, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(846)%branchCT(0:1))
      call avCT(846, 0, 21, 1, 0, FVFa1, (/0, 3/), (/nGC_2168, nGC_2170/))

      call avCT(846, 1, 21, 1, 0, FVFa1, (/2, 1/), (/nGC_2169, nGC_2171/))

      allocate(vertices(3085)%branchCT(0:0))
      call avCT(3085, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2172/))

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(4767)%branchCT(0:0))
      call avCT(4767, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(849)%branchCT(0:0))
      call avCT(849, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2160, nGC_2161/))

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(851)%branchCT(0:1))
      call avCT(851, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2111, nGC_2111/))

      call avCT(851, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2112, nGC_2112/))

      allocate(vertices(4661)%branchCT(0:0))
      call avCT(4661, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(852)%branchCT(0:0))
      call avCT(852, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(853)%branchCT(0:0))
      call avCT(853, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3234)%branchCT(0:0))
      call avCT(3234, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3235)%branchCT(0:0))
      call avCT(3235, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1920/))

      allocate(vertices(856)%branchCT(0:0))
      call avCT(856, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(857)%branchCT(0:0))
      call avCT(857, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(406)%branchCT(0:0))
      call avCT(406, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4318)%branchCT(0:0))
      call avCT(4318, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1958/))

      allocate(vertices(842)%branchCT(0:0))
      call avCT(842, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3714)%branchCT(0:0))
      call avCT(3714, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(860)%branchCT(0:0))
      call avCT(860, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3242)%branchCT(0:1))
      call avCT(3242, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2096, nGC_2096/))

      call avCT(3242, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2097, nGC_2097/))

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(3828)%branchCT(0:0))
      call avCT(3828, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2489)%branchCT(0:0))
      call avCT(2489, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3245)%branchCT(0:0))
      call avCT(3245, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(864)%branchCT(0:0))
      call avCT(864, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3326)%branchCT(0:0))
      call avCT(3326, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(866)%branchCT(0:0))
      call avCT(866, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3247)%branchCT(0:0))
      call avCT(3247, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(867)%branchCT(0:0))
      call avCT(867, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(3249)%branchCT(0:0))
      call avCT(3249, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3251)%branchCT(0:0))
      call avCT(3251, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2173, nGC_2173/))

      allocate(vertices(159)%branchCT(0:0))
      call avCT(159, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4423)%branchCT(0:0))
      call avCT(4423, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3253)%branchCT(0:0))
      call avCT(3253, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(870)%branchCT(0:0))
      call avCT(870, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2160, nGC_2161/))

      allocate(vertices(3767)%branchCT(0:0))
      call avCT(3767, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1999, nGC_2000/))

      allocate(vertices(5026)%branchCT(0:0))
      call avCT(5026, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2174/))

      allocate(vertices(3255)%branchCT(0:0))
      call avCT(3255, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2540)%branchCT(0:0))
      call avCT(2540, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(941)%branchCT(0:0))
      call avCT(941, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2175/))

      allocate(vertices(873)%branchCT(0:0))
      call avCT(873, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3258)%branchCT(0:3))
      call avCT(3258, 0, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_1930, nGC_1932/))

      call avCT(3258, 1, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_1931, nGC_1933/))

      call avCT(3258, 2, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_1930, nGC_1932/))

      call avCT(3258, 3, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_1931, nGC_1933/))

      allocate(vertices(3262)%branchCT(0:0))
      call avCT(3262, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(2765)%branchCT(0:0))
      call avCT(2765, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(5027)%branchCT(0:0))
      call avCT(5027, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2176/))

      allocate(vertices(3263)%branchCT(0:0))
      call avCT(3263, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1982, nGC_1982,       &
      nGC_1983/))

      allocate(vertices(884)%branchCT(0:3))
      call avCT(884, 0, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_2023, nGC_2025/))

      call avCT(884, 1, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_2024, nGC_2026/))

      call avCT(884, 2, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_2023, nGC_2025/))

      call avCT(884, 3, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_2024, nGC_2026/))

      allocate(vertices(3265)%branchCT(0:0))
      call avCT(3265, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2492)%branchCT(0:0))
      call avCT(2492, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(887)%branchCT(0:0))
      call avCT(887, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1884/))

      allocate(vertices(888)%branchCT(0:0))
      call avCT(888, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(889)%branchCT(0:0))
      call avCT(889, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1946, nGC_1947/))

      allocate(vertices(943)%branchCT(0:0))
      call avCT(943, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(540)%branchCT(0:0))
      call avCT(540, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(597)%branchCT(0:0))
      call avCT(597, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(2136)%branchCT(0:1))
      call avCT(2136, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1910, nGC_1908/))

      call avCT(2136, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1911, nGC_1909/))

      allocate(vertices(892)%branchCT(0:0))
      call avCT(892, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3285)%branchCT(0:0))
      call avCT(3285, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3275)%branchCT(0:0))
      call avCT(3275, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(3276)%branchCT(0:0))
      call avCT(3276, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3278)%branchCT(0:0))
      call avCT(3278, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(897)%branchCT(0:0))
      call avCT(897, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1905/))

      allocate(vertices(898)%branchCT(0:0))
      call avCT(898, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(899)%branchCT(0:0))
      call avCT(899, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3281)%branchCT(0:1))
      call avCT(3281, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1986, nGC_1986/))

      call avCT(3281, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1987, nGC_1987/))

      allocate(vertices(3701)%branchCT(0:0))
      call avCT(3701, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(4871)%branchCT(0:0))
      call avCT(4871, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(901)%branchCT(0:0))
      call avCT(901, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2177/))

      allocate(vertices(664)%branchCT(0:0))
      call avCT(664, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(903)%branchCT(0:0))
      call avCT(903, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3964)%branchCT(0:0))
      call avCT(3964, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(906)%branchCT(0:0))
      call avCT(906, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(907)%branchCT(0:0))
      call avCT(907, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(909)%branchCT(0:0))
      call avCT(909, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(3287)%branchCT(0:0))
      call avCT(3287, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(702)%branchCT(0:0))
      call avCT(702, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(914)%branchCT(0:0))
      call avCT(914, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(916)%branchCT(0:0))
      call avCT(916, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(917)%branchCT(0:1))
      call avCT(917, 0, 2, 4, 0, VVV1, (/3, 0/), (/nGC_2178/))

      call avCT(917, 1, 3, 5, 0, VVV1, (/3, 0/), (/nGC_2178/))

      allocate(vertices(3294)%branchCT(0:0))
      call avCT(3294, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3295)%branchCT(0:0))
      call avCT(3295, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2149, nGC_2150/))

      allocate(vertices(919)%branchCT(0:0))
      call avCT(919, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2899)%branchCT(0:0))
      call avCT(2899, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(920)%branchCT(0:0))
      call avCT(920, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3297)%branchCT(0:0))
      call avCT(3297, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(5028)%branchCT(0:0))
      call avCT(5028, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(545)%branchCT(0:0))
      call avCT(545, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(763)%branchCT(0:0))
      call avCT(763, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(3302)%branchCT(0:0))
      call avCT(3302, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2008/))

      allocate(vertices(3303)%branchCT(0:0))
      call avCT(3303, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(3304)%branchCT(0:1))
      call avCT(3304, 0, 21, 1, 0, FVFa1, (/0, 3/), (/nGC_2134, nGC_2136/))

      call avCT(3304, 1, 21, 1, 0, FVFa1, (/2, 1/), (/nGC_2135, nGC_2137/))

      allocate(vertices(4811)%branchCT(0:0))
      call avCT(4811, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(923)%branchCT(0:0))
      call avCT(923, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(793)%branchCT(0:0))
      call avCT(793, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(925)%branchCT(0:0))
      call avCT(925, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(926)%branchCT(0:0))
      call avCT(926, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_1965/))

      allocate(vertices(3309)%branchCT(0:0))
      call avCT(3309, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1982, nGC_1982,       &
      nGC_1983/))

      allocate(vertices(928)%branchCT(0:0))
      call avCT(928, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3312)%branchCT(0:0))
      call avCT(3312, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(929)%branchCT(0:0))
      call avCT(929, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1965/))

      allocate(vertices(930)%branchCT(0:0))
      call avCT(930, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(3315)%branchCT(0:0))
      call avCT(3315, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(997)%branchCT(0:0))
      call avCT(997, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3317)%branchCT(0:0))
      call avCT(3317, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2030/))

      allocate(vertices(3318)%branchCT(0:0))
      call avCT(3318, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(934)%branchCT(0:0))
      call avCT(934, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3321)%branchCT(0:0))
      call avCT(3321, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2141/))

      allocate(vertices(936)%branchCT(0:0))
      call avCT(936, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3782)%branchCT(0:0))
      call avCT(3782, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(937)%branchCT(0:0))
      call avCT(937, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1604)%branchCT(0:0))
      call avCT(1604, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(865)%branchCT(0:0))
      call avCT(865, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(953)%branchCT(0:0))
      call avCT(953, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3327)%branchCT(0:0))
      call avCT(3327, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1885, nGC_1886/))

      allocate(vertices(878)%branchCT(0:0))
      call avCT(878, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(880)%branchCT(0:0))
      call avCT(880, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(5029)%branchCT(0:0))
      call avCT(5029, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2179/))

      allocate(vertices(1917)%branchCT(0:0))
      call avCT(1917, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_2094/))

      allocate(vertices(896)%branchCT(0:0))
      call avCT(896, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3331)%branchCT(0:0))
      call avCT(3331, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1988,       &
      nGC_1989/))

      allocate(vertices(3333)%branchCT(0:0))
      call avCT(3333, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3334)%branchCT(0:0))
      call avCT(3334, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(951)%branchCT(0:0))
      call avCT(951, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2626)%branchCT(0:0))
      call avCT(2626, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3338)%branchCT(0:0))
      call avCT(3338, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(955)%branchCT(0:0))
      call avCT(955, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(956)%branchCT(0:0))
      call avCT(956, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(957)%branchCT(0:0))
      call avCT(957, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(958)%branchCT(0:1))
      call avCT(958, 0, 21, 1, 0, FVFa0, (/0, 3/), (/nGC_1951/))

      call avCT(958, 1, 21, 1, 0, FVFa0, (/2, 1/), (/nGC_1952/))

      allocate(vertices(5030)%branchCT(0:0))
      call avCT(5030, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(966)%branchCT(0:0))
      call avCT(966, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(960)%branchCT(0:0))
      call avCT(960, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(3343)%branchCT(0:0))
      call avCT(3343, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3344)%branchCT(0:0))
      call avCT(3344, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(5031)%branchCT(0:0))
      call avCT(5031, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2081/))

      allocate(vertices(3346)%branchCT(0:1))
      call avCT(3346, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1973, nGC_1975/))

      call avCT(3346, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1974, nGC_1976/))

      allocate(vertices(1005)%branchCT(0:0))
      call avCT(1005, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(965)%branchCT(0:0))
      call avCT(965, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1998/))

      allocate(vertices(3350)%branchCT(0:0))
      call avCT(3350, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4470)%branchCT(0:0))
      call avCT(4470, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3874)%branchCT(0:0))
      call avCT(3874, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3355)%branchCT(0:0))
      call avCT(3355, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(5032)%branchCT(0:0))
      call avCT(5032, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(1041)%branchCT(0:0))
      call avCT(1041, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(1120)%branchCT(0:0))
      call avCT(1120, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3358)%branchCT(0:0))
      call avCT(3358, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(969)%branchCT(0:0))
      call avCT(969, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2048/))

      allocate(vertices(177)%branchCT(0:0))
      call avCT(177, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(970)%branchCT(0:1))
      call avCT(970, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1975, nGC_1973/))

      call avCT(970, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1976, nGC_1974/))

      allocate(vertices(971)%branchCT(0:0))
      call avCT(971, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(3360)%branchCT(0:0))
      call avCT(3360, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(972)%branchCT(0:0))
      call avCT(972, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(3362)%branchCT(0:0))
      call avCT(3362, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2180/))

      allocate(vertices(3363)%branchCT(0:0))
      call avCT(3363, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3364)%branchCT(0:0))
      call avCT(3364, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(973)%branchCT(0:0))
      call avCT(973, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1817)%branchCT(0:0))
      call avCT(1817, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(975)%branchCT(0:0))
      call avCT(975, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1099)%branchCT(0:1))
      call avCT(1099, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2168, nGC_2170/))

      call avCT(1099, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2169, nGC_2171/))

      allocate(vertices(2781)%branchCT(0:3))
      call avCT(2781, 0, 28, 2, 0, VFaF0, (/3, 0/), (/nGC_1930, nGC_1932/))

      call avCT(2781, 1, 28, 2, 0, VFaF0, (/1, 2/), (/nGC_1931, nGC_1933/))

      call avCT(2781, 2, 29, 3, 0, VFaF0, (/3, 0/), (/nGC_1930, nGC_1932/))

      call avCT(2781, 3, 29, 3, 0, VFaF0, (/1, 2/), (/nGC_1931, nGC_1933/))

      allocate(vertices(976)%branchCT(0:0))
      call avCT(976, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(5033)%branchCT(0:0))
      call avCT(5033, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1889/))

      allocate(vertices(978)%branchCT(0:0))
      call avCT(978, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3373)%branchCT(0:0))
      call avCT(3373, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1340)%branchCT(0:0))
      call avCT(1340, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(178)%branchCT(0:1))
      call avCT(178, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_1921, nGC_1921/))

      call avCT(178, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_1922, nGC_1922/))

      allocate(vertices(3345)%branchCT(0:0))
      call avCT(3345, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1214)%branchCT(0:0))
      call avCT(1214, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3066)%branchCT(0:0))
      call avCT(3066, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(3378)%branchCT(0:0))
      call avCT(3378, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3380)%branchCT(0:0))
      call avCT(3380, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2354)%branchCT(0:0))
      call avCT(2354, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(989)%branchCT(0:0))
      call avCT(989, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3382)%branchCT(0:1))
      call avCT(3382, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2103, nGC_2103/))

      call avCT(3382, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2104, nGC_2104/))

      allocate(vertices(2118)%branchCT(0:0))
      call avCT(2118, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4027)%branchCT(0:0))
      call avCT(4027, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3386)%branchCT(0:1))
      call avCT(3386, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1973, nGC_1975/))

      call avCT(3386, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1974, nGC_1976/))

      allocate(vertices(1215)%branchCT(0:0))
      call avCT(1215, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(994)%branchCT(0:0))
      call avCT(994, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(995)%branchCT(0:0))
      call avCT(995, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(3390)%branchCT(0:0))
      call avCT(3390, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(3391)%branchCT(0:0))
      call avCT(3391, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(998)%branchCT(0:0))
      call avCT(998, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2567)%branchCT(0:0))
      call avCT(2567, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1982, nGC_1982,       &
      nGC_1983/))

      allocate(vertices(3393)%branchCT(0:0))
      call avCT(3393, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3394)%branchCT(0:0))
      call avCT(3394, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(1266)%branchCT(0:0))
      call avCT(1266, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3395)%branchCT(0:0))
      call avCT(3395, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3396)%branchCT(0:0))
      call avCT(3396, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(3397)%branchCT(0:0))
      call avCT(3397, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1004)%branchCT(0:1))
      call avCT(1004, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1986, nGC_1986/))

      call avCT(1004, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1987, nGC_1987/))

      allocate(vertices(3371)%branchCT(0:0))
      call avCT(3371, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1289)%branchCT(0:0))
      call avCT(1289, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3399)%branchCT(0:0))
      call avCT(3399, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(187)%branchCT(0:0))
      call avCT(187, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1007)%branchCT(0:0))
      call avCT(1007, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1008)%branchCT(0:0))
      call avCT(1008, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3403)%branchCT(0:0))
      call avCT(3403, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1010)%branchCT(0:0))
      call avCT(1010, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1320)%branchCT(0:0))
      call avCT(1320, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3405)%branchCT(0:0))
      call avCT(3405, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2181/))

      allocate(vertices(1331)%branchCT(0:0))
      call avCT(1331, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1732)%branchCT(0:0))
      call avCT(1732, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1013)%branchCT(0:0))
      call avCT(1013, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2055, nGC_2055/))

      allocate(vertices(3348)%branchCT(0:0))
      call avCT(3348, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2030/))

      allocate(vertices(3408)%branchCT(0:0))
      call avCT(3408, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2048/))

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3411)%branchCT(0:0))
      call avCT(3411, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4975)%branchCT(0:0))
      call avCT(4975, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3414)%branchCT(0:0))
      call avCT(3414, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1017)%branchCT(0:0))
      call avCT(1017, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1018)%branchCT(0:5))
      call avCT(1018, 0, 91, 7, 0, VUaUV0, (/4, 0/), (/nGC_2157/))

      call avCT(1018, 1, 90, 7, 0, VUaUV0, (/4, 0/), (/nGC_2157/))

      call avCT(1018, 2, 93, 7, 0, VUaUV0, (/4, 0/), (/nGC_2157/))

      call avCT(1018, 3, 92, 7, 0, VUaUV0, (/4, 0/), (/nGC_2157/))

      call avCT(1018, 4, 95, 6, 0, VUaUV0, (/4, 0/), (/nGC_2158/))

      call avCT(1018, 5, 94, 6, 0, VUaUV0, (/4, 0/), (/nGC_2158/))

      allocate(vertices(1019)%branchCT(0:0))
      call avCT(1019, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2182/))

      allocate(vertices(3962)%branchCT(0:0))
      call avCT(3962, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3417)%branchCT(0:0))
      call avCT(3417, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2517)%branchCT(0:0))
      call avCT(2517, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1023)%branchCT(0:0))
      call avCT(1023, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(1024)%branchCT(0:0))
      call avCT(1024, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2098, nGC_2098/))

      allocate(vertices(3421)%branchCT(0:0))
      call avCT(3421, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3423)%branchCT(0:0))
      call avCT(3423, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4408)%branchCT(0:0))
      call avCT(4408, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2133/))

      allocate(vertices(3425)%branchCT(0:0))
      call avCT(3425, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(3426)%branchCT(0:0))
      call avCT(3426, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1026)%branchCT(0:0))
      call avCT(1026, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3353)%branchCT(0:0))
      call avCT(3353, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(4819)%branchCT(0:1))
      call avCT(4819, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_1910, nGC_1908/))

      call avCT(4819, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_1911, nGC_1909/))

      allocate(vertices(1028)%branchCT(0:0))
      call avCT(1028, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(3431)%branchCT(0:0))
      call avCT(3431, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(5034)%branchCT(0:0))
      call avCT(5034, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(1031)%branchCT(0:0))
      call avCT(1031, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2080/))

      allocate(vertices(1032)%branchCT(0:0))
      call avCT(1032, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(1033)%branchCT(0:0))
      call avCT(1033, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3436)%branchCT(0:0))
      call avCT(3436, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(1489)%branchCT(0:0))
      call avCT(1489, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(567)%branchCT(0:0))
      call avCT(567, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2668)%branchCT(0:0))
      call avCT(2668, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(1038)%branchCT(0:0))
      call avCT(1038, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3442)%branchCT(0:0))
      call avCT(3442, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1040)%branchCT(0:0))
      call avCT(1040, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3445)%branchCT(0:0))
      call avCT(3445, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(5035)%branchCT(0:0))
      call avCT(5035, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2183/))

      allocate(vertices(5036)%branchCT(0:0))
      call avCT(5036, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1891/))

      allocate(vertices(3448)%branchCT(0:0))
      call avCT(3448, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2114/))

      allocate(vertices(1534)%branchCT(0:0))
      call avCT(1534, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1535)%branchCT(0:1))
      call avCT(1535, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2044, nGC_2046/))

      call avCT(1535, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2045, nGC_2047/))

      allocate(vertices(570)%branchCT(0:3))
      call avCT(570, 0, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_2185, nGC_2187/))

      call avCT(570, 1, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_2184, nGC_2186/))

      call avCT(570, 2, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_2185, nGC_2187/))

      call avCT(570, 3, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_2184, nGC_2186/))

      allocate(vertices(3453)%branchCT(0:0))
      call avCT(3453, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3454)%branchCT(0:1))
      call avCT(3454, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1986, nGC_1986/))

      call avCT(3454, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1987, nGC_1987/))

      allocate(vertices(5037)%branchCT(0:0))
      call avCT(5037, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2188/))

      allocate(vertices(1564)%branchCT(0:0))
      call avCT(1564, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1046)%branchCT(0:0))
      call avCT(1046, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4261)%branchCT(0:0))
      call avCT(4261, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3458)%branchCT(0:0))
      call avCT(3458, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(3460)%branchCT(0:0))
      call avCT(3460, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(1051)%branchCT(0:0))
      call avCT(1051, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1950/))

      allocate(vertices(1052)%branchCT(0:0))
      call avCT(1052, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(3461)%branchCT(0:0))
      call avCT(3461, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1053)%branchCT(0:1))
      call avCT(1053, 0, 122, 4, 0, UaVU0, (/3, 0/), (/nGC_2115/))

      call avCT(1053, 1, 123, 5, 0, UaVU0, (/3, 0/), (/nGC_2115/))

      allocate(vertices(4200)%branchCT(0:0))
      call avCT(4200, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1999, nGC_2000/))

      allocate(vertices(1740)%branchCT(0:0))
      call avCT(1740, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1621)%branchCT(0:0))
      call avCT(1621, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1057)%branchCT(0:0))
      call avCT(1057, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2080/))

      allocate(vertices(1058)%branchCT(0:0))
      call avCT(1058, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1059)%branchCT(0:0))
      call avCT(1059, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4264)%branchCT(0:0))
      call avCT(4264, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3469)%branchCT(0:5))
      call avCT(3469, 0, 68, 7, 0, UUaVV0, (/4, 0/), (/nGC_2157/))

      call avCT(3469, 1, 38, 7, 0, UUaVV0, (/4, 0/), (/nGC_2157/))

      call avCT(3469, 2, 39, 6, 0, UUaVV0, (/4, 0/), (/nGC_2158/))

      call avCT(3469, 3, 37, 6, 0, UUaVV0, (/4, 0/), (/nGC_2158/))

      call avCT(3469, 4, 69, 7, 0, UUaVV0, (/4, 0/), (/nGC_2157/))

      call avCT(3469, 5, 36, 7, 0, UUaVV0, (/4, 0/), (/nGC_2157/))

      allocate(vertices(1062)%branchCT(0:0))
      call avCT(1062, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3472)%branchCT(0:0))
      call avCT(3472, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1063)%branchCT(0:1))
      call avCT(1063, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2033/))

      call avCT(1063, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2034/))

      allocate(vertices(3978)%branchCT(0:0))
      call avCT(3978, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(3474)%branchCT(0:0))
      call avCT(3474, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3475)%branchCT(0:0))
      call avCT(3475, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1905/))

      allocate(vertices(2130)%branchCT(0:0))
      call avCT(2130, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3476)%branchCT(0:0))
      call avCT(3476, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3478)%branchCT(0:0))
      call avCT(3478, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(191)%branchCT(0:0))
      call avCT(191, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1068)%branchCT(0:0))
      call avCT(1068, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3482)%branchCT(0:0))
      call avCT(3482, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3483)%branchCT(0:1))
      call avCT(3483, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2033/))

      call avCT(3483, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2034/))

      allocate(vertices(2131)%branchCT(0:0))
      call avCT(2131, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(3485)%branchCT(0:0))
      call avCT(3485, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(3486)%branchCT(0:0))
      call avCT(3486, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2921)%branchCT(0:0))
      call avCT(2921, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1071)%branchCT(0:0))
      call avCT(1071, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1958/))

      allocate(vertices(3488)%branchCT(0:0))
      call avCT(3488, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3489)%branchCT(0:1))
      call avCT(3489, 0, 20, 1, 0, FaVF1, (/0, 3/), (/nGC_2099, nGC_2101/))

      call avCT(3489, 1, 20, 1, 0, FaVF1, (/2, 1/), (/nGC_2100, nGC_2102/))

      allocate(vertices(1075)%branchCT(0:0))
      call avCT(1075, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2072, nGC_2073,       &
      nGC_2072/))

      allocate(vertices(2528)%branchCT(0:0))
      call avCT(2528, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(1751)%branchCT(0:0))
      call avCT(1751, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2001/))

      allocate(vertices(5038)%branchCT(0:0))
      call avCT(5038, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(1282)%branchCT(0:0))
      call avCT(1282, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3497)%branchCT(0:0))
      call avCT(3497, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(2957)%branchCT(0:0))
      call avCT(2957, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3499)%branchCT(0:0))
      call avCT(3499, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1079)%branchCT(0:0))
      call avCT(1079, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1080)%branchCT(0:0))
      call avCT(1080, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2189/))

      allocate(vertices(1792)%branchCT(0:0))
      call avCT(1792, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(372)%branchCT(0:0))
      call avCT(372, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(3505)%branchCT(0:0))
      call avCT(3505, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4079)%branchCT(0:0))
      call avCT(4079, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(1082)%branchCT(0:0))
      call avCT(1082, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5039)%branchCT(0:0))
      call avCT(5039, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2190, nGC_2191,       &
      nGC_2191, nGC_2192/))

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1086)%branchCT(0:0))
      call avCT(1086, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2138/))

      allocate(vertices(2137)%branchCT(0:0))
      call avCT(2137, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(1088)%branchCT(0:0))
      call avCT(1088, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1982, nGC_1983,       &
      nGC_1982/))

      allocate(vertices(3515)%branchCT(0:0))
      call avCT(3515, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(5040)%branchCT(0:0))
      call avCT(5040, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1093)%branchCT(0:1))
      call avCT(1093, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2074, nGC_2076/))

      call avCT(1093, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2075, nGC_2077/))

      allocate(vertices(1365)%branchCT(0:0))
      call avCT(1365, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(5041)%branchCT(0:0))
      call avCT(5041, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(1095)%branchCT(0:0))
      call avCT(1095, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2193/))

      allocate(vertices(1096)%branchCT(0:0))
      call avCT(1096, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2139)%branchCT(0:0))
      call avCT(2139, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(1098)%branchCT(0:0))
      call avCT(1098, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3367)%branchCT(0:0))
      call avCT(3367, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2008/))

      allocate(vertices(581)%branchCT(0:0))
      call avCT(581, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3525)%branchCT(0:0))
      call avCT(3525, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(1101)%branchCT(0:0))
      call avCT(1101, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(3528)%branchCT(0:1))
      call avCT(3528, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2068, nGC_2070/))

      call avCT(3528, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2069, nGC_2071/))

      allocate(vertices(3818)%branchCT(0:0))
      call avCT(3818, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(3529)%branchCT(0:0))
      call avCT(3529, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(5042)%branchCT(0:0))
      call avCT(5042, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2176/))

      allocate(vertices(4729)%branchCT(0:0))
      call avCT(4729, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(1105)%branchCT(0:0))
      call avCT(1105, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2194/))

      allocate(vertices(808)%branchCT(0:0))
      call avCT(808, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(1746)%branchCT(0:0))
      call avCT(1746, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1106)%branchCT(0:0))
      call avCT(1106, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2195/))

      allocate(vertices(505)%branchCT(0:0))
      call avCT(505, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1109)%branchCT(0:0))
      call avCT(1109, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(3532)%branchCT(0:5))
      call avCT(3532, 0, 105, 7, 0, VUVUa0, (/4, 0/), (/nGC_2157/))

      call avCT(3532, 1, 103, 7, 0, VUVUa0, (/4, 0/), (/nGC_2157/))

      call avCT(3532, 2, 104, 7, 0, VUVUa0, (/4, 0/), (/nGC_2157/))

      call avCT(3532, 3, 102, 7, 0, VUVUa0, (/4, 0/), (/nGC_2157/))

      call avCT(3532, 4, 106, 6, 0, VUVUa0, (/4, 0/), (/nGC_2158/))

      call avCT(3532, 5, 107, 6, 0, VUVUa0, (/4, 0/), (/nGC_2158/))

      allocate(vertices(3533)%branchCT(0:0))
      call avCT(3533, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1747)%branchCT(0:0))
      call avCT(1747, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3534)%branchCT(0:0))
      call avCT(3534, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3536)%branchCT(0:0))
      call avCT(3536, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3537)%branchCT(0:0))
      call avCT(3537, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2005)%branchCT(0:0))
      call avCT(2005, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3541)%branchCT(0:0))
      call avCT(3541, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1114)%branchCT(0:0))
      call avCT(1114, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2964)%branchCT(0:0))
      call avCT(2964, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2027)%branchCT(0:0))
      call avCT(2027, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(623)%branchCT(0:0))
      call avCT(623, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1978/))

      allocate(vertices(3546)%branchCT(0:0))
      call avCT(3546, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1115)%branchCT(0:0))
      call avCT(1115, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(980)%branchCT(0:0))
      call avCT(980, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3553)%branchCT(0:0))
      call avCT(3553, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(557)%branchCT(0:0))
      call avCT(557, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1920/))

      allocate(vertices(3551)%branchCT(0:0))
      call avCT(3551, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(1039)%branchCT(0:0))
      call avCT(1039, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2076)%branchCT(0:0))
      call avCT(2076, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(4421)%branchCT(0:0))
      call avCT(4421, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2138/))

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(2083)%branchCT(0:0))
      call avCT(2083, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(2537)%branchCT(0:1))
      call avCT(2537, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1975, nGC_1973/))

      call avCT(2537, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1976, nGC_1974/))

      allocate(vertices(3557)%branchCT(0:0))
      call avCT(3557, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1127)%branchCT(0:0))
      call avCT(1127, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1958/))

      allocate(vertices(2113)%branchCT(0:0))
      call avCT(2113, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1983, nGC_1982,       &
      nGC_1982/))

      allocate(vertices(1129)%branchCT(0:0))
      call avCT(1129, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1968, nGC_1968/))

      allocate(vertices(3561)%branchCT(0:0))
      call avCT(3561, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2862)%branchCT(0:0))
      call avCT(2862, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(3563)%branchCT(0:0))
      call avCT(3563, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1132)%branchCT(0:0))
      call avCT(1132, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4481)%branchCT(0:0))
      call avCT(4481, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1134)%branchCT(0:0))
      call avCT(1134, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4013)%branchCT(0:0))
      call avCT(4013, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1136)%branchCT(0:0))
      call avCT(1136, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1965/))

      allocate(vertices(3568)%branchCT(0:0))
      call avCT(3568, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2163)%branchCT(0:0))
      call avCT(2163, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(2170)%branchCT(0:0))
      call avCT(2170, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3374)%branchCT(0:0))
      call avCT(3374, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3572)%branchCT(0:0))
      call avCT(3572, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1141)%branchCT(0:0))
      call avCT(1141, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(1142)%branchCT(0:0))
      call avCT(1142, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1958/))

      allocate(vertices(3573)%branchCT(0:0))
      call avCT(3573, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3162)%branchCT(0:0))
      call avCT(3162, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3576)%branchCT(0:0))
      call avCT(3576, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1145)%branchCT(0:1))
      call avCT(1145, 0, 21, 1, 0, FVFa1, (/0, 3/), (/nGC_2099, nGC_2101/))

      call avCT(1145, 1, 21, 1, 0, FVFa1, (/2, 1/), (/nGC_2100, nGC_2102/))

      allocate(vertices(1146)%branchCT(0:0))
      call avCT(1146, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1147)%branchCT(0:0))
      call avCT(1147, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(2210)%branchCT(0:0))
      call avCT(2210, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2215)%branchCT(0:0))
      call avCT(2215, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1150)%branchCT(0:1))
      call avCT(1150, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2036, nGC_2036/))

      call avCT(1150, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2037, nGC_2037/))

      allocate(vertices(1151)%branchCT(0:0))
      call avCT(1151, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3673)%branchCT(0:0))
      call avCT(3673, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2196, nGC_2197/))

      allocate(vertices(3579)%branchCT(0:0))
      call avCT(3579, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3581)%branchCT(0:0))
      call avCT(3581, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(3306)%branchCT(0:0))
      call avCT(3306, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1154)%branchCT(0:0))
      call avCT(1154, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2040/))

      allocate(vertices(2422)%branchCT(0:0))
      call avCT(2422, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1156)%branchCT(0:0))
      call avCT(1156, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1158)%branchCT(0:0))
      call avCT(1158, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(985)%branchCT(0:0))
      call avCT(985, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1160)%branchCT(0:0))
      call avCT(1160, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(5043)%branchCT(0:0))
      call avCT(5043, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2107/))

      allocate(vertices(3588)%branchCT(0:0))
      call avCT(3588, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

    end subroutine fill_vertices_mdl8
end module vertices_info8
