!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(3589)%branchCT(0:0))
      call avCT(3589, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3590)%branchCT(0:0))
      call avCT(3590, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2138/))

      allocate(vertices(2545)%branchCT(0:0))
      call avCT(2545, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1165)%branchCT(0:0))
      call avCT(1165, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3592)%branchCT(0:0))
      call avCT(3592, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1301)%branchCT(0:0))
      call avCT(1301, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(591)%branchCT(0:0))
      call avCT(591, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3518)%branchCT(0:0))
      call avCT(3518, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3594)%branchCT(0:0))
      call avCT(3594, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2320)%branchCT(0:0))
      call avCT(2320, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1355)%branchCT(0:0))
      call avCT(1355, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3596)%branchCT(0:0))
      call avCT(3596, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3597)%branchCT(0:0))
      call avCT(3597, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1173)%branchCT(0:0))
      call avCT(1173, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1174)%branchCT(0:0))
      call avCT(1174, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1175)%branchCT(0:0))
      call avCT(1175, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3598)%branchCT(0:0))
      call avCT(3598, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(3599)%branchCT(0:0))
      call avCT(3599, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(3600)%branchCT(0:0))
      call avCT(3600, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(3601)%branchCT(0:3))
      call avCT(3601, 0, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_2128, nGC_2130/))

      call avCT(3601, 1, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_2129, nGC_2131/))

      call avCT(3601, 2, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_2128, nGC_2130/))

      call avCT(3601, 3, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_2129, nGC_2131/))

      allocate(vertices(2358)%branchCT(0:0))
      call avCT(2358, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2162)%branchCT(0:0))
      call avCT(2162, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1378)%branchCT(0:0))
      call avCT(1378, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4804)%branchCT(0:0))
      call avCT(4804, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(1179)%branchCT(0:0))
      call avCT(1179, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2080/))

      allocate(vertices(1180)%branchCT(0:0))
      call avCT(1180, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(1181)%branchCT(0:0))
      call avCT(1181, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2021/))

      allocate(vertices(2270)%branchCT(0:0))
      call avCT(2270, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3607)%branchCT(0:0))
      call avCT(3607, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(596)%branchCT(0:0))
      call avCT(596, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2691)%branchCT(0:0))
      call avCT(2691, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(3610)%branchCT(0:1))
      call avCT(3610, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2122, nGC_2124/))

      call avCT(3610, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2123, nGC_2125/))

      allocate(vertices(3611)%branchCT(0:0))
      call avCT(3611, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2418)%branchCT(0:0))
      call avCT(2418, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4744)%branchCT(0:0))
      call avCT(4744, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2453)%branchCT(0:0))
      call avCT(2453, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2424)%branchCT(0:0))
      call avCT(2424, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2430)%branchCT(0:0))
      call avCT(2430, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3618)%branchCT(0:0))
      call avCT(3618, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2447)%branchCT(0:0))
      call avCT(2447, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1645)%branchCT(0:0))
      call avCT(1645, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3620)%branchCT(0:0))
      call avCT(3620, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(2465)%branchCT(0:0))
      call avCT(2465, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1195)%branchCT(0:0))
      call avCT(1195, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2039, nGC_2038,       &
      nGC_2038/))

      allocate(vertices(3622)%branchCT(0:0))
      call avCT(3622, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1198)%branchCT(0:0))
      call avCT(1198, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1199)%branchCT(0:1))
      call avCT(1199, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2057, nGC_2059/))

      call avCT(1199, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2058, nGC_2060/))

      allocate(vertices(1905)%branchCT(0:0))
      call avCT(1905, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3625)%branchCT(0:3))
      call avCT(3625, 0, 22, 2, 0, FaVF1, (/3, 0/), (/nGC_2128, nGC_2130/))

      call avCT(3625, 1, 22, 2, 0, FaVF1, (/1, 2/), (/nGC_2129, nGC_2131/))

      call avCT(3625, 2, 23, 3, 0, FaVF1, (/3, 0/), (/nGC_2128, nGC_2130/))

      call avCT(3625, 3, 23, 3, 0, FaVF1, (/1, 2/), (/nGC_2129, nGC_2131/))

      allocate(vertices(3451)%branchCT(0:0))
      call avCT(3451, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2551)%branchCT(0:0))
      call avCT(2551, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3743)%branchCT(0:3))
      call avCT(3743, 0, 30, 2, 0, VFFa1, (/3, 0/), (/nGC_2023, nGC_2025/))

      call avCT(3743, 1, 30, 2, 0, VFFa1, (/1, 2/), (/nGC_2024, nGC_2026/))

      call avCT(3743, 2, 31, 3, 0, VFFa1, (/3, 0/), (/nGC_2023, nGC_2025/))

      call avCT(3743, 3, 31, 3, 0, VFFa1, (/1, 2/), (/nGC_2024, nGC_2026/))

      allocate(vertices(2500)%branchCT(0:0))
      call avCT(2500, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(2510)%branchCT(0:0))
      call avCT(2510, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(5044)%branchCT(0:0))
      call avCT(5044, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3629)%branchCT(0:0))
      call avCT(3629, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(3387)%branchCT(0:0))
      call avCT(3387, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(2646)%branchCT(0:0))
      call avCT(2646, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2683)%branchCT(0:0))
      call avCT(2683, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1209)%branchCT(0:0))
      call avCT(1209, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(2554)%branchCT(0:0))
      call avCT(2554, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(2905)%branchCT(0:0))
      call avCT(2905, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1978/))

      allocate(vertices(3633)%branchCT(0:0))
      call avCT(3633, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(5045)%branchCT(0:0))
      call avCT(5045, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(3634)%branchCT(0:1))
      call avCT(3634, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2144, nGC_2146/))

      call avCT(3634, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2145, nGC_2147/))

      allocate(vertices(3388)%branchCT(0:0))
      call avCT(3388, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(5046)%branchCT(0:0))
      call avCT(5046, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1216)%branchCT(0:0))
      call avCT(1216, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(3637)%branchCT(0:1))
      call avCT(3637, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2033/))

      call avCT(3637, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2034/))

      allocate(vertices(4870)%branchCT(0:0))
      call avCT(4870, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3639)%branchCT(0:0))
      call avCT(3639, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2001/))

      allocate(vertices(3219)%branchCT(0:0))
      call avCT(3219, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2598)%branchCT(0:0))
      call avCT(2598, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2609)%branchCT(0:0))
      call avCT(2609, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1761)%branchCT(0:0))
      call avCT(1761, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1225)%branchCT(0:0))
      call avCT(1225, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3429)%branchCT(0:0))
      call avCT(3429, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2143)%branchCT(0:0))
      call avCT(2143, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1229)%branchCT(0:0))
      call avCT(1229, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1888/))

      allocate(vertices(4699)%branchCT(0:0))
      call avCT(4699, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(3649)%branchCT(0:5))
      call avCT(3649, 0, 77, 7, 0, UaVUV0, (/4, 0/), (/nGC_2157/))

      call avCT(3649, 1, 76, 7, 0, UaVUV0, (/4, 0/), (/nGC_2157/))

      call avCT(3649, 2, 58, 7, 0, UaVUV0, (/4, 0/), (/nGC_2157/))

      call avCT(3649, 3, 59, 6, 0, UaVUV0, (/4, 0/), (/nGC_2158/))

      call avCT(3649, 4, 57, 6, 0, UaVUV0, (/4, 0/), (/nGC_2158/))

      call avCT(3649, 5, 56, 7, 0, UaVUV0, (/4, 0/), (/nGC_2157/))

      allocate(vertices(2664)%branchCT(0:0))
      call avCT(2664, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2983)%branchCT(0:0))
      call avCT(2983, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3652)%branchCT(0:0))
      call avCT(3652, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1233)%branchCT(0:0))
      call avCT(1233, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3653)%branchCT(0:1))
      call avCT(3653, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1937, nGC_1939/))

      call avCT(3653, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1938, nGC_1940/))

      allocate(vertices(2561)%branchCT(0:0))
      call avCT(2561, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(3656)%branchCT(0:0))
      call avCT(3656, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4578)%branchCT(0:0))
      call avCT(4578, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4726)%branchCT(0:0))
      call avCT(4726, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3658)%branchCT(0:0))
      call avCT(3658, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(879)%branchCT(0:0))
      call avCT(879, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2708)%branchCT(0:0))
      call avCT(2708, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4677)%branchCT(0:3))
      call avCT(4677, 0, 30, 2, 0, VFFa1, (/1, 2/), (/nGC_1898, nGC_1900/))

      call avCT(4677, 1, 30, 2, 0, VFFa1, (/3, 0/), (/nGC_1897, nGC_1899/))

      call avCT(4677, 2, 31, 3, 0, VFFa1, (/1, 2/), (/nGC_1898, nGC_1900/))

      call avCT(4677, 3, 31, 3, 0, VFFa1, (/3, 0/), (/nGC_1897, nGC_1899/))

      allocate(vertices(3662)%branchCT(0:1))
      call avCT(3662, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2044, nGC_2046/))

      call avCT(3662, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2045, nGC_2047/))

      allocate(vertices(4939)%branchCT(0:0))
      call avCT(4939, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1239)%branchCT(0:0))
      call avCT(1239, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1240)%branchCT(0:1))
      call avCT(1240, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2068, nGC_2070/))

      call avCT(1240, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2069, nGC_2071/))

      allocate(vertices(2505)%branchCT(0:3))
      call avCT(2505, 0, 22, 2, 0, FaVF1, (/3, 0/), (/nGC_2051, nGC_2053/))

      call avCT(2505, 1, 22, 2, 0, FaVF1, (/1, 2/), (/nGC_2052, nGC_2054/))

      call avCT(2505, 2, 23, 3, 0, FaVF1, (/3, 0/), (/nGC_2051, nGC_2053/))

      call avCT(2505, 3, 23, 3, 0, FaVF1, (/1, 2/), (/nGC_2052, nGC_2054/))

      allocate(vertices(2737)%branchCT(0:0))
      call avCT(2737, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3667)%branchCT(0:0))
      call avCT(3667, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1978/))

      allocate(vertices(5047)%branchCT(0:1))
      call avCT(5047, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2162, nGC_2164,      &
      nGC_2164, nGC_2166/))

      call avCT(5047, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2163, nGC_2165,      &
      nGC_2165, nGC_2167/))

      allocate(vertices(3668)%branchCT(0:0))
      call avCT(3668, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(1242)%branchCT(0:0))
      call avCT(1242, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2198/))

      allocate(vertices(3670)%branchCT(0:0))
      call avCT(3670, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3671)%branchCT(0:0))
      call avCT(3671, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2138/))

      allocate(vertices(3606)%branchCT(0:0))
      call avCT(3606, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1245)%branchCT(0:0))
      call avCT(1245, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2176)%branchCT(0:0))
      call avCT(2176, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4223)%branchCT(0:0))
      call avCT(4223, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(5048)%branchCT(0:0))
      call avCT(5048, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2176/))

      allocate(vertices(3676)%branchCT(0:0))
      call avCT(3676, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(2784)%branchCT(0:0))
      call avCT(2784, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(3678)%branchCT(0:0))
      call avCT(3678, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1248)%branchCT(0:1))
      call avCT(1248, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2144, nGC_2146/))

      call avCT(1248, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2145, nGC_2147/))

      allocate(vertices(1249)%branchCT(0:0))
      call avCT(1249, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3680)%branchCT(0:0))
      call avCT(3680, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3681)%branchCT(0:1))
      call avCT(3681, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1990, nGC_1992/))

      call avCT(3681, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1991, nGC_1993/))

      allocate(vertices(1252)%branchCT(0:0))
      call avCT(1252, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(2493)%branchCT(0:0))
      call avCT(2493, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(1254)%branchCT(0:0))
      call avCT(1254, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(2754)%branchCT(0:0))
      call avCT(2754, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1257)%branchCT(0:0))
      call avCT(1257, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(3688)%branchCT(0:0))
      call avCT(3688, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1260)%branchCT(0:0))
      call avCT(1260, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3692)%branchCT(0:1))
      call avCT(3692, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2096, nGC_2096/))

      call avCT(3692, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2097, nGC_2097/))

      allocate(vertices(3852)%branchCT(0:0))
      call avCT(3852, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(4362)%branchCT(0:0))
      call avCT(4362, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1262)%branchCT(0:0))
      call avCT(1262, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3697)%branchCT(0:0))
      call avCT(3697, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2055, nGC_2055/))

      allocate(vertices(1001)%branchCT(0:0))
      call avCT(1001, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1267)%branchCT(0:0))
      call avCT(1267, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(1268)%branchCT(0:0))
      call avCT(1268, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1269)%branchCT(0:0))
      call avCT(1269, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(2896)%branchCT(0:0))
      call avCT(2896, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2901)%branchCT(0:0))
      call avCT(2901, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3997)%branchCT(0:0))
      call avCT(3997, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3705)%branchCT(0:0))
      call avCT(3705, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2912)%branchCT(0:0))
      call avCT(2912, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1273)%branchCT(0:0))
      call avCT(1273, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3708)%branchCT(0:0))
      call avCT(3708, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1274)%branchCT(0:0))
      call avCT(1274, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2160, nGC_2161/))

      allocate(vertices(2944)%branchCT(0:0))
      call avCT(2944, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(5049)%branchCT(0:0))
      call avCT(5049, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2108/))

      allocate(vertices(5050)%branchCT(0:0))
      call avCT(5050, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2199, nGC_2200,        &
      nGC_2201/))

      allocate(vertices(3712)%branchCT(0:0))
      call avCT(3712, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(1278)%branchCT(0:0))
      call avCT(1278, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4149)%branchCT(0:0))
      call avCT(4149, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1280)%branchCT(0:0))
      call avCT(1280, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2030/))

      allocate(vertices(3715)%branchCT(0:0))
      call avCT(3715, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3716)%branchCT(0:0))
      call avCT(3716, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(5051)%branchCT(0:0))
      call avCT(5051, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1891/))

      allocate(vertices(3717)%branchCT(0:0))
      call avCT(3717, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2569)%branchCT(0:0))
      call avCT(2569, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1287)%branchCT(0:0))
      call avCT(1287, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3720)%branchCT(0:0))
      call avCT(3720, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2133/))

      allocate(vertices(5052)%branchCT(0:0))
      call avCT(5052, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2202, nGC_2203/))

      allocate(vertices(3025)%branchCT(0:0))
      call avCT(3025, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1293)%branchCT(0:0))
      call avCT(1293, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1294)%branchCT(0:0))
      call avCT(1294, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3726)%branchCT(0:1))
      call avCT(3726, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_1921, nGC_1921/))

      call avCT(3726, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_1922, nGC_1922/))

      allocate(vertices(3050)%branchCT(0:0))
      call avCT(3050, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(5053)%branchCT(0:0))
      call avCT(5053, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2204, nGC_2205,        &
      nGC_2206/))

      allocate(vertices(1297)%branchCT(0:0))
      call avCT(1297, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(3068)%branchCT(0:0))
      call avCT(3068, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3731)%branchCT(0:1))
      call avCT(3731, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_1918, nGC_1916/))

      call avCT(3731, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_1919, nGC_1917/))

      allocate(vertices(2568)%branchCT(0:0))
      call avCT(2568, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4334)%branchCT(0:0))
      call avCT(4334, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(3733)%branchCT(0:0))
      call avCT(3733, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(1300)%branchCT(0:0))
      call avCT(1300, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2049/))

      allocate(vertices(3734)%branchCT(0:0))
      call avCT(3734, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3735)%branchCT(0:0))
      call avCT(3735, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2992)%branchCT(0:0))
      call avCT(2992, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3737)%branchCT(0:0))
      call avCT(3737, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3738)%branchCT(0:1))
      call avCT(3738, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2099, nGC_2101/))

      call avCT(3738, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2100, nGC_2102/))

      allocate(vertices(1906)%branchCT(0:1))
      call avCT(1906, 0, 21, 1, 0, FVFa1, (/0, 3/), (/nGC_1953, nGC_1955/))

      call avCT(1906, 1, 21, 1, 0, FVFa1, (/2, 1/), (/nGC_1954, nGC_1956/))

      allocate(vertices(3739)%branchCT(0:0))
      call avCT(3739, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3740)%branchCT(0:0))
      call avCT(3740, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2207/))

      allocate(vertices(3124)%branchCT(0:0))
      call avCT(3124, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1303)%branchCT(0:1))
      call avCT(1303, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2168, nGC_2170/))

      call avCT(1303, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2169, nGC_2171/))

      allocate(vertices(3741)%branchCT(0:0))
      call avCT(3741, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1305)%branchCT(0:0))
      call avCT(1305, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1306)%branchCT(0:5))
      call avCT(1306, 0, 73, 7, 0, UaVVU0, (/4, 0/), (/nGC_2157/))

      call avCT(1306, 1, 71, 7, 0, UaVVU0, (/4, 0/), (/nGC_2157/))

      call avCT(1306, 2, 72, 7, 0, UaVVU0, (/4, 0/), (/nGC_2157/))

      call avCT(1306, 3, 70, 7, 0, UaVVU0, (/4, 0/), (/nGC_2157/))

      call avCT(1306, 4, 74, 6, 0, UaVVU0, (/4, 0/), (/nGC_2158/))

      call avCT(1306, 5, 75, 6, 0, UaVVU0, (/4, 0/), (/nGC_2158/))

      allocate(vertices(1307)%branchCT(0:3))
      call avCT(1307, 0, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_2023, nGC_2025/))

      call avCT(1307, 1, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_2024, nGC_2026/))

      call avCT(1307, 2, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_2023, nGC_2025/))

      call avCT(1307, 3, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_2024, nGC_2026/))

      allocate(vertices(686)%branchCT(0:0))
      call avCT(686, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4588)%branchCT(0:0))
      call avCT(4588, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1309)%branchCT(0:0))
      call avCT(1309, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1453)%branchCT(0:0))
      call avCT(1453, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3746)%branchCT(0:0))
      call avCT(3746, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2208/))

      allocate(vertices(230)%branchCT(0:0))
      call avCT(230, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3750)%branchCT(0:0))
      call avCT(3750, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1311)%branchCT(0:0))
      call avCT(1311, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3755)%branchCT(0:0))
      call avCT(3755, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(3756)%branchCT(0:0))
      call avCT(3756, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(4097)%branchCT(0:0))
      call avCT(4097, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1774)%branchCT(0:0))
      call avCT(1774, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3759)%branchCT(0:0))
      call avCT(3759, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1315)%branchCT(0:0))
      call avCT(1315, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(3760)%branchCT(0:0))
      call avCT(3760, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1318)%branchCT(0:0))
      call avCT(1318, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1905/))

      allocate(vertices(4775)%branchCT(0:0))
      call avCT(4775, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1722)%branchCT(0:0))
      call avCT(1722, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3764)%branchCT(0:0))
      call avCT(3764, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(5054)%branchCT(0:0))
      call avCT(5054, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2209/))

      allocate(vertices(1322)%branchCT(0:0))
      call avCT(1322, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1323)%branchCT(0:0))
      call avCT(1323, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2141/))

      allocate(vertices(1234)%branchCT(0:0))
      call avCT(1234, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1400)%branchCT(0:0))
      call avCT(1400, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1325)%branchCT(0:0))
      call avCT(1325, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1326)%branchCT(0:1))
      call avCT(1326, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2144, nGC_2146/))

      call avCT(1326, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2145, nGC_2147/))

      allocate(vertices(1327)%branchCT(0:0))
      call avCT(1327, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1035)%branchCT(0:0))
      call avCT(1035, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2099)%branchCT(0:0))
      call avCT(2099, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1985/))

      allocate(vertices(4636)%branchCT(0:0))
      call avCT(4636, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(3687)%branchCT(0:0))
      call avCT(3687, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(3274)%branchCT(0:0))
      call avCT(3274, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(758)%branchCT(0:0))
      call avCT(758, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3867)%branchCT(0:0))
      call avCT(3867, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3288)%branchCT(0:0))
      call avCT(3288, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(1478)%branchCT(0:0))
      call avCT(1478, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1263)%branchCT(0:0))
      call avCT(1263, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2169)%branchCT(0:0))
      call avCT(2169, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1332)%branchCT(0:0))
      call avCT(1332, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(728)%branchCT(0:0))
      call avCT(728, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2080/))

      allocate(vertices(3781)%branchCT(0:0))
      call avCT(3781, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(3324)%branchCT(0:0))
      call avCT(3324, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1334)%branchCT(0:0))
      call avCT(1334, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3784)%branchCT(0:0))
      call avCT(3784, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1310)%branchCT(0:0))
      call avCT(1310, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3787)%branchCT(0:0))
      call avCT(3787, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1336)%branchCT(0:0))
      call avCT(1336, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3789)%branchCT(0:0))
      call avCT(3789, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3703)%branchCT(0:0))
      call avCT(3703, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4240)%branchCT(0:3))
      call avCT(4240, 0, 22, 2, 0, FaVF1, (/1, 2/), (/nGC_2185, nGC_2187/))

      call avCT(4240, 1, 22, 2, 0, FaVF1, (/3, 0/), (/nGC_2184, nGC_2186/))

      call avCT(4240, 2, 23, 3, 0, FaVF1, (/1, 2/), (/nGC_2185, nGC_2187/))

      call avCT(4240, 3, 23, 3, 0, FaVF1, (/3, 0/), (/nGC_2184, nGC_2186/))

      allocate(vertices(1339)%branchCT(0:0))
      call avCT(1339, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(3792)%branchCT(0:0))
      call avCT(3792, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(3381)%branchCT(0:0))
      call avCT(3381, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1213)%branchCT(0:0))
      call avCT(1213, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3798)%branchCT(0:0))
      call avCT(3798, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(625)%branchCT(0:0))
      call avCT(625, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3418)%branchCT(0:0))
      call avCT(3418, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(1347)%branchCT(0:0))
      call avCT(1347, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1348)%branchCT(0:0))
      call avCT(1348, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3803)%branchCT(0:0))
      call avCT(3803, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2098, nGC_2098/))

      allocate(vertices(2173)%branchCT(0:0))
      call avCT(2173, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1352)%branchCT(0:0))
      call avCT(1352, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3806)%branchCT(0:0))
      call avCT(3806, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2091/))

      allocate(vertices(1353)%branchCT(0:0))
      call avCT(1353, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1779)%branchCT(0:0))
      call avCT(1779, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3459)%branchCT(0:0))
      call avCT(3459, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(3696)%branchCT(0:0))
      call avCT(3696, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3471)%branchCT(0:0))
      call avCT(3471, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2038, nGC_2038,       &
      nGC_2039/))

      allocate(vertices(2280)%branchCT(0:0))
      call avCT(2280, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3812)%branchCT(0:0))
      call avCT(3812, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3813)%branchCT(0:1))
      call avCT(3813, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2144, nGC_2146/))

      call avCT(3813, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2145, nGC_2147/))

      allocate(vertices(3409)%branchCT(0:0))
      call avCT(3409, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4199)%branchCT(0:1))
      call avCT(4199, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2210, nGC_2210/))

      call avCT(4199, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2211, nGC_2211/))

      allocate(vertices(1363)%branchCT(0:1))
      call avCT(1363, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2057, nGC_2059/))

      call avCT(1363, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2058, nGC_2060/))

      allocate(vertices(3815)%branchCT(0:0))
      call avCT(3815, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3508)%branchCT(0:0))
      call avCT(3508, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3816)%branchCT(0:0))
      call avCT(3816, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1366)%branchCT(0:1))
      call avCT(1366, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2126, nGC_2126/))

      call avCT(1366, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2127, nGC_2127/))

      allocate(vertices(1367)%branchCT(0:0))
      call avCT(1367, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(1368)%branchCT(0:0))
      call avCT(1368, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2180/))

      allocate(vertices(3819)%branchCT(0:0))
      call avCT(3819, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2027/))

      allocate(vertices(4784)%branchCT(0:0))
      call avCT(4784, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(1369)%branchCT(0:0))
      call avCT(1369, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(3822)%branchCT(0:0))
      call avCT(3822, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1958/))

      allocate(vertices(1370)%branchCT(0:0))
      call avCT(1370, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4895)%branchCT(0:0))
      call avCT(4895, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(3825)%branchCT(0:0))
      call avCT(3825, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2056/))

      allocate(vertices(1372)%branchCT(0:0))
      call avCT(1372, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(2509)%branchCT(0:1))
      call avCT(2509, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2126, nGC_2126/))

      call avCT(2509, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2127, nGC_2127/))

      allocate(vertices(3877)%branchCT(0:0))
      call avCT(3877, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(415)%branchCT(0:0))
      call avCT(415, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1375)%branchCT(0:0))
      call avCT(1375, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1376)%branchCT(0:1))
      call avCT(1376, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1881/))

      call avCT(1376, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1882/))

      allocate(vertices(3829)%branchCT(0:0))
      call avCT(3829, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3415)%branchCT(0:0))
      call avCT(3415, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1581)%branchCT(0:0))
      call avCT(1581, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(5055)%branchCT(0:0))
      call avCT(5055, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1891/))

      allocate(vertices(3832)%branchCT(0:0))
      call avCT(3832, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(3833)%branchCT(0:0))
      call avCT(3833, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(3834)%branchCT(0:0))
      call avCT(3834, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2001/))

      allocate(vertices(3835)%branchCT(0:0))
      call avCT(3835, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2149, nGC_2150/))

      allocate(vertices(5056)%branchCT(0:0))
      call avCT(5056, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(1379)%branchCT(0:0))
      call avCT(1379, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3613)%branchCT(0:3))
      call avCT(3613, 0, 30, 2, 0, VFFa1, (/1, 2/), (/nGC_2185, nGC_2187/))

      call avCT(3613, 1, 30, 2, 0, VFFa1, (/3, 0/), (/nGC_2184, nGC_2186/))

      call avCT(3613, 2, 31, 3, 0, VFFa1, (/1, 2/), (/nGC_2185, nGC_2187/))

      call avCT(3613, 3, 31, 3, 0, VFFa1, (/3, 0/), (/nGC_2184, nGC_2186/))

      allocate(vertices(4787)%branchCT(0:0))
      call avCT(4787, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(3840)%branchCT(0:0))
      call avCT(3840, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3841)%branchCT(0:0))
      call avCT(3841, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3632)%branchCT(0:0))
      call avCT(3632, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2297)%branchCT(0:0))
      call avCT(2297, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1381)%branchCT(0:0))
      call avCT(1381, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(2426)%branchCT(0:0))
      call avCT(2426, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3845)%branchCT(0:0))
      call avCT(3845, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3847)%branchCT(0:0))
      call avCT(3847, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3848)%branchCT(0:0))
      call avCT(3848, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(3881)%branchCT(0:0))
      call avCT(3881, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2198/))

      allocate(vertices(5057)%branchCT(0:0))
      call avCT(5057, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2212, nGC_2213/))

      allocate(vertices(1384)%branchCT(0:0))
      call avCT(1384, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3851)%branchCT(0:0))
      call avCT(3851, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2149, nGC_2150/))

      allocate(vertices(1385)%branchCT(0:1))
      call avCT(1385, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1973, nGC_1975/))

      call avCT(1385, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1974, nGC_1976/))

      allocate(vertices(1786)%branchCT(0:0))
      call avCT(1786, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(3693)%branchCT(0:0))
      call avCT(3693, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1387)%branchCT(0:0))
      call avCT(1387, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2177/))

      allocate(vertices(3853)%branchCT(0:0))
      call avCT(3853, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1388)%branchCT(0:0))
      call avCT(1388, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(5058)%branchCT(0:0))
      call avCT(5058, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(3010)%branchCT(0:0))
      call avCT(3010, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2579)%branchCT(0:0))
      call avCT(2579, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2173, nGC_2173/))

      allocate(vertices(3713)%branchCT(0:0))
      call avCT(3713, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2196, nGC_2197/))

      allocate(vertices(1391)%branchCT(0:0))
      call avCT(1391, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1392)%branchCT(0:0))
      call avCT(1392, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2142, nGC_2143/))

      allocate(vertices(3859)%branchCT(0:0))
      call avCT(3859, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(1393)%branchCT(0:0))
      call avCT(1393, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4325)%branchCT(0:0))
      call avCT(4325, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3863)%branchCT(0:1))
      call avCT(3863, 0, 21, 1, 0, FVFa0, (/0, 3/), (/nGC_2033/))

      call avCT(3863, 1, 21, 1, 0, FVFa0, (/2, 1/), (/nGC_2034/))

      allocate(vertices(3747)%branchCT(0:0))
      call avCT(3747, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1396)%branchCT(0:1))
      call avCT(1396, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2074, nGC_2076/))

      call avCT(1396, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2075, nGC_2077/))

      allocate(vertices(4927)%branchCT(0:0))
      call avCT(4927, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1398)%branchCT(0:0))
      call avCT(1398, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3766)%branchCT(0:0))
      call avCT(3766, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1401)%branchCT(0:1))
      call avCT(1401, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2092, nGC_2092/))

      call avCT(1401, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2093, nGC_2093/))

      allocate(vertices(3467)%branchCT(0:0))
      call avCT(3467, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3420)%branchCT(0:0))
      call avCT(3420, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2049/))

      allocate(vertices(3014)%branchCT(0:0))
      call avCT(3014, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3870)%branchCT(0:3))
      call avCT(3870, 0, 27, 3, 0, FVFa1, (/3, 0/), (/nGC_2128, nGC_2130/))

      call avCT(3870, 1, 27, 3, 0, FVFa1, (/1, 2/), (/nGC_2129, nGC_2131/))

      call avCT(3870, 2, 26, 2, 0, FVFa1, (/3, 0/), (/nGC_2128, nGC_2130/))

      call avCT(3870, 3, 26, 2, 0, FVFa1, (/1, 2/), (/nGC_2129, nGC_2131/))

      allocate(vertices(1945)%branchCT(0:0))
      call avCT(1945, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1404)%branchCT(0:0))
      call avCT(1404, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2595)%branchCT(0:0))
      call avCT(2595, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3873)%branchCT(0:0))
      call avCT(3873, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3501)%branchCT(0:0))
      call avCT(3501, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3875)%branchCT(0:0))
      call avCT(3875, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3876)%branchCT(0:0))
      call avCT(3876, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2214/))

      allocate(vertices(3827)%branchCT(0:0))
      call avCT(3827, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1408)%branchCT(0:1))
      call avCT(1408, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1881/))

      call avCT(1408, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1882/))

      allocate(vertices(635)%branchCT(0:0))
      call avCT(635, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(3880)%branchCT(0:0))
      call avCT(3880, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(1410)%branchCT(0:1))
      call avCT(1410, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1960, nGC_1962/))

      call avCT(1410, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1961, nGC_1963/))

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3884)%branchCT(0:0))
      call avCT(3884, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(1412)%branchCT(0:1))
      call avCT(1412, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2004, nGC_2006/))

      call avCT(1412, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2005, nGC_2007/))

      allocate(vertices(1413)%branchCT(0:0))
      call avCT(1413, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3927)%branchCT(0:0))
      call avCT(3927, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1414)%branchCT(0:0))
      call avCT(1414, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4698)%branchCT(0:0))
      call avCT(4698, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3888)%branchCT(0:1))
      call avCT(3888, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1881/))

      call avCT(3888, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1882/))

      allocate(vertices(1417)%branchCT(0:0))
      call avCT(1417, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5059)%branchCT(0:0))
      call avCT(5059, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2029/))

      allocate(vertices(2597)%branchCT(0:0))
      call avCT(2597, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1884/))

      allocate(vertices(3911)%branchCT(0:0))
      call avCT(3911, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3893)%branchCT(0:0))
      call avCT(3893, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(1422)%branchCT(0:0))
      call avCT(1422, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1424)%branchCT(0:0))
      call avCT(1424, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3895)%branchCT(0:0))
      call avCT(3895, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3323)%branchCT(0:0))
      call avCT(3323, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1426)%branchCT(0:0))
      call avCT(1426, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1985/))

      allocate(vertices(3889)%branchCT(0:0))
      call avCT(3889, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3967)%branchCT(0:0))
      call avCT(3967, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3969)%branchCT(0:0))
      call avCT(3969, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2189/))

      allocate(vertices(3932)%branchCT(0:0))
      call avCT(3932, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(1429)%branchCT(0:0))
      call avCT(1429, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4007)%branchCT(0:0))
      call avCT(4007, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4332)%branchCT(0:0))
      call avCT(4332, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1243)%branchCT(0:0))
      call avCT(1243, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4263)%branchCT(0:0))
      call avCT(4263, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(5060)%branchCT(0:0))
      call avCT(5060, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3907)%branchCT(0:0))
      call avCT(3907, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4886)%branchCT(0:0))
      call avCT(4886, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1964/))

      allocate(vertices(3909)%branchCT(0:0))
      call avCT(3909, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(639)%branchCT(0:0))
      call avCT(639, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(40)%branchCT(0:0))
      call avCT(40, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4053)%branchCT(0:0))
      call avCT(4053, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1439)%branchCT(0:1))
      call avCT(1439, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1990, nGC_1992/))

      call avCT(1439, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1991, nGC_1993/))

      allocate(vertices(3890)%branchCT(0:0))
      call avCT(3890, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(1440)%branchCT(0:3))
      call avCT(1440, 0, 27, 3, 0, FVFa1, (/3, 0/), (/nGC_2051, nGC_2053/))

      call avCT(1440, 1, 27, 3, 0, FVFa1, (/1, 2/), (/nGC_2052, nGC_2054/))

      call avCT(1440, 2, 26, 2, 0, FVFa1, (/3, 0/), (/nGC_2051, nGC_2053/))

      call avCT(1440, 3, 26, 2, 0, FVFa1, (/1, 2/), (/nGC_2052, nGC_2054/))

      allocate(vertices(3916)%branchCT(0:0))
      call avCT(3916, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1477)%branchCT(0:0))
      call avCT(1477, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3917)%branchCT(0:0))
      call avCT(3917, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(641)%branchCT(0:0))
      call avCT(641, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(5061)%branchCT(0:0))
      call avCT(5061, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2215, nGC_2216,       &
      nGC_2216, nGC_2217/))

      allocate(vertices(3919)%branchCT(0:0))
      call avCT(3919, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(5062)%branchCT(0:0))
      call avCT(5062, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(1444)%branchCT(0:0))
      call avCT(1444, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(2231)%branchCT(0:0))
      call avCT(2231, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(1446)%branchCT(0:0))
      call avCT(1446, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4801)%branchCT(0:0))
      call avCT(4801, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4302)%branchCT(0:0))
      call avCT(4302, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3921)%branchCT(0:5))
      call avCT(3921, 0, 9, 7, 0, UaUVV0, (/4, 0/), (/nGC_2157/))

      call avCT(3921, 1, 7, 7, 0, UaUVV0, (/4, 0/), (/nGC_2157/))

      call avCT(3921, 2, 8, 7, 0, UaUVV0, (/4, 0/), (/nGC_2157/))

      call avCT(3921, 3, 6, 7, 0, UaUVV0, (/4, 0/), (/nGC_2157/))

      call avCT(3921, 4, 5, 6, 0, UaUVV0, (/4, 0/), (/nGC_2158/))

      call avCT(3921, 5, 4, 6, 0, UaUVV0, (/4, 0/), (/nGC_2158/))

      allocate(vertices(1447)%branchCT(0:0))
      call avCT(1447, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(3923)%branchCT(0:1))
      call avCT(3923, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2126, nGC_2126/))

      call avCT(3923, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2127, nGC_2127/))

      allocate(vertices(1450)%branchCT(0:0))
      call avCT(1450, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2133/))

      allocate(vertices(3926)%branchCT(0:0))
      call avCT(3926, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3892)%branchCT(0:0))
      call avCT(3892, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(3928)%branchCT(0:0))
      call avCT(3928, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(3719)%branchCT(0:0))
      call avCT(3719, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(3745)%branchCT(0:0))
      call avCT(3745, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3931)%branchCT(0:0))
      call avCT(3931, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(1455)%branchCT(0:0))
      call avCT(1455, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(5063)%branchCT(0:0))
      call avCT(5063, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(835)%branchCT(0:0))
      call avCT(835, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(1848)%branchCT(0:0))
      call avCT(1848, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1029)%branchCT(0:0))
      call avCT(1029, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2038, nGC_2038,       &
      nGC_2039/))

      allocate(vertices(1459)%branchCT(0:0))
      call avCT(1459, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(3937)%branchCT(0:0))
      call avCT(3937, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2175/))

      allocate(vertices(3938)%branchCT(0:0))
      call avCT(3938, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(3939)%branchCT(0:0))
      call avCT(3939, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_2043/))

      allocate(vertices(3940)%branchCT(0:0))
      call avCT(3940, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4226)%branchCT(0:0))
      call avCT(4226, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3943)%branchCT(0:0))
      call avCT(3943, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(5064)%branchCT(0:0))
      call avCT(5064, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(781)%branchCT(0:0))
      call avCT(781, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2726)%branchCT(0:0))
      call avCT(2726, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(3433)%branchCT(0:0))
      call avCT(3433, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1968, nGC_1968/))

      allocate(vertices(1467)%branchCT(0:0))
      call avCT(1467, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_1965/))

      allocate(vertices(1799)%branchCT(0:0))
      call avCT(1799, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(5065)%branchCT(0:1))
      call avCT(5065, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2218, nGC_2220,      &
      nGC_2220, nGC_2222/))

      call avCT(5065, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2219, nGC_2221,      &
      nGC_2221, nGC_2223/))

      allocate(vertices(3946)%branchCT(0:1))
      call avCT(3946, 0, 114, 4, 0, UUaV1, (/3, 0/), (/nGC_2115/))

      call avCT(3946, 1, 115, 5, 0, UUaV1, (/3, 0/), (/nGC_2115/))

      allocate(vertices(4342)%branchCT(0:0))
      call avCT(4342, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2114/))

      allocate(vertices(3948)%branchCT(0:1))
      call avCT(3948, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2126, nGC_2126/))

      call avCT(3948, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2127, nGC_2127/))

      allocate(vertices(3949)%branchCT(0:0))
      call avCT(3949, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5066)%branchCT(0:0))
      call avCT(5066, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2224, nGC_2225,       &
      nGC_2225, nGC_2226/))

      allocate(vertices(3951)%branchCT(0:0))
      call avCT(3951, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1943/))

      allocate(vertices(4614)%branchCT(0:0))
      call avCT(4614, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1473)%branchCT(0:0))
      call avCT(1473, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(4297)%branchCT(0:0))
      call avCT(4297, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2214/))

      allocate(vertices(3434)%branchCT(0:0))
      call avCT(3434, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3955)%branchCT(0:0))
      call avCT(3955, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2149, nGC_2150/))

      allocate(vertices(647)%branchCT(0:0))
      call avCT(647, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1475)%branchCT(0:0))
      call avCT(1475, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2613)%branchCT(0:0))
      call avCT(2613, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3958)%branchCT(0:0))
      call avCT(3958, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4345)%branchCT(0:0))
      call avCT(4345, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3960)%branchCT(0:0))
      call avCT(3960, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3961)%branchCT(0:1))
      call avCT(3961, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2044, nGC_2046/))

      call avCT(3961, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2045, nGC_2047/))

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4371)%branchCT(0:0))
      call avCT(4371, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(3856)%branchCT(0:0))
      call avCT(3856, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1913, nGC_1914/))

      allocate(vertices(5067)%branchCT(0:0))
      call avCT(5067, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(1482)%branchCT(0:0))
      call avCT(1482, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2227, nGC_2227/))

      allocate(vertices(1427)%branchCT(0:0))
      call avCT(1427, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5068)%branchCT(0:0))
      call avCT(5068, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2190, nGC_2191,       &
      nGC_2191, nGC_2192/))

      allocate(vertices(1428)%branchCT(0:0))
      call avCT(1428, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2078/))

      allocate(vertices(3970)%branchCT(0:0))
      call avCT(3970, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(2201)%branchCT(0:1))
      call avCT(2201, 0, 20, 1, 0, FaVF0, (/0, 3/), (/nGC_1951/))

      call avCT(2201, 1, 20, 1, 0, FaVF0, (/2, 1/), (/nGC_1952/))

      allocate(vertices(3973)%branchCT(0:0))
      call avCT(3973, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3976)%branchCT(0:0))
      call avCT(3976, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3901)%branchCT(0:0))
      call avCT(3901, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2038, nGC_2039,       &
      nGC_2038/))

      allocate(vertices(3635)%branchCT(0:0))
      call avCT(3635, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3979)%branchCT(0:0))
      call avCT(3979, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3980)%branchCT(0:0))
      call avCT(3980, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1958/))

      allocate(vertices(1729)%branchCT(0:1))
      call avCT(1729, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2210, nGC_2210/))

      call avCT(1729, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2211, nGC_2211/))

      allocate(vertices(1491)%branchCT(0:0))
      call avCT(1491, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4474)%branchCT(0:0))
      call avCT(4474, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2038, nGC_2038,       &
      nGC_2039/))

      allocate(vertices(1494)%branchCT(0:0))
      call avCT(1494, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3113)%branchCT(0:0))
      call avCT(3113, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4489)%branchCT(0:0))
      call avCT(4489, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1806)%branchCT(0:0))
      call avCT(1806, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1499)%branchCT(0:0))
      call avCT(1499, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(1500)%branchCT(0:0))
      call avCT(1500, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2152/))

      allocate(vertices(1501)%branchCT(0:0))
      call avCT(1501, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3991)%branchCT(0:1))
      call avCT(3991, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1908, nGC_1910/))

      call avCT(3991, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1909, nGC_1911/))

      allocate(vertices(4516)%branchCT(0:0))
      call avCT(4516, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2241)%branchCT(0:0))
      call avCT(2241, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3305)%branchCT(0:0))
      call avCT(3305, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2227, nGC_2227/))

      allocate(vertices(2204)%branchCT(0:0))
      call avCT(2204, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(3995)%branchCT(0:0))
      call avCT(3995, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3996)%branchCT(0:0))
      call avCT(3996, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(1504)%branchCT(0:0))
      call avCT(1504, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2043/))

      allocate(vertices(1505)%branchCT(0:0))
      call avCT(1505, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(5069)%branchCT(0:0))
      call avCT(5069, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2228, nGC_2229/))

      allocate(vertices(1048)%branchCT(0:0))
      call avCT(1048, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3984)%branchCT(0:0))
      call avCT(3984, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(4003)%branchCT(0:0))
      call avCT(4003, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2364)%branchCT(0:0))
      call avCT(2364, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4005)%branchCT(0:0))
      call avCT(4005, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4570)%branchCT(0:1))
      call avCT(4570, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_2033/))

      call avCT(4570, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_2034/))

      allocate(vertices(1511)%branchCT(0:1))
      call avCT(1511, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2036, nGC_2036/))

      call avCT(1511, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2037, nGC_2037/))

      allocate(vertices(656)%branchCT(0:0))
      call avCT(656, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4008)%branchCT(0:0))
      call avCT(4008, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4010)%branchCT(0:0))
      call avCT(4010, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1894/))

      allocate(vertices(4617)%branchCT(0:0))
      call avCT(4617, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4049)%branchCT(0:0))
      call avCT(4049, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1934/))

      allocate(vertices(4015)%branchCT(0:1))
      call avCT(4015, 0, 20, 1, 0, FaVF0, (/0, 3/), (/nGC_2033/))

      call avCT(4015, 1, 20, 1, 0, FaVF0, (/2, 1/), (/nGC_2034/))

      allocate(vertices(1517)%branchCT(0:0))
      call avCT(1517, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1934/))

      allocate(vertices(4017)%branchCT(0:0))
      call avCT(4017, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4648)%branchCT(0:0))
      call avCT(4648, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(5070)%branchCT(0:1))
      call avCT(5070, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2061, nGC_2063,       &
      nGC_2063, nGC_2065/))

      call avCT(5070, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2062, nGC_2064,       &
      nGC_2064, nGC_2066/))

      allocate(vertices(1521)%branchCT(0:0))
      call avCT(1521, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4680)%branchCT(0:0))
      call avCT(4680, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(3447)%branchCT(0:1))
      call avCT(3447, 0, 20, 1, 0, FaVF1, (/0, 3/), (/nGC_2134, nGC_2136/))

      call avCT(3447, 1, 20, 1, 0, FaVF1, (/2, 1/), (/nGC_2135, nGC_2137/))

      allocate(vertices(4025)%branchCT(0:0))
      call avCT(4025, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1526)%branchCT(0:0))
      call avCT(1526, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1185)%branchCT(0:0))
      call avCT(1185, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4029)%branchCT(0:0))
      call avCT(4029, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4745)%branchCT(0:0))
      call avCT(4745, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4034)%branchCT(0:0))
      call avCT(4034, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(4035)%branchCT(0:1))
      call avCT(4035, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2139, nGC_2139/))

      call avCT(4035, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2140, nGC_2140/))

      allocate(vertices(5071)%branchCT(0:1))
      call avCT(5071, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2218, nGC_2220,       &
      nGC_2220, nGC_2222/))

      call avCT(5071, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2219, nGC_2221,       &
      nGC_2221, nGC_2223/))

      allocate(vertices(4037)%branchCT(0:1))
      call avCT(4037, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1975, nGC_1973/))

      call avCT(4037, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1976, nGC_1974/))

      allocate(vertices(4782)%branchCT(0:0))
      call avCT(4782, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3449)%branchCT(0:0))
      call avCT(3449, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4039)%branchCT(0:0))
      call avCT(4039, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2211)%branchCT(0:0))
      call avCT(2211, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2230/))

      allocate(vertices(3082)%branchCT(0:1))
      call avCT(3082, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2111, nGC_2111/))

      call avCT(3082, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2112, nGC_2112/))

      allocate(vertices(4355)%branchCT(0:0))
      call avCT(4355, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1537)%branchCT(0:0))
      call avCT(1537, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4817)%branchCT(0:0))
      call avCT(4817, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(4045)%branchCT(0:1))
      call avCT(4045, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1951/))

      call avCT(4045, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1952/))

      allocate(vertices(613)%branchCT(0:0))
      call avCT(613, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4048)%branchCT(0:0))
      call avCT(4048, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1942, nGC_1942/))

      allocate(vertices(1542)%branchCT(0:0))
      call avCT(1542, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1543)%branchCT(0:0))
      call avCT(1543, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(1545)%branchCT(0:0))
      call avCT(1545, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1547)%branchCT(0:0))
      call avCT(1547, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(1277)%branchCT(0:0))
      call avCT(1277, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3912)%branchCT(0:0))
      call avCT(3912, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1550)%branchCT(0:0))
      call avCT(1550, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3617)%branchCT(0:0))
      call avCT(3617, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(4094)%branchCT(0:0))
      call avCT(4094, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(4055)%branchCT(0:0))
      call avCT(4055, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1983, nGC_1982,       &
      nGC_1982/))

      allocate(vertices(3654)%branchCT(0:0))
      call avCT(3654, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(443)%branchCT(0:0))
      call avCT(443, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(1552)%branchCT(0:0))
      call avCT(1552, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1553)%branchCT(0:0))
      call avCT(1553, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1554)%branchCT(0:0))
      call avCT(1554, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(4142)%branchCT(0:0))
      call avCT(4142, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2042/))

      allocate(vertices(4915)%branchCT(0:0))
      call avCT(4915, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1556)%branchCT(0:0))
      call avCT(1556, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4063)%branchCT(0:0))
      call avCT(4063, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(665)%branchCT(0:0))
      call avCT(665, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1557)%branchCT(0:0))
      call avCT(1557, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4066)%branchCT(0:0))
      call avCT(4066, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1888/))

      allocate(vertices(3896)%branchCT(0:0))
      call avCT(3896, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4962)%branchCT(0:1))
      call avCT(4962, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1990, nGC_1992/))

      call avCT(4962, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1991, nGC_1993/))

      allocate(vertices(1560)%branchCT(0:0))
      call avCT(1560, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1561)%branchCT(0:0))
      call avCT(1561, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1562)%branchCT(0:0))
      call avCT(1562, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4690)%branchCT(0:0))
      call avCT(4690, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2177/))

      allocate(vertices(1044)%branchCT(0:0))
      call avCT(1044, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(10)%branchCT(0:0))
      call avCT(10, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(1043)%branchCT(0:5))
      call avCT(1043, 0, 82, 6, 0, VVUUa0, (/4, 0/), (/nGC_2158/))

      call avCT(1043, 1, 81, 7, 0, VVUUa0, (/4, 0/), (/nGC_2157/))

      call avCT(1043, 2, 79, 7, 0, VVUUa0, (/4, 0/), (/nGC_2157/))

      call avCT(1043, 3, 80, 7, 0, VVUUa0, (/4, 0/), (/nGC_2157/))

      call avCT(1043, 4, 78, 7, 0, VVUUa0, (/4, 0/), (/nGC_2157/))

      call avCT(1043, 5, 83, 6, 0, VVUUa0, (/4, 0/), (/nGC_2158/))

      allocate(vertices(19)%branchCT(0:0))
      call avCT(19, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4070)%branchCT(0:0))
      call avCT(4070, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1533)%branchCT(0:0))
      call avCT(1533, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1623)%branchCT(0:0))
      call avCT(1623, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1988,       &
      nGC_1989/))

      allocate(vertices(3196)%branchCT(0:0))
      call avCT(3196, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(4073)%branchCT(0:0))
      call avCT(4073, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1982, nGC_1982,       &
      nGC_1983/))

      allocate(vertices(2051)%branchCT(0:0))
      call avCT(2051, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4075)%branchCT(0:0))
      call avCT(4075, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4076)%branchCT(0:0))
      call avCT(4076, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2132/))

      allocate(vertices(1575)%branchCT(0:0))
      call avCT(1575, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(4077)%branchCT(0:1))
      call avCT(4077, 0, 120, 4, 0, UVUa0, (/3, 0/), (/nGC_2028/))

      call avCT(4077, 1, 121, 5, 0, UVUa0, (/3, 0/), (/nGC_2028/))

      allocate(vertices(4078)%branchCT(0:0))
      call avCT(4078, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(83)%branchCT(0:0))
      call avCT(83, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4080)%branchCT(0:1))
      call avCT(4080, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2153, nGC_2155/))

      call avCT(4080, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2154, nGC_2156/))

      allocate(vertices(4081)%branchCT(0:0))
      call avCT(4081, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1911)%branchCT(0:0))
      call avCT(1911, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1578)%branchCT(0:0))
      call avCT(1578, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4087)%branchCT(0:0))
      call avCT(4087, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1988,       &
      nGC_1989/))

      allocate(vertices(4104)%branchCT(0:0))
      call avCT(4104, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2152/))

      allocate(vertices(4088)%branchCT(0:0))
      call avCT(4088, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1442)%branchCT(0:0))
      call avCT(1442, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(3830)%branchCT(0:0))
      call avCT(3830, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(140)%branchCT(0:0))
      call avCT(140, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1584)%branchCT(0:1))
      call avCT(1584, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1986, nGC_1986/))

      call avCT(1584, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1987, nGC_1987/))

      allocate(vertices(1585)%branchCT(0:0))
      call avCT(1585, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4092)%branchCT(0:1))
      call avCT(4092, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2231, nGC_2233/))

      call avCT(4092, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2232, nGC_2234/))

      allocate(vertices(1587)%branchCT(0:0))
      call avCT(1587, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1588)%branchCT(0:0))
      call avCT(1588, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(4095)%branchCT(0:0))
      call avCT(4095, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(4167)%branchCT(0:0))
      call avCT(4167, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1590)%branchCT(0:0))
      call avCT(1590, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2151/))

      allocate(vertices(1591)%branchCT(0:0))
      call avCT(1591, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(175)%branchCT(0:0))
      call avCT(175, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(181)%branchCT(0:0))
      call avCT(181, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3891)%branchCT(0:0))
      call avCT(3891, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1595)%branchCT(0:0))
      call avCT(1595, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4098)%branchCT(0:0))
      call avCT(4098, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(4099)%branchCT(0:0))
      call avCT(4099, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4101)%branchCT(0:0))
      call avCT(4101, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(1599)%branchCT(0:0))
      call avCT(1599, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2207/))

      allocate(vertices(4103)%branchCT(0:0))
      call avCT(4103, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(4608)%branchCT(0:0))
      call avCT(4608, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1978/))

      allocate(vertices(1600)%branchCT(0:0))
      call avCT(1600, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1601)%branchCT(0:1))
      call avCT(1601, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_1990, nGC_1992/))

      call avCT(1601, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_1991, nGC_1993/))

      allocate(vertices(5072)%branchCT(0:0))
      call avCT(5072, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3650)%branchCT(0:0))
      call avCT(3650, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4106)%branchCT(0:3))
      call avCT(4106, 0, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_2128, nGC_2130/))

      call avCT(4106, 1, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_2129, nGC_2131/))

      call avCT(4106, 2, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_2128, nGC_2130/))

      call avCT(4106, 3, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_2129, nGC_2131/))

      allocate(vertices(4107)%branchCT(0:0))
      call avCT(4107, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(4108)%branchCT(0:0))
      call avCT(4108, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1978/))

      allocate(vertices(4109)%branchCT(0:0))
      call avCT(4109, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1037)%branchCT(0:0))
      call avCT(1037, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(259)%branchCT(0:0))
      call avCT(259, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4113)%branchCT(0:0))
      call avCT(4113, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2043/))

      allocate(vertices(1789)%branchCT(0:0))
      call avCT(1789, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3440)%branchCT(0:0))
      call avCT(3440, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1607)%branchCT(0:5))
      call avCT(1607, 0, 32, 7, 0, UVUaV0, (/4, 0/), (/nGC_2157/))

      call avCT(1607, 1, 35, 6, 0, UVUaV0, (/4, 0/), (/nGC_2158/))

      call avCT(1607, 2, 33, 6, 0, UVUaV0, (/4, 0/), (/nGC_2158/))

      call avCT(1607, 3, 67, 7, 0, UVUaV0, (/4, 0/), (/nGC_2157/))

      call avCT(1607, 4, 34, 7, 0, UVUaV0, (/4, 0/), (/nGC_2157/))

      call avCT(1607, 5, 66, 7, 0, UVUaV0, (/4, 0/), (/nGC_2157/))

      allocate(vertices(4117)%branchCT(0:0))
      call avCT(4117, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5073)%branchCT(0:1))
      call avCT(5073, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2235, nGC_2237,      &
      nGC_2237, nGC_2239/))

      call avCT(5073, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2236, nGC_2238,      &
      nGC_2238, nGC_2240/))

      allocate(vertices(1609)%branchCT(0:0))
      call avCT(1609, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(5074)%branchCT(0:0))
      call avCT(5074, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2202, nGC_2203/))

      allocate(vertices(4121)%branchCT(0:0))
      call avCT(4121, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4122)%branchCT(0:0))
      call avCT(4122, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(1137)%branchCT(0:0))
      call avCT(1137, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4126)%branchCT(0:0))
      call avCT(4126, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(4127)%branchCT(0:0))
      call avCT(4127, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1448)%branchCT(0:0))
      call avCT(1448, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1946, nGC_1947/))

      allocate(vertices(4129)%branchCT(0:0))
      call avCT(4129, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1616)%branchCT(0:0))
      call avCT(1616, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1826)%branchCT(0:0))
      call avCT(1826, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2428)%branchCT(0:0))
      call avCT(2428, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4133)%branchCT(0:1))
      call avCT(4133, 0, 21, 1, 0, FVFa1, (/0, 3/), (/nGC_2122, nGC_2124/))

      call avCT(4133, 1, 21, 1, 0, FVFa1, (/2, 1/), (/nGC_2123, nGC_2125/))

      allocate(vertices(4738)%branchCT(0:0))
      call avCT(4738, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2196, nGC_2197/))

      allocate(vertices(3168)%branchCT(0:0))
      call avCT(3168, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4136)%branchCT(0:0))
      call avCT(4136, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1620)%branchCT(0:0))
      call avCT(1620, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2227, nGC_2227/))

      allocate(vertices(2222)%branchCT(0:0))
      call avCT(2222, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4137)%branchCT(0:0))
      call avCT(4137, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4882)%branchCT(0:0))
      call avCT(4882, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(394)%branchCT(0:0))
      call avCT(394, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(5075)%branchCT(0:0))
      call avCT(5075, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1891/))

      allocate(vertices(1624)%branchCT(0:0))
      call avCT(1624, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4145)%branchCT(0:0))
      call avCT(4145, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4146)%branchCT(0:0))
      call avCT(4146, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4839)%branchCT(0:0))
      call avCT(4839, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(5076)%branchCT(0:0))
      call avCT(5076, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1889/))

      allocate(vertices(5077)%branchCT(0:0))
      call avCT(5077, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1628)%branchCT(0:1))
      call avCT(1628, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1927, nGC_1927/))

      call avCT(1628, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1928, nGC_1928/))

      allocate(vertices(3886)%branchCT(0:0))
      call avCT(3886, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1629)%branchCT(0:0))
      call avCT(1629, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1989,       &
      nGC_1988/))

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(4151)%branchCT(0:1))
      call avCT(4151, 0, 21, 1, 0, FVFa1, (/0, 3/), (/nGC_2231, nGC_2233/))

      call avCT(4151, 1, 21, 1, 0, FVFa1, (/2, 1/), (/nGC_2232, nGC_2234/))

      allocate(vertices(453)%branchCT(0:0))
      call avCT(453, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2138/))

      allocate(vertices(4153)%branchCT(0:0))
      call avCT(4153, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1633)%branchCT(0:0))
      call avCT(1633, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1634)%branchCT(0:0))
      call avCT(1634, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2067/))

      allocate(vertices(4140)%branchCT(0:0))
      call avCT(4140, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1989,       &
      nGC_1988/))

      allocate(vertices(4157)%branchCT(0:0))
      call avCT(4157, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(284)%branchCT(0:0))
      call avCT(284, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1996/))

      allocate(vertices(4158)%branchCT(0:0))
      call avCT(4158, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2181/))

      allocate(vertices(1640)%branchCT(0:0))
      call avCT(1640, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2227, nGC_2227/))

      allocate(vertices(4160)%branchCT(0:0))
      call avCT(4160, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(508)%branchCT(0:0))
      call avCT(508, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4162)%branchCT(0:0))
      call avCT(4162, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2138/))

      allocate(vertices(1643)%branchCT(0:0))
      call avCT(1643, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1969)%branchCT(0:0))
      call avCT(1969, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1646)%branchCT(0:0))
      call avCT(1646, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(3982)%branchCT(0:0))
      call avCT(3982, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(4548)%branchCT(0:0))
      call avCT(4548, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(4165)%branchCT(0:0))
      call avCT(4165, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(4166)%branchCT(0:1))
      call avCT(4166, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2092, nGC_2092/))

      call avCT(4166, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2093, nGC_2093/))

      allocate(vertices(1652)%branchCT(0:0))
      call avCT(1652, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(568)%branchCT(0:0))
      call avCT(568, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4169)%branchCT(0:1))
      call avCT(4169, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2117, nGC_2117/))

      call avCT(4169, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2118, nGC_2118/))

      allocate(vertices(2600)%branchCT(0:0))
      call avCT(2600, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1657)%branchCT(0:0))
      call avCT(1657, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1658)%branchCT(0:0))
      call avCT(1658, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_2032/))

      allocate(vertices(4173)%branchCT(0:0))
      call avCT(4173, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1661)%branchCT(0:1))
      call avCT(1661, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2122, nGC_2124/))

      call avCT(1661, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2123, nGC_2125/))

      allocate(vertices(4042)%branchCT(0:0))
      call avCT(4042, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4176)%branchCT(0:0))
      call avCT(4176, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2219)%branchCT(0:0))
      call avCT(2219, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4178)%branchCT(0:0))
      call avCT(4178, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1664)%branchCT(0:0))
      call avCT(1664, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2105/))

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2887)%branchCT(0:0))
      call avCT(2887, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4181)%branchCT(0:0))
      call avCT(4181, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1667)%branchCT(0:0))
      call avCT(1667, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1958/))

      allocate(vertices(4415)%branchCT(0:0))
      call avCT(4415, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(1668)%branchCT(0:0))
      call avCT(1668, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4184)%branchCT(0:0))
      call avCT(4184, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(1669)%branchCT(0:0))
      call avCT(1669, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2082/))

      allocate(vertices(1670)%branchCT(0:0))
      call avCT(1670, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1671)%branchCT(0:0))
      call avCT(1671, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(673)%branchCT(0:0))
      call avCT(673, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4187)%branchCT(0:0))
      call avCT(4187, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(4188)%branchCT(0:0))
      call avCT(4188, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2133/))

      allocate(vertices(4189)%branchCT(0:0))
      call avCT(4189, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4190)%branchCT(0:0))
      call avCT(4190, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4191)%branchCT(0:0))
      call avCT(4191, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2105/))

      allocate(vertices(698)%branchCT(0:0))
      call avCT(698, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(704)%branchCT(0:0))
      call avCT(704, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4195)%branchCT(0:0))
      call avCT(4195, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(4197)%branchCT(0:0))
      call avCT(4197, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2645)%branchCT(0:0))
      call avCT(2645, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4198)%branchCT(0:0))
      call avCT(4198, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1064)%branchCT(0:0))
      call avCT(1064, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(724)%branchCT(0:0))
      call avCT(724, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(11)%branchCT(0:0))
      call avCT(11, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(5078)%branchCT(0:0))
      call avCT(5078, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2108/))

      allocate(vertices(1681)%branchCT(0:0))
      call avCT(1681, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2159/))

      allocate(vertices(3808)%branchCT(0:0))
      call avCT(3808, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(4203)%branchCT(0:0))
      call avCT(4203, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4204)%branchCT(0:0))
      call avCT(4204, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1684)%branchCT(0:0))
      call avCT(1684, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(755)%branchCT(0:0))
      call avCT(755, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1686)%branchCT(0:0))
      call avCT(1686, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4206)%branchCT(0:0))
      call avCT(4206, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(5079)%branchCT(0:0))
      call avCT(5079, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(4385)%branchCT(0:0))
      call avCT(4385, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1221)%branchCT(0:0))
      call avCT(1221, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1690)%branchCT(0:0))
      call avCT(1690, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1920/))

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4210)%branchCT(0:1))
      call avCT(4210, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2210, nGC_2210/))

      call avCT(4210, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2211, nGC_2211/))

      allocate(vertices(3936)%branchCT(0:0))
      call avCT(3936, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4212)%branchCT(0:0))
      call avCT(4212, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4214)%branchCT(0:1))
      call avCT(4214, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1921, nGC_1921/))

      call avCT(4214, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1922, nGC_1922/))

      allocate(vertices(1692)%branchCT(0:0))
      call avCT(1692, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(4564)%branchCT(0:0))
      call avCT(4564, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(4215)%branchCT(0:0))
      call avCT(4215, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1958/))

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4217)%branchCT(0:0))
      call avCT(4217, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2132/))

      allocate(vertices(4388)%branchCT(0:0))
      call avCT(4388, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2319)%branchCT(0:0))
      call avCT(2319, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1695)%branchCT(0:1))
      call avCT(1695, 0, 20, 1, 0, FaVF1, (/0, 3/), (/nGC_2168, nGC_2170/))

      call avCT(1695, 1, 20, 1, 0, FaVF1, (/2, 1/), (/nGC_2169, nGC_2171/))

      allocate(vertices(1696)%branchCT(0:1))
      call avCT(1696, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2111, nGC_2111/))

      call avCT(1696, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2112, nGC_2112/))

      allocate(vertices(3135)%branchCT(0:1))
      call avCT(3135, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1973, nGC_1975/))

      call avCT(3135, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1974, nGC_1976/))

      allocate(vertices(4534)%branchCT(0:0))
      call avCT(4534, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(4220)%branchCT(0:0))
      call avCT(4220, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1988,       &
      nGC_1989/))

      allocate(vertices(3048)%branchCT(0:0))
      call avCT(3048, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1988, nGC_1989,       &
      nGC_1989/))

      allocate(vertices(4222)%branchCT(0:0))
      call avCT(4222, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2048/))

      allocate(vertices(845)%branchCT(0:0))
      call avCT(845, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1703)%branchCT(0:0))
      call avCT(1703, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1704)%branchCT(0:0))
      call avCT(1704, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1705)%branchCT(0:0))
      call avCT(1705, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1950/))

      allocate(vertices(1706)%branchCT(0:0))
      call avCT(1706, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4230)%branchCT(0:0))
      call avCT(4230, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(4231)%branchCT(0:0))
      call avCT(4231, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3061)%branchCT(0:0))
      call avCT(3061, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4232)%branchCT(0:0))
      call avCT(4232, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(554)%branchCT(0:0))
      call avCT(554, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(915)%branchCT(0:0))
      call avCT(915, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1711)%branchCT(0:0))
      call avCT(1711, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3882)%branchCT(0:0))
      call avCT(3882, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3481)%branchCT(0:0))
      call avCT(3481, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4235)%branchCT(0:0))
      call avCT(4235, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2038, nGC_2039,       &
      nGC_2038/))

      allocate(vertices(4236)%branchCT(0:0))
      call avCT(4236, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2042/))

      allocate(vertices(1714)%branchCT(0:0))
      call avCT(1714, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(696)%branchCT(0:0))
      call avCT(696, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3125)%branchCT(0:0))
      call avCT(3125, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1920/))

      allocate(vertices(4238)%branchCT(0:0))
      call avCT(4238, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4239)%branchCT(0:0))
      call avCT(4239, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1884/))

      allocate(vertices(1965)%branchCT(0:0))
      call avCT(1965, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2173, nGC_2173/))

      allocate(vertices(2382)%branchCT(0:0))
      call avCT(2382, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4241)%branchCT(0:0))
      call avCT(4241, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4242)%branchCT(0:0))
      call avCT(4242, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2001/))

      allocate(vertices(1719)%branchCT(0:3))
      call avCT(1719, 0, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_1898, nGC_1900/))

      call avCT(1719, 1, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_1897, nGC_1899/))

      call avCT(1719, 2, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_1898, nGC_1900/))

      call avCT(1719, 3, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_1897, nGC_1899/))

      allocate(vertices(1721)%branchCT(0:0))
      call avCT(1721, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(967)%branchCT(0:0))
      call avCT(967, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4246)%branchCT(0:1))
      call avCT(4246, 0, 20, 1, 0, FaVF1, (/0, 3/), (/nGC_1953, nGC_1955/))

      call avCT(4246, 1, 20, 1, 0, FaVF1, (/2, 1/), (/nGC_1954, nGC_1956/))

      allocate(vertices(4247)%branchCT(0:0))
      call avCT(4247, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4249)%branchCT(0:0))
      call avCT(4249, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1726)%branchCT(0:0))
      call avCT(1726, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1920/))

      allocate(vertices(4251)%branchCT(0:1))
      call avCT(4251, 0, 21, 1, 0, FVFa1, (/0, 3/), (/nGC_1969, nGC_1971/))

      call avCT(4251, 1, 21, 1, 0, FVFa1, (/2, 1/), (/nGC_1970, nGC_1972/))

      allocate(vertices(1728)%branchCT(0:0))
      call avCT(1728, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4253)%branchCT(0:1))
      call avCT(4253, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1881/))

      call avCT(4253, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1882/))

      allocate(vertices(882)%branchCT(0:0))
      call avCT(882, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1730)%branchCT(0:0))
      call avCT(1730, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(1731)%branchCT(0:0))
      call avCT(1731, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2195/))

      allocate(vertices(4911)%branchCT(0:3))
      call avCT(4911, 0, 22, 2, 0, FaVF1, (/3, 0/), (/nGC_1930, nGC_1932/))

      call avCT(4911, 1, 22, 2, 0, FaVF1, (/1, 2/), (/nGC_1931, nGC_1933/))

      call avCT(4911, 2, 23, 3, 0, FaVF1, (/3, 0/), (/nGC_1930, nGC_1932/))

      call avCT(4911, 3, 23, 3, 0, FaVF1, (/1, 2/), (/nGC_1931, nGC_1933/))

      allocate(vertices(4256)%branchCT(0:0))
      call avCT(4256, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(3065)%branchCT(0:0))
      call avCT(3065, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1734)%branchCT(0:0))
      call avCT(1734, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(5080)%branchCT(0:0))
      call avCT(5080, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1891/))

      allocate(vertices(148)%branchCT(0:0))
      call avCT(148, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1735)%branchCT(0:0))
      call avCT(1735, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1736)%branchCT(0:0))
      call avCT(1736, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2207/))

      allocate(vertices(4260)%branchCT(0:0))
      call avCT(4260, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2230/))

      allocate(vertices(1737)%branchCT(0:0))
      call avCT(1737, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2042/))

      allocate(vertices(3664)%branchCT(0:1))
      call avCT(3664, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2096, nGC_2096/))

      call avCT(3664, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2097, nGC_2097/))

      allocate(vertices(1047)%branchCT(0:0))
      call avCT(1047, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4262)%branchCT(0:1))
      call avCT(4262, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2144, nGC_2146/))

      call avCT(4262, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2145, nGC_2147/))

      allocate(vertices(1054)%branchCT(0:0))
      call avCT(1054, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4266)%branchCT(0:0))
      call avCT(4266, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4268)%branchCT(0:0))
      call avCT(4268, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1716)%branchCT(0:0))
      call avCT(1716, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1978/))

      allocate(vertices(1745)%branchCT(0:0))
      call avCT(1745, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1092)%branchCT(0:3))
      call avCT(1092, 0, 22, 2, 0, FaVF1, (/1, 2/), (/nGC_1898, nGC_1900/))

      call avCT(1092, 1, 22, 2, 0, FaVF1, (/3, 0/), (/nGC_1897, nGC_1899/))

      call avCT(1092, 2, 23, 3, 0, FaVF1, (/1, 2/), (/nGC_1898, nGC_1900/))

      call avCT(1092, 3, 23, 3, 0, FaVF1, (/3, 0/), (/nGC_1897, nGC_1899/))

      allocate(vertices(1469)%branchCT(0:0))
      call avCT(1469, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2001/))

      allocate(vertices(4272)%branchCT(0:0))
      call avCT(4272, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(1111)%branchCT(0:0))
      call avCT(1111, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1748)%branchCT(0:0))
      call avCT(1748, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1983, nGC_1982,       &
      nGC_1982/))

    end subroutine fill_vertices_mdl9
end module vertices_info9
