!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(4274)%branchCT(0:0))
      call avCT(4274, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1749)%branchCT(0:0))
      call avCT(1749, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4277)%branchCT(0:0))
      call avCT(4277, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1885, nGC_1886/))

      allocate(vertices(2659)%branchCT(0:0))
      call avCT(2659, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4279)%branchCT(0:0))
      call avCT(4279, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2080/))

      allocate(vertices(1153)%branchCT(0:0))
      call avCT(1153, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2660)%branchCT(0:0))
      call avCT(2660, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1536)%branchCT(0:0))
      call avCT(1536, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4284)%branchCT(0:0))
      call avCT(4284, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3493)%branchCT(0:0))
      call avCT(3493, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4286)%branchCT(0:0))
      call avCT(4286, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4288)%branchCT(0:0))
      call avCT(4288, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2001/))

      allocate(vertices(5081)%branchCT(0:0))
      call avCT(5081, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1759)%branchCT(0:1))
      call avCT(1759, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2117, nGC_2117/))

      call avCT(1759, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2118, nGC_2118/))

      allocate(vertices(4399)%branchCT(0:0))
      call avCT(4399, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(214)%branchCT(0:0))
      call avCT(214, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4292)%branchCT(0:0))
      call avCT(4292, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2098, nGC_2098/))

      allocate(vertices(4293)%branchCT(0:0))
      call avCT(4293, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4321)%branchCT(0:0))
      call avCT(4321, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4296)%branchCT(0:0))
      call avCT(4296, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2160, nGC_2161/))

      allocate(vertices(4605)%branchCT(0:0))
      call avCT(4605, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1244)%branchCT(0:0))
      call avCT(1244, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4298)%branchCT(0:0))
      call avCT(4298, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1766)%branchCT(0:0))
      call avCT(1766, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1984/))

      allocate(vertices(2876)%branchCT(0:0))
      call avCT(2876, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1768)%branchCT(0:0))
      call avCT(1768, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1769)%branchCT(0:0))
      call avCT(1769, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(4867)%branchCT(0:0))
      call avCT(4867, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1539)%branchCT(0:0))
      call avCT(1539, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1773)%branchCT(0:0))
      call avCT(1773, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4304)%branchCT(0:0))
      call avCT(4304, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4305)%branchCT(0:0))
      call avCT(4305, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(4307)%branchCT(0:0))
      call avCT(4307, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3631)%branchCT(0:0))
      call avCT(3631, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4308)%branchCT(0:0))
      call avCT(4308, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(4310)%branchCT(0:0))
      call avCT(4310, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1985/))

      allocate(vertices(1776)%branchCT(0:0))
      call avCT(1776, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1777)%branchCT(0:0))
      call avCT(1777, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1778)%branchCT(0:0))
      call avCT(1778, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(4316)%branchCT(0:1))
      call avCT(4316, 0, 21, 1, 0, FVFa1, (/0, 3/), (/nGC_2004, nGC_2006/))

      call avCT(4316, 1, 21, 1, 0, FVFa1, (/2, 1/), (/nGC_2005, nGC_2007/))

      allocate(vertices(1354)%branchCT(0:0))
      call avCT(1354, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1780)%branchCT(0:0))
      call avCT(1780, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(1781)%branchCT(0:0))
      call avCT(1781, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4772)%branchCT(0:0))
      call avCT(4772, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(2585)%branchCT(0:0))
      call avCT(2585, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2230/))

      allocate(vertices(1859)%branchCT(0:0))
      call avCT(1859, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4323)%branchCT(0:0))
      call avCT(4323, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1785)%branchCT(0:0))
      call avCT(1785, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2173, nGC_2173/))

      allocate(vertices(4324)%branchCT(0:0))
      call avCT(4324, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1394)%branchCT(0:0))
      call avCT(1394, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(902)%branchCT(0:0))
      call avCT(902, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(1403)%branchCT(0:0))
      call avCT(1403, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2488)%branchCT(0:0))
      call avCT(2488, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(310)%branchCT(0:1))
      call avCT(310, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_2033/))

      call avCT(310, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_2034/))

      allocate(vertices(4328)%branchCT(0:0))
      call avCT(4328, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2241/))

      allocate(vertices(4330)%branchCT(0:0))
      call avCT(4330, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4331)%branchCT(0:0))
      call avCT(4331, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(5082)%branchCT(0:0))
      call avCT(5082, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2209/))

      allocate(vertices(1793)%branchCT(0:0))
      call avCT(1793, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1794)%branchCT(0:1))
      call avCT(1794, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1916, nGC_1918/))

      call avCT(1794, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1917, nGC_1919/))

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5083)%branchCT(0:0))
      call avCT(5083, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2224, nGC_2225,       &
      nGC_2225, nGC_2226/))

      allocate(vertices(4335)%branchCT(0:0))
      call avCT(4335, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4336)%branchCT(0:0))
      call avCT(4336, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4872)%branchCT(0:0))
      call avCT(4872, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2376)%branchCT(0:0))
      call avCT(2376, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2341)%branchCT(0:0))
      call avCT(2341, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(4338)%branchCT(0:0))
      call avCT(4338, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(1335)%branchCT(0:0))
      call avCT(1335, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4406)%branchCT(0:0))
      call avCT(4406, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4341)%branchCT(0:0))
      call avCT(4341, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1913, nGC_1914/))

      allocate(vertices(4344)%branchCT(0:0))
      call avCT(4344, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3959)%branchCT(0:0))
      call avCT(3959, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1803)%branchCT(0:0))
      call avCT(1803, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1804)%branchCT(0:0))
      call avCT(1804, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1805)%branchCT(0:0))
      call avCT(1805, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1988, nGC_1989,       &
      nGC_1989/))

      allocate(vertices(4348)%branchCT(0:0))
      call avCT(4348, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4349)%branchCT(0:0))
      call avCT(4349, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(5084)%branchCT(0:0))
      call avCT(5084, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(1809)%branchCT(0:0))
      call avCT(1809, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1011)%branchCT(0:0))
      call avCT(1011, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2182/))

      allocate(vertices(4352)%branchCT(0:0))
      call avCT(4352, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1480)%branchCT(0:1))
      call avCT(1480, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2099, nGC_2101/))

      call avCT(1480, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2100, nGC_2102/))

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1812)%branchCT(0:0))
      call avCT(1812, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5085)%branchCT(0:0))
      call avCT(5085, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2107/))

      allocate(vertices(1814)%branchCT(0:0))
      call avCT(1814, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4356)%branchCT(0:0))
      call avCT(4356, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1985/))

      allocate(vertices(4395)%branchCT(0:0))
      call avCT(4395, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(4357)%branchCT(0:0))
      call avCT(4357, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4360)%branchCT(0:0))
      call avCT(4360, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3648)%branchCT(0:0))
      call avCT(3648, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1941)%branchCT(0:0))
      call avCT(1941, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1818)%branchCT(0:0))
      call avCT(1818, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1820)%branchCT(0:0))
      call avCT(1820, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4364)%branchCT(0:0))
      call avCT(4364, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1821)%branchCT(0:0))
      call avCT(1821, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(4366)%branchCT(0:1))
      call avCT(4366, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2210, nGC_2210/))

      call avCT(4366, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2211, nGC_2211/))

      allocate(vertices(4367)%branchCT(0:0))
      call avCT(4367, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(4368)%branchCT(0:0))
      call avCT(4368, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(4369)%branchCT(0:0))
      call avCT(4369, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1905/))

      allocate(vertices(1823)%branchCT(0:0))
      call avCT(1823, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4375)%branchCT(0:0))
      call avCT(4375, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2052)%branchCT(0:0))
      call avCT(2052, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(1617)%branchCT(0:0))
      call avCT(1617, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2673)%branchCT(0:0))
      call avCT(2673, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1636)%branchCT(0:0))
      call avCT(1636, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2603)%branchCT(0:0))
      call avCT(2603, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4379)%branchCT(0:0))
      call avCT(4379, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3778)%branchCT(0:0))
      call avCT(3778, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1637/))

      allocate(vertices(4601)%branchCT(0:0))
      call avCT(4601, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3547)%branchCT(0:0))
      call avCT(3547, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1349)%branchCT(0:0))
      call avCT(1349, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(5086)%branchCT(0:0))
      call avCT(5086, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1891/))

      allocate(vertices(1837)%branchCT(0:0))
      call avCT(1837, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(1838)%branchCT(0:0))
      call avCT(1838, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4383)%branchCT(0:0))
      call avCT(4383, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4384)%branchCT(0:1))
      call avCT(4384, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2017, nGC_2019/))

      call avCT(4384, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2018, nGC_2020/))

      allocate(vertices(1839)%branchCT(0:1))
      call avCT(1839, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_1918, nGC_1916/))

      call avCT(1839, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_1919, nGC_1917/))

      allocate(vertices(1840)%branchCT(0:0))
      call avCT(1840, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2258)%branchCT(0:0))
      call avCT(2258, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1694)%branchCT(0:0))
      call avCT(1694, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1841)%branchCT(0:0))
      call avCT(1841, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1842)%branchCT(0:0))
      call avCT(1842, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(1709)%branchCT(0:0))
      call avCT(1709, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1989,       &
      nGC_1988/))

      allocate(vertices(525)%branchCT(0:0))
      call avCT(525, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1845)%branchCT(0:0))
      call avCT(1845, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(1484)%branchCT(0:0))
      call avCT(1484, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3187)%branchCT(0:0))
      call avCT(3187, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4391)%branchCT(0:0))
      call avCT(4391, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(4392)%branchCT(0:0))
      call avCT(4392, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1846)%branchCT(0:0))
      call avCT(1846, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4393)%branchCT(0:0))
      call avCT(4393, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(1527)%branchCT(0:0))
      call avCT(1527, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1486)%branchCT(0:0))
      call avCT(1486, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(874)%branchCT(0:0))
      call avCT(874, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(5087)%branchCT(0:0))
      call avCT(5087, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2179/))

      allocate(vertices(1767)%branchCT(0:0))
      call avCT(1767, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4402)%branchCT(0:0))
      call avCT(4402, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(634)%branchCT(0:0))
      call avCT(634, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3627)%branchCT(0:0))
      call avCT(3627, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(2407)%branchCT(0:0))
      call avCT(2407, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4405)%branchCT(0:0))
      call avCT(4405, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1798)%branchCT(0:0))
      call avCT(1798, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1988, nGC_1989,       &
      nGC_1989/))

      allocate(vertices(1853)%branchCT(0:0))
      call avCT(1853, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2182/))

      allocate(vertices(4407)%branchCT(0:0))
      call avCT(4407, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2105/))

      allocate(vertices(4410)%branchCT(0:0))
      call avCT(4410, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1996/))

      allocate(vertices(1854)%branchCT(0:0))
      call avCT(1854, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2159/))

      allocate(vertices(1196)%branchCT(0:0))
      call avCT(1196, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1827)%branchCT(0:0))
      call avCT(1827, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(1833)%branchCT(0:0))
      call avCT(1833, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1858)%branchCT(0:0))
      call avCT(1858, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2151/))

      allocate(vertices(4413)%branchCT(0:0))
      call avCT(4413, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2175/))

      allocate(vertices(1860)%branchCT(0:0))
      call avCT(1860, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1861)%branchCT(0:0))
      call avCT(1861, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1946)%branchCT(0:0))
      call avCT(1946, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1862)%branchCT(0:0))
      call avCT(1862, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4417)%branchCT(0:0))
      call avCT(4417, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(5088)%branchCT(0:1))
      call avCT(5088, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2235, nGC_2237,       &
      nGC_2237, nGC_2239/))

      call avCT(5088, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2236, nGC_2238,       &
      nGC_2238, nGC_2240/))

      allocate(vertices(4420)%branchCT(0:0))
      call avCT(4420, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1865)%branchCT(0:1))
      call avCT(1865, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_2033/))

      call avCT(1865, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_2034/))

      allocate(vertices(718)%branchCT(0:0))
      call avCT(718, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1867)%branchCT(0:0))
      call avCT(1867, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(4424)%branchCT(0:0))
      call avCT(4424, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2709)%branchCT(0:0))
      call avCT(2709, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4718)%branchCT(0:0))
      call avCT(4718, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1868)%branchCT(0:0))
      call avCT(1868, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2160, nGC_2161/))

      allocate(vertices(1884)%branchCT(0:0))
      call avCT(1884, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(4426)%branchCT(0:0))
      call avCT(4426, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1892)%branchCT(0:0))
      call avCT(1892, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(4428)%branchCT(0:1))
      call avCT(4428, 0, 21, 1, 0, FVFa1, (/0, 3/), (/nGC_2153, nGC_2155/))

      call avCT(4428, 1, 21, 1, 0, FVFa1, (/2, 1/), (/nGC_2154, nGC_2156/))

      allocate(vertices(4931)%branchCT(0:0))
      call avCT(4931, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1871)%branchCT(0:0))
      call avCT(1871, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4429)%branchCT(0:0))
      call avCT(4429, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(3993)%branchCT(0:0))
      call avCT(3993, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(5089)%branchCT(0:0))
      call avCT(5089, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2215, nGC_2216,       &
      nGC_2216, nGC_2217/))

      allocate(vertices(1176)%branchCT(0:1))
      call avCT(1176, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1951/))

      call avCT(1176, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1952/))

      allocate(vertices(1908)%branchCT(0:0))
      call avCT(1908, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(1873)%branchCT(0:1))
      call avCT(1873, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1927, nGC_1927/))

      call avCT(1873, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1928, nGC_1928/))

      allocate(vertices(2680)%branchCT(0:0))
      call avCT(2680, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(2667)%branchCT(0:1))
      call avCT(2667, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2117, nGC_2117/))

      call avCT(2667, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2118, nGC_2118/))

      allocate(vertices(1924)%branchCT(0:0))
      call avCT(1924, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1877)%branchCT(0:0))
      call avCT(1877, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4433)%branchCT(0:0))
      call avCT(4433, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1878)%branchCT(0:0))
      call avCT(1878, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2095/))

      allocate(vertices(3188)%branchCT(0:0))
      call avCT(3188, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1938)%branchCT(0:0))
      call avCT(1938, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1879)%branchCT(0:0))
      call avCT(1879, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(5090)%branchCT(0:0))
      call avCT(5090, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1889/))

      allocate(vertices(5091)%branchCT(0:0))
      call avCT(5091, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2681)%branchCT(0:0))
      call avCT(2681, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4353)%branchCT(0:0))
      call avCT(4353, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1882)%branchCT(0:0))
      call avCT(1882, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4438)%branchCT(0:0))
      call avCT(4438, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1985/))

      allocate(vertices(3523)%branchCT(0:0))
      call avCT(3523, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3513)%branchCT(0:0))
      call avCT(3513, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4425)%branchCT(0:0))
      call avCT(4425, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1885)%branchCT(0:0))
      call avCT(1885, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(4790)%branchCT(0:0))
      call avCT(4790, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1888)%branchCT(0:0))
      call avCT(1888, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4444)%branchCT(0:0))
      call avCT(4444, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(4445)%branchCT(0:0))
      call avCT(4445, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1891)%branchCT(0:0))
      call avCT(1891, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2159/))

      allocate(vertices(4427)%branchCT(0:0))
      call avCT(4427, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(4453)%branchCT(0:0))
      call avCT(4453, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1451)%branchCT(0:0))
      call avCT(1451, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4529)%branchCT(0:0))
      call avCT(4529, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4456)%branchCT(0:0))
      call avCT(4456, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(5092)%branchCT(0:0))
      call avCT(5092, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1891/))

      allocate(vertices(2778)%branchCT(0:0))
      call avCT(2778, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(593)%branchCT(0:0))
      call avCT(593, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2063)%branchCT(0:0))
      call avCT(2063, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4459)%branchCT(0:0))
      call avCT(4459, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(4460)%branchCT(0:0))
      call avCT(4460, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1898)%branchCT(0:0))
      call avCT(1898, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1899)%branchCT(0:1))
      call avCT(1899, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_1881/))

      call avCT(1899, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_1882/))

      allocate(vertices(1900)%branchCT(0:0))
      call avCT(1900, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1330)%branchCT(0:0))
      call avCT(1330, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4463)%branchCT(0:0))
      call avCT(4463, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(4419)%branchCT(0:0))
      call avCT(4419, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1902)%branchCT(0:0))
      call avCT(1902, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2198/))

      allocate(vertices(3686)%branchCT(0:0))
      call avCT(3686, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4468)%branchCT(0:0))
      call avCT(4468, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1965/))

      allocate(vertices(4430)%branchCT(0:0))
      call avCT(4430, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3282)%branchCT(0:0))
      call avCT(3282, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4469)%branchCT(0:0))
      call avCT(4469, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1903)%branchCT(0:0))
      call avCT(1903, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2534)%branchCT(0:0))
      call avCT(2534, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4471)%branchCT(0:0))
      call avCT(4471, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2048/))

      allocate(vertices(1872)%branchCT(0:0))
      call avCT(1872, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4382)%branchCT(0:0))
      call avCT(4382, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_2106/))

      allocate(vertices(2834)%branchCT(0:0))
      call avCT(2834, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(30)%branchCT(0:0))
      call avCT(30, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(2172)%branchCT(0:5))
      call avCT(2172, 0, 109, 7, 0, VUUaV0, (/4, 0/), (/nGC_2157/))

      call avCT(2172, 1, 108, 7, 0, VUUaV0, (/4, 0/), (/nGC_2157/))

      call avCT(2172, 2, 111, 7, 0, VUUaV0, (/4, 0/), (/nGC_2157/))

      call avCT(2172, 3, 110, 7, 0, VUUaV0, (/4, 0/), (/nGC_2157/))

      call avCT(2172, 4, 113, 6, 0, VUUaV0, (/4, 0/), (/nGC_2158/))

      call avCT(2172, 5, 112, 6, 0, VUUaV0, (/4, 0/), (/nGC_2158/))

      allocate(vertices(1914)%branchCT(0:1))
      call avCT(1914, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2096, nGC_2096/))

      call avCT(1914, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2097, nGC_2097/))

      allocate(vertices(4476)%branchCT(0:0))
      call avCT(4476, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1308)%branchCT(0:0))
      call avCT(1308, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(863)%branchCT(0:0))
      call avCT(863, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1104)%branchCT(0:1))
      call avCT(1104, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1918, nGC_1916/))

      call avCT(1104, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1919, nGC_1917/))

      allocate(vertices(1723)%branchCT(0:0))
      call avCT(1723, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4432)%branchCT(0:1))
      call avCT(4432, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1953, nGC_1955/))

      call avCT(4432, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1954, nGC_1956/))

      allocate(vertices(1919)%branchCT(0:0))
      call avCT(1919, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2138/))

      allocate(vertices(1920)%branchCT(0:0))
      call avCT(1920, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4478)%branchCT(0:0))
      call avCT(4478, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(5093)%branchCT(0:1))
      call avCT(5093, 0, 16, 8, 0, VV0, (/2, 0/), (/nGC_2242, nGC_2243/))

      call avCT(5093, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_2242, nGC_2243/))

      allocate(vertices(1921)%branchCT(0:0))
      call avCT(1921, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(2236)%branchCT(0:0))
      call avCT(2236, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4666)%branchCT(0:0))
      call avCT(4666, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2098, nGC_2098/))

      allocate(vertices(1875)%branchCT(0:0))
      call avCT(1875, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1926)%branchCT(0:0))
      call avCT(1926, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3837)%branchCT(0:1))
      call avCT(3837, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1881/))

      call avCT(3837, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1882/))

      allocate(vertices(1928)%branchCT(0:0))
      call avCT(1928, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4876)%branchCT(0:5))
      call avCT(4876, 0, 96, 7, 0, VUaVU0, (/4, 0/), (/nGC_2157/))

      call avCT(4876, 1, 99, 7, 0, VUaVU0, (/4, 0/), (/nGC_2157/))

      call avCT(4876, 2, 98, 7, 0, VUaVU0, (/4, 0/), (/nGC_2157/))

      call avCT(4876, 3, 101, 6, 0, VUaVU0, (/4, 0/), (/nGC_2158/))

      call avCT(4876, 4, 100, 6, 0, VUaVU0, (/4, 0/), (/nGC_2158/))

      call avCT(4876, 5, 97, 7, 0, VUaVU0, (/4, 0/), (/nGC_2157/))

      allocate(vertices(4483)%branchCT(0:0))
      call avCT(4483, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(5094)%branchCT(0:0))
      call avCT(5094, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2174/))

      allocate(vertices(4484)%branchCT(0:0))
      call avCT(4484, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(1929)%branchCT(0:1))
      call avCT(1929, 0, 20, 1, 0, FaVF1, (/0, 3/), (/nGC_2153, nGC_2155/))

      call avCT(1929, 1, 20, 1, 0, FaVF1, (/2, 1/), (/nGC_2154, nGC_2156/))

      allocate(vertices(4485)%branchCT(0:0))
      call avCT(4485, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(1930)%branchCT(0:0))
      call avCT(1930, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2040/))

      allocate(vertices(2290)%branchCT(0:0))
      call avCT(2290, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4490)%branchCT(0:0))
      call avCT(4490, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4491)%branchCT(0:0))
      call avCT(4491, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2193/))

      allocate(vertices(1474)%branchCT(0:0))
      call avCT(1474, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(4493)%branchCT(0:0))
      call avCT(4493, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1935)%branchCT(0:0))
      call avCT(1935, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2308)%branchCT(0:1))
      call avCT(2308, 0, 20, 1, 0, FaVF0, (/0, 3/), (/nGC_1881/))

      call avCT(2308, 1, 20, 1, 0, FaVF0, (/2, 1/), (/nGC_1882/))

      allocate(vertices(1937)%branchCT(0:0))
      call avCT(1937, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2322)%branchCT(0:0))
      call avCT(2322, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(3544)%branchCT(0:0))
      call avCT(3544, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(82)%branchCT(0:0))
      call avCT(82, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4499)%branchCT(0:0))
      call avCT(4499, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4500)%branchCT(0:0))
      call avCT(4500, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3796)%branchCT(0:0))
      call avCT(3796, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(756)%branchCT(0:0))
      call avCT(756, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1066)%branchCT(0:1))
      call avCT(1066, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2092, nGC_2092/))

      call avCT(1066, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2093, nGC_2093/))

      allocate(vertices(4111)%branchCT(0:0))
      call avCT(4111, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1602)%branchCT(0:0))
      call avCT(1602, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(4504)%branchCT(0:0))
      call avCT(4504, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1942)%branchCT(0:0))
      call avCT(1942, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1978/))

      allocate(vertices(4299)%branchCT(0:1))
      call avCT(4299, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2122, nGC_2124/))

      call avCT(4299, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2123, nGC_2125/))

      allocate(vertices(2929)%branchCT(0:0))
      call avCT(2929, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1944)%branchCT(0:1))
      call avCT(1944, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_1927, nGC_1927/))

      call avCT(1944, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_1928, nGC_1928/))

      allocate(vertices(4507)%branchCT(0:0))
      call avCT(4507, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(2368)%branchCT(0:0))
      call avCT(2368, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3990)%branchCT(0:0))
      call avCT(3990, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1947)%branchCT(0:0))
      call avCT(1947, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1948)%branchCT(0:0))
      call avCT(1948, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(1949)%branchCT(0:0))
      call avCT(1949, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4510)%branchCT(0:1))
      call avCT(4510, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1969, nGC_1971/))

      call avCT(4510, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1970, nGC_1972/))

      allocate(vertices(5095)%branchCT(0:0))
      call avCT(5095, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(1951)%branchCT(0:1))
      call avCT(1951, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2057, nGC_2059/))

      call avCT(1951, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2058, nGC_2060/))

      allocate(vertices(2736)%branchCT(0:0))
      call avCT(2736, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4514)%branchCT(0:0))
      call avCT(4514, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1953)%branchCT(0:0))
      call avCT(1953, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1997/))

      allocate(vertices(4518)%branchCT(0:0))
      call avCT(4518, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4519)%branchCT(0:1))
      call avCT(4519, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2092, nGC_2092/))

      call avCT(4519, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2093, nGC_2093/))

      allocate(vertices(4902)%branchCT(0:0))
      call avCT(4902, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4521)%branchCT(0:0))
      call avCT(4521, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(1956)%branchCT(0:0))
      call avCT(1956, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2442)%branchCT(0:0))
      call avCT(2442, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4523)%branchCT(0:0))
      call avCT(4523, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(4524)%branchCT(0:0))
      call avCT(4524, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4525)%branchCT(0:0))
      call avCT(4525, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1825)%branchCT(0:0))
      call avCT(1825, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(1961)%branchCT(0:1))
      call avCT(1961, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2210, nGC_2210/))

      call avCT(1961, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2211, nGC_2211/))

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1963)%branchCT(0:0))
      call avCT(1963, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1964)%branchCT(0:0))
      call avCT(1964, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2109/))

      allocate(vertices(1074)%branchCT(0:0))
      call avCT(1074, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2049/))

      allocate(vertices(2480)%branchCT(0:0))
      call avCT(2480, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(3446)%branchCT(0:0))
      call avCT(3446, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(5096)%branchCT(0:0))
      call avCT(5096, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2119, nGC_2120,        &
      nGC_2121/))

      allocate(vertices(4437)%branchCT(0:0))
      call avCT(4437, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1970)%branchCT(0:0))
      call avCT(1970, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2001/))

      allocate(vertices(1971)%branchCT(0:0))
      call avCT(1971, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2195/))

      allocate(vertices(1972)%branchCT(0:0))
      call avCT(1972, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(4532)%branchCT(0:1))
      call avCT(4532, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2068, nGC_2070/))

      call avCT(4532, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2069, nGC_2071/))

      allocate(vertices(1503)%branchCT(0:0))
      call avCT(1503, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(1974)%branchCT(0:0))
      call avCT(1974, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1913, nGC_1914/))

      allocate(vertices(1976)%branchCT(0:0))
      call avCT(1976, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1515)%branchCT(0:0))
      call avCT(1515, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_1934/))

      allocate(vertices(1978)%branchCT(0:0))
      call avCT(1978, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2151/))

      allocate(vertices(1979)%branchCT(0:0))
      call avCT(1979, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1981)%branchCT(0:0))
      call avCT(1981, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1775)%branchCT(0:0))
      call avCT(1775, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4538)%branchCT(0:0))
      call avCT(4538, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2194/))

      allocate(vertices(1983)%branchCT(0:0))
      call avCT(1983, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(2696)%branchCT(0:0))
      call avCT(2696, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1985)%branchCT(0:1))
      call avCT(1985, 0, 20, 1, 0, FaVF1, (/0, 3/), (/nGC_1960, nGC_1962/))

      call avCT(1985, 1, 20, 1, 0, FaVF1, (/2, 1/), (/nGC_1961, nGC_1963/))

      allocate(vertices(4539)%branchCT(0:0))
      call avCT(4539, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2919)%branchCT(0:0))
      call avCT(2919, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2172/))

      allocate(vertices(2256)%branchCT(0:0))
      call avCT(2256, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(5097)%branchCT(0:0))
      call avCT(5097, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2244/))

      allocate(vertices(4543)%branchCT(0:0))
      call avCT(4543, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1991)%branchCT(0:3))
      call avCT(1991, 0, 28, 2, 0, VFaF0, (/3, 0/), (/nGC_2023, nGC_2025/))

      call avCT(1991, 1, 28, 2, 0, VFaF0, (/1, 2/), (/nGC_2024, nGC_2026/))

      call avCT(1991, 2, 29, 3, 0, VFaF0, (/3, 0/), (/nGC_2023, nGC_2025/))

      call avCT(1991, 3, 29, 3, 0, VFaF0, (/1, 2/), (/nGC_2024, nGC_2026/))

      allocate(vertices(1889)%branchCT(0:0))
      call avCT(1889, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4546)%branchCT(0:0))
      call avCT(4546, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(2612)%branchCT(0:0))
      call avCT(2612, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4022)%branchCT(0:0))
      call avCT(4022, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3527)%branchCT(0:0))
      call avCT(3527, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2627)%branchCT(0:0))
      call avCT(2627, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(4520)%branchCT(0:0))
      call avCT(4520, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4553)%branchCT(0:0))
      call avCT(4553, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3752)%branchCT(0:0))
      call avCT(3752, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1996)%branchCT(0:0))
      call avCT(1996, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1997)%branchCT(0:0))
      call avCT(1997, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4555)%branchCT(0:0))
      call avCT(4555, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1999)%branchCT(0:0))
      call avCT(1999, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(279)%branchCT(0:1))
      call avCT(279, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2168, nGC_2170/))

      call avCT(279, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2169, nGC_2171/))

      allocate(vertices(3357)%branchCT(0:0))
      call avCT(3357, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2679)%branchCT(0:0))
      call avCT(2679, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(2001)%branchCT(0:0))
      call avCT(2001, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2151/))

      allocate(vertices(2690)%branchCT(0:0))
      call avCT(2690, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2003)%branchCT(0:0))
      call avCT(2003, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1905/))

      allocate(vertices(2523)%branchCT(0:0))
      call avCT(2523, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(4148)%branchCT(0:1))
      call avCT(4148, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1969, nGC_1971/))

      call avCT(4148, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1970, nGC_1972/))

      allocate(vertices(3539)%branchCT(0:0))
      call avCT(3539, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4559)%branchCT(0:1))
      call avCT(4559, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2168, nGC_2170/))

      call avCT(4559, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2169, nGC_2171/))

      allocate(vertices(782)%branchCT(0:1))
      call avCT(782, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2068, nGC_2070/))

      call avCT(782, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2069, nGC_2071/))

      allocate(vertices(2008)%branchCT(0:0))
      call avCT(2008, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2009)%branchCT(0:3))
      call avCT(2009, 0, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_2185, nGC_2187/))

      call avCT(2009, 1, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_2184, nGC_2186/))

      call avCT(2009, 2, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_2185, nGC_2187/))

      call avCT(2009, 3, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_2184, nGC_2186/))

      allocate(vertices(2010)%branchCT(0:0))
      call avCT(2010, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2011)%branchCT(0:1))
      call avCT(2011, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2111, nGC_2111/))

      call avCT(2011, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2112, nGC_2112/))

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4565)%branchCT(0:0))
      call avCT(4565, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2654)%branchCT(0:0))
      call avCT(2654, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2014)%branchCT(0:0))
      call avCT(2014, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4567)%branchCT(0:0))
      call avCT(4567, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2091/))

      allocate(vertices(2015)%branchCT(0:0))
      call avCT(2015, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1988, nGC_1989,       &
      nGC_1989/))

      allocate(vertices(2017)%branchCT(0:0))
      call avCT(2017, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2018)%branchCT(0:0))
      call avCT(2018, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(166)%branchCT(0:0))
      call avCT(166, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4716)%branchCT(0:0))
      call avCT(4716, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2019)%branchCT(0:0))
      call avCT(2019, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2020)%branchCT(0:0))
      call avCT(2020, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(3763)%branchCT(0:1))
      call avCT(3763, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2231, nGC_2233/))

      call avCT(3763, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2232, nGC_2234/))

      allocate(vertices(2810)%branchCT(0:0))
      call avCT(2810, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2022)%branchCT(0:0))
      call avCT(2022, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2030/))

      allocate(vertices(2301)%branchCT(0:0))
      call avCT(2301, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4575)%branchCT(0:0))
      call avCT(4575, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1920/))

      allocate(vertices(4576)%branchCT(0:0))
      call avCT(4576, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4577)%branchCT(0:0))
      call avCT(4577, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2025)%branchCT(0:3))
      call avCT(2025, 0, 30, 2, 0, VFFa1, (/3, 0/), (/nGC_2051, nGC_2053/))

      call avCT(2025, 1, 30, 2, 0, VFFa1, (/1, 2/), (/nGC_2052, nGC_2054/))

      call avCT(2025, 2, 31, 3, 0, VFFa1, (/3, 0/), (/nGC_2051, nGC_2053/))

      call avCT(2025, 3, 31, 3, 0, VFFa1, (/1, 2/), (/nGC_2052, nGC_2054/))

      allocate(vertices(2026)%branchCT(0:0))
      call avCT(2026, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3545)%branchCT(0:0))
      call avCT(3545, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2028)%branchCT(0:0))
      call avCT(2028, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4582)%branchCT(0:0))
      call avCT(4582, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2091/))

      allocate(vertices(4583)%branchCT(0:1))
      call avCT(4583, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2111, nGC_2111/))

      call avCT(4583, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2112, nGC_2112/))

      allocate(vertices(2029)%branchCT(0:0))
      call avCT(2029, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4585)%branchCT(0:1))
      call avCT(4585, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2017, nGC_2019/))

      call avCT(4585, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2018, nGC_2020/))

      allocate(vertices(2031)%branchCT(0:0))
      call avCT(2031, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2142, nGC_2143/))

      allocate(vertices(1518)%branchCT(0:0))
      call avCT(1518, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3950)%branchCT(0:0))
      call avCT(3950, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2032)%branchCT(0:0))
      call avCT(2032, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2034)%branchCT(0:0))
      call avCT(2034, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4589)%branchCT(0:1))
      call avCT(4589, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_1975, nGC_1973/))

      call avCT(4589, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_1976, nGC_1974/))

      allocate(vertices(2714)%branchCT(0:0))
      call avCT(2714, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(2036)%branchCT(0:0))
      call avCT(2036, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2037)%branchCT(0:0))
      call avCT(2037, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4593)%branchCT(0:0))
      call avCT(4593, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2038)%branchCT(0:0))
      call avCT(2038, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(2039)%branchCT(0:0))
      call avCT(2039, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(5098)%branchCT(0:0))
      call avCT(5098, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(4597)%branchCT(0:0))
      call avCT(4597, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1978/))

      allocate(vertices(1512)%branchCT(0:0))
      call avCT(1512, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(4599)%branchCT(0:0))
      call avCT(4599, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(2043)%branchCT(0:0))
      call avCT(2043, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3854)%branchCT(0:0))
      call avCT(3854, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4602)%branchCT(0:0))
      call avCT(4602, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2046)%branchCT(0:0))
      call avCT(2046, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2048)%branchCT(0:0))
      call avCT(2048, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(4606)%branchCT(0:0))
      call avCT(4606, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1905/))

      allocate(vertices(3894)%branchCT(0:1))
      call avCT(3894, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2057, nGC_2059/))

      call avCT(3894, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2058, nGC_2060/))

      allocate(vertices(2960)%branchCT(0:0))
      call avCT(2960, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(4610)%branchCT(0:0))
      call avCT(4610, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(4611)%branchCT(0:0))
      call avCT(4611, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1514)%branchCT(0:0))
      call avCT(1514, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1984/))

      allocate(vertices(4708)%branchCT(0:0))
      call avCT(4708, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3526)%branchCT(0:0))
      call avCT(3526, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(5099)%branchCT(0:0))
      call avCT(5099, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1891/))

      allocate(vertices(2865)%branchCT(0:0))
      call avCT(2865, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(4011)%branchCT(0:0))
      call avCT(4011, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4619)%branchCT(0:0))
      call avCT(4619, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2008/))

      allocate(vertices(4620)%branchCT(0:0))
      call avCT(4620, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2055)%branchCT(0:0))
      call avCT(2055, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(5100)%branchCT(0:0))
      call avCT(5100, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2056)%branchCT(0:0))
      call avCT(2056, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(2508)%branchCT(0:0))
      call avCT(2508, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(5101)%branchCT(0:0))
      call avCT(5101, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(5102)%branchCT(0:0))
      call avCT(5102, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(1509)%branchCT(0:0))
      call avCT(1509, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1461)%branchCT(0:0))
      call avCT(1461, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2058)%branchCT(0:1))
      call avCT(2058, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1910, nGC_1908/))

      call avCT(2058, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1911, nGC_1909/))

      allocate(vertices(3038)%branchCT(0:0))
      call avCT(3038, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2072, nGC_2072,       &
      nGC_2073/))

      allocate(vertices(4627)%branchCT(0:0))
      call avCT(4627, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4552)%branchCT(0:0))
      call avCT(4552, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(3550)%branchCT(0:0))
      call avCT(3550, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4630)%branchCT(0:0))
      call avCT(4630, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2061)%branchCT(0:3))
      call avCT(2061, 0, 28, 2, 0, VFaF0, (/1, 2/), (/nGC_2185, nGC_2187/))

      call avCT(2061, 1, 28, 2, 0, VFaF0, (/3, 0/), (/nGC_2184, nGC_2186/))

      call avCT(2061, 2, 29, 3, 0, VFaF0, (/1, 2/), (/nGC_2185, nGC_2187/))

      call avCT(2061, 3, 29, 3, 0, VFaF0, (/3, 0/), (/nGC_2184, nGC_2186/))

      allocate(vertices(4631)%branchCT(0:0))
      call avCT(4631, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4361)%branchCT(0:0))
      call avCT(4361, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1988,       &
      nGC_1989/))

      allocate(vertices(3081)%branchCT(0:0))
      call avCT(3081, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2067)%branchCT(0:0))
      call avCT(2067, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1884/))

      allocate(vertices(1121)%branchCT(0:0))
      call avCT(1121, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3103)%branchCT(0:0))
      call avCT(3103, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3112)%branchCT(0:0))
      call avCT(3112, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3129)%branchCT(0:0))
      call avCT(3129, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4640)%branchCT(0:0))
      call avCT(4640, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4641)%branchCT(0:0))
      call avCT(4641, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2049/))

      allocate(vertices(3430)%branchCT(0:0))
      call avCT(3430, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(5103)%branchCT(0:0))
      call avCT(5103, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1891/))

      allocate(vertices(4643)%branchCT(0:0))
      call avCT(4643, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1122)%branchCT(0:0))
      call avCT(1122, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2935)%branchCT(0:0))
      call avCT(2935, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2077)%branchCT(0:0))
      call avCT(2077, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(4645)%branchCT(0:0))
      call avCT(4645, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2245/))

      allocate(vertices(4090)%branchCT(0:0))
      call avCT(4090, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2079)%branchCT(0:0))
      call avCT(2079, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(5104)%branchCT(0:0))
      call avCT(5104, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(4647)%branchCT(0:0))
      call avCT(4647, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2081)%branchCT(0:0))
      call avCT(2081, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2030/))

      allocate(vertices(1519)%branchCT(0:0))
      call avCT(1519, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4649)%branchCT(0:0))
      call avCT(4649, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3184)%branchCT(0:0))
      call avCT(3184, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2173, nGC_2173/))

      allocate(vertices(3554)%branchCT(0:0))
      call avCT(3554, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(5105)%branchCT(0:0))
      call avCT(5105, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1979/))

      allocate(vertices(2084)%branchCT(0:3))
      call avCT(2084, 0, 27, 3, 0, FVFa1, (/1, 2/), (/nGC_2185, nGC_2187/))

      call avCT(2084, 1, 27, 3, 0, FVFa1, (/3, 0/), (/nGC_2184, nGC_2186/))

      call avCT(2084, 2, 26, 2, 0, FVFa1, (/1, 2/), (/nGC_2185, nGC_2187/))

      call avCT(2084, 3, 26, 2, 0, FVFa1, (/3, 0/), (/nGC_2184, nGC_2186/))

      allocate(vertices(2775)%branchCT(0:0))
      call avCT(2775, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2085)%branchCT(0:0))
      call avCT(2085, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2087)%branchCT(0:0))
      call avCT(2087, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2138/))

      allocate(vertices(4651)%branchCT(0:0))
      call avCT(4651, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2088)%branchCT(0:0))
      call avCT(2088, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3208)%branchCT(0:0))
      call avCT(3208, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2090)%branchCT(0:0))
      call avCT(2090, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(4656)%branchCT(0:1))
      call avCT(4656, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2103, nGC_2103/))

      call avCT(4656, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2104, nGC_2104/))

      allocate(vertices(2091)%branchCT(0:0))
      call avCT(2091, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2073, nGC_2072,       &
      nGC_2072/))

      allocate(vertices(1125)%branchCT(0:0))
      call avCT(1125, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3175)%branchCT(0:0))
      call avCT(3175, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3223)%branchCT(0:0))
      call avCT(3223, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2095)%branchCT(0:0))
      call avCT(2095, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_2008/))

      allocate(vertices(5106)%branchCT(0:0))
      call avCT(5106, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(4662)%branchCT(0:0))
      call avCT(4662, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2096)%branchCT(0:0))
      call avCT(2096, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4664)%branchCT(0:0))
      call avCT(4664, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(3138)%branchCT(0:0))
      call avCT(3138, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(485)%branchCT(0:0))
      call avCT(485, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2159/))

      allocate(vertices(4668)%branchCT(0:0))
      call avCT(4668, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4125)%branchCT(0:0))
      call avCT(4125, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4134)%branchCT(0:0))
      call avCT(4134, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2196, nGC_2197/))

      allocate(vertices(2097)%branchCT(0:0))
      call avCT(2097, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2098)%branchCT(0:0))
      call avCT(2098, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2159/))

      allocate(vertices(4672)%branchCT(0:0))
      call avCT(4672, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4673)%branchCT(0:0))
      call avCT(4673, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4674)%branchCT(0:0))
      call avCT(4674, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(530)%branchCT(0:0))
      call avCT(530, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(2101)%branchCT(0:0))
      call avCT(2101, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(5107)%branchCT(0:0))
      call avCT(5107, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1889/))

      allocate(vertices(4678)%branchCT(0:0))
      call avCT(4678, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1927)%branchCT(0:0))
      call avCT(1927, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1522)%branchCT(0:0))
      call avCT(1522, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(4681)%branchCT(0:0))
      call avCT(4681, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4683)%branchCT(0:0))
      call avCT(4683, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2105)%branchCT(0:0))
      call avCT(2105, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4685)%branchCT(0:0))
      call avCT(4685, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4688)%branchCT(0:0))
      call avCT(4688, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4689)%branchCT(0:0))
      call avCT(4689, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2109/))

      allocate(vertices(2108)%branchCT(0:0))
      call avCT(2108, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2109)%branchCT(0:0))
      call avCT(2109, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1934/))

      allocate(vertices(4692)%branchCT(0:0))
      call avCT(4692, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3236)%branchCT(0:0))
      call avCT(3236, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2194/))

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4693)%branchCT(0:0))
      call avCT(4693, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(5108)%branchCT(0:1))
      call avCT(5108, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2246, nGC_2248,      &
      nGC_2248, nGC_2250/))

      call avCT(5108, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2247, nGC_2249,      &
      nGC_2249, nGC_2251/))

      allocate(vertices(4694)%branchCT(0:0))
      call avCT(4694, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4695)%branchCT(0:0))
      call avCT(4695, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2180/))

      allocate(vertices(2372)%branchCT(0:0))
      call avCT(2372, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1999, nGC_2000/))

      allocate(vertices(3786)%branchCT(0:0))
      call avCT(3786, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2116)%branchCT(0:0))
      call avCT(2116, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4700)%branchCT(0:0))
      call avCT(4700, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(655)%branchCT(0:0))
      call avCT(655, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4702)%branchCT(0:0))
      call avCT(4702, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4703)%branchCT(0:1))
      call avCT(4703, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2134, nGC_2136/))

      call avCT(4703, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2135, nGC_2137/))

      allocate(vertices(2768)%branchCT(0:0))
      call avCT(2768, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1611)%branchCT(0:0))
      call avCT(1611, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4705)%branchCT(0:1))
      call avCT(4705, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2139, nGC_2139/))

      call avCT(4705, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2140, nGC_2140/))

      allocate(vertices(4706)%branchCT(0:0))
      call avCT(4706, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4707)%branchCT(0:0))
      call avCT(4707, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(2122)%branchCT(0:0))
      call avCT(2122, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2021/))

      allocate(vertices(3975)%branchCT(0:0))
      call avCT(3975, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(2124)%branchCT(0:0))
      call avCT(2124, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3836)%branchCT(0:0))
      call avCT(3836, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2125)%branchCT(0:0))
      call avCT(2125, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2126)%branchCT(0:0))
      call avCT(2126, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4713)%branchCT(0:0))
      call avCT(4713, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(4714)%branchCT(0:0))
      call avCT(4714, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2030/))

      allocate(vertices(4715)%branchCT(0:0))
      call avCT(4715, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2129)%branchCT(0:0))
      call avCT(2129, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3826)%branchCT(0:0))
      call avCT(3826, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(4717)%branchCT(0:0))
      call avCT(4717, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1989,       &
      nGC_1988/))

      allocate(vertices(1693)%branchCT(0:0))
      call avCT(1693, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4719)%branchCT(0:0))
      call avCT(4719, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2138/))

      allocate(vertices(360)%branchCT(0:0))
      call avCT(360, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3484)%branchCT(0:0))
      call avCT(3484, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4961)%branchCT(0:0))
      call avCT(4961, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2133)%branchCT(0:0))
      call avCT(2133, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4722)%branchCT(0:0))
      call avCT(4722, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2098, nGC_2098/))

      allocate(vertices(3308)%branchCT(0:0))
      call avCT(3308, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4033)%branchCT(0:1))
      call avCT(4033, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2134, nGC_2136/))

      call avCT(4033, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2135, nGC_2137/))

      allocate(vertices(2315)%branchCT(0:1))
      call avCT(2315, 0, 20, 1, 0, FaVF1, (/0, 3/), (/nGC_2004, nGC_2006/))

      call avCT(2315, 1, 20, 1, 0, FaVF1, (/2, 1/), (/nGC_2005, nGC_2007/))

      allocate(vertices(3512)%branchCT(0:0))
      call avCT(3512, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2138)%branchCT(0:1))
      call avCT(2138, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_2074, nGC_2076/))

      call avCT(2138, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_2075, nGC_2077/))

      allocate(vertices(2644)%branchCT(0:0))
      call avCT(2644, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3522)%branchCT(0:0))
      call avCT(3522, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4728)%branchCT(0:0))
      call avCT(4728, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1950/))

      allocate(vertices(2141)%branchCT(0:0))
      call avCT(2141, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2988)%branchCT(0:0))
      call avCT(2988, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4731)%branchCT(0:0))
      call avCT(4731, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4788)%branchCT(0:3))
      call avCT(4788, 0, 28, 2, 0, VFaF0, (/3, 0/), (/nGC_2051, nGC_2053/))

      call avCT(4788, 1, 28, 2, 0, VFaF0, (/1, 2/), (/nGC_2052, nGC_2054/))

      call avCT(4788, 2, 29, 3, 0, VFaF0, (/3, 0/), (/nGC_2051, nGC_2053/))

      call avCT(4788, 3, 29, 3, 0, VFaF0, (/1, 2/), (/nGC_2052, nGC_2054/))

      allocate(vertices(4733)%branchCT(0:0))
      call avCT(4733, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3988)%branchCT(0:0))
      call avCT(3988, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(4735)%branchCT(0:0))
      call avCT(4735, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2055, nGC_2055/))

      allocate(vertices(4736)%branchCT(0:0))
      call avCT(4736, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4737)%branchCT(0:0))
      call avCT(4737, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2091/))

      allocate(vertices(5109)%branchCT(0:0))
      call avCT(5109, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2252/))

      allocate(vertices(2145)%branchCT(0:0))
      call avCT(2145, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2070)%branchCT(0:0))
      call avCT(2070, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2148)%branchCT(0:1))
      call avCT(2148, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2068, nGC_2070/))

      call avCT(2148, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2069, nGC_2071/))

      allocate(vertices(2149)%branchCT(0:0))
      call avCT(2149, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4741)%branchCT(0:0))
      call avCT(4741, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3913)%branchCT(0:1))
      call avCT(3913, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_1990, nGC_1992/))

      call avCT(3913, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_1991, nGC_1993/))

      allocate(vertices(2151)%branchCT(0:0))
      call avCT(2151, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4742)%branchCT(0:0))
      call avCT(4742, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2048/))

      allocate(vertices(4515)%branchCT(0:0))
      call avCT(4515, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4030)%branchCT(0:0))
      call avCT(4030, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(2154)%branchCT(0:0))
      call avCT(2154, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2306)%branchCT(0:0))
      call avCT(2306, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(2156)%branchCT(0:0))
      call avCT(2156, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2157)%branchCT(0:0))
      call avCT(2157, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2142, nGC_2143/))

      allocate(vertices(2158)%branchCT(0:0))
      call avCT(2158, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1957/))

      allocate(vertices(1253)%branchCT(0:0))
      call avCT(1253, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4040)%branchCT(0:0))
      call avCT(4040, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1958/))

      allocate(vertices(4752)%branchCT(0:0))
      call avCT(4752, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1984/))

      allocate(vertices(4753)%branchCT(0:0))
      call avCT(4753, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4754)%branchCT(0:1))
      call avCT(4754, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1908, nGC_1910/))

      call avCT(4754, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1909, nGC_1911/))

      allocate(vertices(2159)%branchCT(0:0))
      call avCT(2159, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3748)%branchCT(0:1))
      call avCT(3748, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2103, nGC_2103/))

      call avCT(3748, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2104, nGC_2104/))

      allocate(vertices(4943)%branchCT(0:0))
      call avCT(4943, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4759)%branchCT(0:0))
      call avCT(4759, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4760)%branchCT(0:0))
      call avCT(4760, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2161)%branchCT(0:0))
      call avCT(2161, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4762)%branchCT(0:0))
      call avCT(4762, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_2008/))

      allocate(vertices(2112)%branchCT(0:1))
      call avCT(2112, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1951/))

      call avCT(2112, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1952/))

      allocate(vertices(4764)%branchCT(0:0))
      call avCT(4764, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1530)%branchCT(0:0))
      call avCT(1530, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(2815)%branchCT(0:0))
      call avCT(2815, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1905/))

      allocate(vertices(3722)%branchCT(0:0))
      call avCT(3722, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2080/))

      allocate(vertices(1531)%branchCT(0:1))
      call avCT(1531, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1951/))

      call avCT(1531, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1952/))

      allocate(vertices(1211)%branchCT(0:0))
      call avCT(1211, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1923/))

      allocate(vertices(2164)%branchCT(0:0))
      call avCT(2164, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2165)%branchCT(0:0))
      call avCT(2165, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1909)%branchCT(0:0))
      call avCT(1909, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3753)%branchCT(0:0))
      call avCT(3753, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(4773)%branchCT(0:0))
      call avCT(4773, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2067/))

      allocate(vertices(4774)%branchCT(0:0))
      call avCT(4774, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(2166)%branchCT(0:0))
      call avCT(2166, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2167)%branchCT(0:0))
      call avCT(2167, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(366)%branchCT(0:0))
      call avCT(366, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4776)%branchCT(0:0))
      call avCT(4776, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(3651)%branchCT(0:0))
      call avCT(3651, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(3779)%branchCT(0:0))
      call avCT(3779, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2171)%branchCT(0:0))
      call avCT(2171, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4780)%branchCT(0:0))
      call avCT(4780, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3814)%branchCT(0:0))
      call avCT(3814, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(5110)%branchCT(0:0))
      call avCT(5110, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2177)%branchCT(0:0))
      call avCT(2177, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(4786)%branchCT(0:0))
      call avCT(4786, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3838)%branchCT(0:0))
      call avCT(3838, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4789)%branchCT(0:0))
      call avCT(4789, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(202)%branchCT(0:0))
      call avCT(202, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3858)%branchCT(0:0))
      call avCT(3858, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(5111)%branchCT(0:0))
      call avCT(5111, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2081/))

      allocate(vertices(5112)%branchCT(0:0))
      call avCT(5112, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2199, nGC_2200,        &
      nGC_2201/))

      allocate(vertices(4792)%branchCT(0:0))
      call avCT(4792, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2133/))

      allocate(vertices(3887)%branchCT(0:0))
      call avCT(3887, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2183)%branchCT(0:0))
      call avCT(2183, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2138/))

      allocate(vertices(2021)%branchCT(0:1))
      call avCT(2021, 0, 20, 1, 0, FaVF1, (/0, 3/), (/nGC_2231, nGC_2233/))

      call avCT(2021, 1, 20, 1, 0, FaVF1, (/2, 1/), (/nGC_2232, nGC_2234/))

      allocate(vertices(4795)%branchCT(0:0))
      call avCT(4795, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4492)%branchCT(0:0))
      call avCT(4492, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4625)%branchCT(0:1))
      call avCT(4625, 0, 21, 1, 0, FVFa1, (/0, 3/), (/nGC_2044, nGC_2046/))

      call avCT(4625, 1, 21, 1, 0, FVFa1, (/2, 1/), (/nGC_2045, nGC_2047/))

      allocate(vertices(3900)%branchCT(0:0))
      call avCT(3900, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4798)%branchCT(0:0))
      call avCT(4798, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(2188)%branchCT(0:3))
      call avCT(2188, 0, 27, 3, 0, FVFa1, (/3, 0/), (/nGC_2023, nGC_2025/))

      call avCT(2188, 1, 27, 3, 0, FVFa1, (/1, 2/), (/nGC_2024, nGC_2026/))

      call avCT(2188, 2, 26, 2, 0, FVFa1, (/3, 0/), (/nGC_2023, nGC_2025/))

      call avCT(2188, 3, 26, 2, 0, FVFa1, (/1, 2/), (/nGC_2024, nGC_2026/))

      allocate(vertices(5113)%branchCT(0:0))
      call avCT(5113, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2174/))

      allocate(vertices(2190)%branchCT(0:0))
      call avCT(2190, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(4769)%branchCT(0:0))
      call avCT(4769, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(2191)%branchCT(0:0))
      call avCT(2191, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2192)%branchCT(0:0))
      call avCT(2192, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2083/))

      allocate(vertices(3930)%branchCT(0:0))
      call avCT(3930, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2193)%branchCT(0:0))
      call avCT(2193, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1946, nGC_1947/))

      allocate(vertices(2194)%branchCT(0:0))
      call avCT(2194, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2001/))

      allocate(vertices(3945)%branchCT(0:0))
      call avCT(3945, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2197)%branchCT(0:0))
      call avCT(2197, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2227, nGC_2227/))

      allocate(vertices(2198)%branchCT(0:0))
      call avCT(2198, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2199)%branchCT(0:0))
      call avCT(2199, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2009/))

      allocate(vertices(4805)%branchCT(0:0))
      call avCT(4805, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(4807)%branchCT(0:0))
      call avCT(4807, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(5114)%branchCT(0:0))
      call avCT(5114, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(3311)%branchCT(0:0))
      call avCT(3311, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3780)%branchCT(0:0))
      call avCT(3780, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1905/))

      allocate(vertices(2203)%branchCT(0:0))
      call avCT(2203, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2193/))

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(4812)%branchCT(0:1))
      call avCT(4812, 0, 21, 1, 0, FVFa0, (/0, 3/), (/nGC_2033/))

      call avCT(4812, 1, 21, 1, 0, FVFa0, (/2, 1/), (/nGC_2034/))

      allocate(vertices(4816)%branchCT(0:0))
      call avCT(4816, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1942, nGC_1942/))

      allocate(vertices(2954)%branchCT(0:0))
      call avCT(2954, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4818)%branchCT(0:0))
      call avCT(4818, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2208)%branchCT(0:1))
      call avCT(2208, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2153, nGC_2155/))

      call avCT(2208, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2154, nGC_2156/))

      allocate(vertices(1148)%branchCT(0:0))
      call avCT(1148, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4824)%branchCT(0:0))
      call avCT(4824, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2196, nGC_2197/))

      allocate(vertices(383)%branchCT(0:0))
      call avCT(383, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(5115)%branchCT(0:0))
      call avCT(5115, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(4826)%branchCT(0:0))
      call avCT(4826, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4827)%branchCT(0:0))
      call avCT(4827, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3659)%branchCT(0:0))
      call avCT(3659, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1935/))

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2959)%branchCT(0:0))
      call avCT(2959, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2214)%branchCT(0:0))
      call avCT(2214, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2173, nGC_2173/))

      allocate(vertices(1149)%branchCT(0:0))
      call avCT(1149, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(241)%branchCT(0:1))
      call avCT(241, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2231, nGC_2233/))

      call avCT(241, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2232, nGC_2234/))

      allocate(vertices(4831)%branchCT(0:0))
      call avCT(4831, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(807)%branchCT(0:0))
      call avCT(807, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4832)%branchCT(0:0))
      call avCT(4832, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(840)%branchCT(0:0))
      call avCT(840, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3785)%branchCT(0:0))
      call avCT(3785, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(5116)%branchCT(0:0))
      call avCT(5116, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(4000)%branchCT(0:0))
      call avCT(4000, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2055, nGC_2055/))

      allocate(vertices(2745)%branchCT(0:0))
      call avCT(2745, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3406)%branchCT(0:0))
      call avCT(3406, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3578)%branchCT(0:0))
      call avCT(3578, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4837)%branchCT(0:0))
      call avCT(4837, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1912/))

      allocate(vertices(4838)%branchCT(0:0))
      call avCT(4838, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4840)%branchCT(0:0))
      call avCT(4840, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2196, nGC_2197/))

      allocate(vertices(4841)%branchCT(0:0))
      call avCT(4841, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2747)%branchCT(0:5))
      call avCT(2747, 0, 62, 7, 0, UVVUa0, (/4, 0/), (/nGC_2157/))

      call avCT(2747, 1, 65, 6, 0, UVVUa0, (/4, 0/), (/nGC_2158/))

      call avCT(2747, 2, 64, 6, 0, UVVUa0, (/4, 0/), (/nGC_2158/))

      call avCT(2747, 3, 61, 7, 0, UVVUa0, (/4, 0/), (/nGC_2157/))

      call avCT(2747, 4, 60, 7, 0, UVVUa0, (/4, 0/), (/nGC_2157/))

      call avCT(2747, 5, 63, 7, 0, UVVUa0, (/4, 0/), (/nGC_2157/))

      allocate(vertices(2748)%branchCT(0:0))
      call avCT(2748, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1920/))

      allocate(vertices(1152)%branchCT(0:0))
      call avCT(1152, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4174)%branchCT(0:0))
      call avCT(4174, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(746)%branchCT(0:0))
      call avCT(746, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4848)%branchCT(0:0))
      call avCT(4848, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2227)%branchCT(0:1))
      call avCT(2227, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1937, nGC_1939/))

      call avCT(2227, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1938, nGC_1940/))

      allocate(vertices(2228)%branchCT(0:0))
      call avCT(2228, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4850)%branchCT(0:0))
      call avCT(4850, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2006)%branchCT(0:0))
      call avCT(2006, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2080/))

      allocate(vertices(3244)%branchCT(0:0))
      call avCT(3244, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2232)%branchCT(0:0))
      call avCT(2232, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2253/))

      allocate(vertices(4854)%branchCT(0:0))
      call avCT(4854, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(391)%branchCT(0:0))
      call avCT(391, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2669)%branchCT(0:0))
      call avCT(2669, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2234)%branchCT(0:0))
      call avCT(2234, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1923)%branchCT(0:0))
      call avCT(1923, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2237)%branchCT(0:0))
      call avCT(2237, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(4856)%branchCT(0:0))
      call avCT(4856, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2239)%branchCT(0:0))
      call avCT(2239, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4254)%branchCT(0:0))
      call avCT(4254, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4860)%branchCT(0:0))
      call avCT(4860, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4723)%branchCT(0:0))
      call avCT(4723, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1782)%branchCT(0:0))
      call avCT(1782, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2244)%branchCT(0:1))
      call avCT(2244, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2134, nGC_2136/))

      call avCT(2244, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2135, nGC_2137/))

      allocate(vertices(2245)%branchCT(0:0))
      call avCT(2245, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3799)%branchCT(0:0))
      call avCT(3799, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4864)%branchCT(0:0))
      call avCT(4864, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2246)%branchCT(0:1))
      call avCT(2246, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_1910, nGC_1908/))

      call avCT(2246, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_1911, nGC_1909/))

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1977/))

      allocate(vertices(3728)%branchCT(0:0))
      call avCT(3728, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4866)%branchCT(0:0))
      call avCT(4866, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4289)%branchCT(0:0))
      call avCT(4289, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_2041/))

      allocate(vertices(4303)%branchCT(0:0))
      call avCT(4303, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4869)%branchCT(0:0))
      call avCT(4869, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1989, nGC_1988,       &
      nGC_1989/))

      allocate(vertices(2252)%branchCT(0:0))
      call avCT(2252, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(777)%branchCT(0:0))
      call avCT(777, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(2254)%branchCT(0:0))
      call avCT(2254, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2337)%branchCT(0:0))
      call avCT(2337, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1958/))

      allocate(vertices(4873)%branchCT(0:0))
      call avCT(4873, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4874)%branchCT(0:1))
      call avCT(4874, 0, 21, 1, 0, FSFa0, (/0, 3/), (/nGC_1927, nGC_1927/))

      call avCT(4874, 1, 21, 1, 0, FSFa0, (/2, 1/), (/nGC_1928, nGC_1928/))

      allocate(vertices(3585)%branchCT(0:0))
      call avCT(3585, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4363)%branchCT(0:0))
      call avCT(4363, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1811)%branchCT(0:0))
      call avCT(1811, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(2484)%branchCT(0:0))
      call avCT(2484, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4878)%branchCT(0:0))
      call avCT(4878, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2138/))

      allocate(vertices(4054)%branchCT(0:0))
      call avCT(4054, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4245)%branchCT(0:0))
      call avCT(4245, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(4880)%branchCT(0:0))
      call avCT(4880, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4669)%branchCT(0:1))
      call avCT(4669, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2153, nGC_2155/))

      call avCT(4669, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2154, nGC_2156/))

      allocate(vertices(4881)%branchCT(0:1))
      call avCT(4881, 0, 20, 1, 0, FaVF0, (/0, 3/), (/nGC_1951/))

      call avCT(4881, 1, 20, 1, 0, FaVF0, (/2, 1/), (/nGC_1952/))

      allocate(vertices(4265)%branchCT(0:0))
      call avCT(4265, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2263)%branchCT(0:0))
      call avCT(2263, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1894)%branchCT(0:0))
      call avCT(1894, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4439)%branchCT(0:0))
      call avCT(4439, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2038, nGC_2039,       &
      nGC_2038/))

      allocate(vertices(2758)%branchCT(0:1))
      call avCT(2758, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1910, nGC_1908/))

      call avCT(2758, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1911, nGC_1909/))

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2266)%branchCT(0:0))
      call avCT(2266, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(1540)%branchCT(0:0))
      call avCT(1540, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4652)%branchCT(0:0))
      call avCT(4652, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4893)%branchCT(0:0))
      call avCT(4893, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4894)%branchCT(0:0))
      call avCT(4894, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(628)%branchCT(0:0))
      call avCT(628, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(4479)%branchCT(0:0))
      call avCT(4479, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2151/))

      allocate(vertices(2271)%branchCT(0:0))
      call avCT(2271, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2272)%branchCT(0:1))
      call avCT(2272, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2126, nGC_2126/))

      call avCT(2272, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2127, nGC_2127/))

      allocate(vertices(2273)%branchCT(0:0))
      call avCT(2273, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4900)%branchCT(0:0))
      call avCT(4900, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5117)%branchCT(0:0))
      call avCT(5117, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(4587)%branchCT(0:0))
      call avCT(4587, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2276)%branchCT(0:1))
      call avCT(2276, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2231, nGC_2233/))

      call avCT(2276, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2232, nGC_2234/))

      allocate(vertices(2830)%branchCT(0:0))
      call avCT(2830, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1887/))

      allocate(vertices(4322)%branchCT(0:0))
      call avCT(4322, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2082/))

      allocate(vertices(2762)%branchCT(0:0))
      call avCT(2762, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4528)%branchCT(0:0))
      call avCT(4528, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2181/))

      allocate(vertices(4885)%branchCT(0:0))
      call avCT(4885, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2279)%branchCT(0:0))
      call avCT(2279, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(5118)%branchCT(0:0))
      call avCT(5118, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2254/))

      allocate(vertices(2281)%branchCT(0:0))
      call avCT(2281, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2282)%branchCT(0:0))
      call avCT(2282, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(5119)%branchCT(0:0))
      call avCT(5119, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2107/))

      allocate(vertices(2283)%branchCT(0:0))
      call avCT(2283, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2241/))

      allocate(vertices(2284)%branchCT(0:0))
      call avCT(2284, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4056)%branchCT(0:1))
      call avCT(4056, 0, 20, 1, 0, FaSF0, (/0, 3/), (/nGC_2139, nGC_2139/))

      call avCT(4056, 1, 20, 1, 0, FaSF0, (/2, 1/), (/nGC_2140, nGC_2140/))

      allocate(vertices(4908)%branchCT(0:0))
      call avCT(4908, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2288)%branchCT(0:0))
      call avCT(2288, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(4909)%branchCT(0:0))
      call avCT(4909, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1888/))

      allocate(vertices(2289)%branchCT(0:0))
      call avCT(2289, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4910)%branchCT(0:1))
      call avCT(4910, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1937, nGC_1939/))

      call avCT(4910, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1938, nGC_1940/))

      allocate(vertices(561)%branchCT(0:0))
      call avCT(561, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2030/))

      allocate(vertices(4912)%branchCT(0:0))
      call avCT(4912, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4613)%branchCT(0:0))
      call avCT(4613, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1936/))

      allocate(vertices(4916)%branchCT(0:0))
      call avCT(4916, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2049/))

      allocate(vertices(3771)%branchCT(0:1))
      call avCT(3771, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1921, nGC_1921/))

      call avCT(3771, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1922, nGC_1922/))

      allocate(vertices(4918)%branchCT(0:0))
      call avCT(4918, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4919)%branchCT(0:0))
      call avCT(4919, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(5120)%branchCT(0:0))
      call avCT(5120, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2209/))

      allocate(vertices(5121)%branchCT(0:1))
      call avCT(5121, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2246, nGC_2248,       &
      nGC_2248, nGC_2250/))

      call avCT(5121, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2247, nGC_2249,       &
      nGC_2249, nGC_2251/))

      allocate(vertices(2295)%branchCT(0:0))
      call avCT(2295, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4921)%branchCT(0:0))
      call avCT(4921, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2296)%branchCT(0:0))
      call avCT(2296, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1906/))

      allocate(vertices(4924)%branchCT(0:0))
      call avCT(4924, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1402)%branchCT(0:0))
      call avCT(1402, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3994)%branchCT(0:0))
      call avCT(3994, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4658)%branchCT(0:0))
      call avCT(4658, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4271)%branchCT(0:0))
      call avCT(4271, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2385)%branchCT(0:0))
      call avCT(2385, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1941/))

    end subroutine fill_vertices_mdl10
end module vertices_info10
